2025-09-05  rocky <rb@dustyfeet.com>

	* .github/workflows/CI.yml: Remove OSX testing until we have bash
	5.3

2025-09-05  rocky <rb@dustyfeet.com>

	* .github/workflows/CI.yml: Another macOS CI attempt before giving
	up

2025-09-05  rocky <rb@dustyfeet.com>

	* .github/workflows/CI.yml: Investigate getting bash installed on
	OSX

2025-09-05  rocky <rb@dustyfeet.com>

	* .github/workflows/CI.yml: Specify bash 5.2 on MacOS for CI

2025-09-05  rocky <rb@dustyfeet.com>

	* .gitignore, test/unit/test-cmd-load.sh.in: Get ready for release
	5.2-1.2.0

2025-09-05  rocky <rb@dustyfeet.com>

	* ChangeLog-spell-corrected.diff: Spell-correct ChangeLog

2025-09-05  rocky <rb@dustyfeet.com>

	* configure.ac: Get ready to release bashdb-5.1-1.2.0

2025-06-08  Justin Zhang <schnell18@gmail.com>

	* command/condition.sh, dbg-main.sh, docs/entry-exit.rst,
	lib/filecache.sh, test/data/brkpt1.right,
	test/data/preset-brkpt.cmd, test/data/preset-brkpt.right,
	test/integration/Makefile.am, test/integration/check-common.sh.in,
	test/integration/test-preset-brkpt: Implement #67 (#68) - Preset breakpoints in per project .bashdbrc - Fix failure to set conditional breakpoint using condition command - Document startup behavior under "entry-exit" section Signed-off-by: Justin Zhang <schnell18@gmail.com>

2025-06-04  rocky <rb@dustyfeet.com>

	* .github/workflows/CI.yml: Add running CI on pull request

2025-06-03  rocky <rb@dustyfeet.com>

	* docs/manpage.rst: Another bashdbinit -> bashdbrc

2025-06-03  rocky <rb@dustyfeet.com>

	* doc/bashdb-man.pod: Manpage corrections Note "--nx" option and .bashdbinit -> .bashdbrc

2025-05-12  rocky <rb@dustyfeet.com>

	* README.md: Note README-git.md in README.md Fixes #66.

2025-05-12  rocky <rb@dustyfeet.com>

	* INSTALL, README.md: Note git install. Update circle status badge

2025-03-26  R. Bernstein <rocky@users.noreply.github.com>

	* README-git.md: Update README-git.md

2025-03-26  rocky <rb@dustyfeet.com>

	* README-git.md, htdocs/index.html: Note change to github in docs

2025-02-08  rocky <rb@dustyfeet.com>

	* rpm/bashdb-4.2-0.8.spec: Tat -> Sat

2025-02-08  Glen Cornell <glen.m.cornell@gmail.com>

	* configure.ac, doc/bashdb.texi, lib/term-highlight.py,
	rpm/bashdb-5.2-0.spec: port to oracle linux 9 (#64) Co-authored-by: Glen Cornell <glen.cornell@oracle.com>

2024-12-27  Joachim Ansorg <github@ja-dev.eu>

	* check-prefix.sh: Docker bash:4.4 has bash at /usr/local/bin

2024-12-27  Joachim Ansorg <github@ja-dev.eu>

	* .github/workflows/CI.yml: Allow to manually execute a GitHub
	Actions workflow

2024-12-23  rocky <rb@dustyfeet.com>

	* lib/fns.sh: One more quoted statement.

2024-12-23  rocky <rb@dustyfeet.com>

	* command/break.sh, command/load.sh, lib/file.sh, lib/fns.sh,
	test/data/bug-source.cmd, test/data/bug-source.right,
	test/data/list.cmd, test/data/list.right: Add more places we
	resolve/expand files In some cases though automatic file loading no longer happens.  In
	particular, on "list" and "break" commands.

2024-12-17  R. Bernstein <rocky@users.noreply.github.com>

	* bashdb.in: Update bashdb.in Co-authored-by: Joachim Ansorg <github@ja-dev.eu>

2024-12-17  R. Bernstein <rocky@users.noreply.github.com>

	* lib/hook.sh: Update lib/hook.sh Co-authored-by: Joachim Ansorg <github@ja-dev.eu>

2024-12-17  R. Bernstein <rocky@users.noreply.github.com>

	* bashdb.in: Update bashdb.in Co-authored-by: Joachim Ansorg <github@ja-dev.eu>

2024-12-15  rocky <rb@dustyfeet.com>

	* bashdb.in, lib/hook.sh, test/data/brkpt2.right,
	test/data/bug-break.right, test/data/bug-source.right,
	test/data/tbreak.right, test/data/watch1.right,
	test/unit/test-file.sh.in: Save more file information from initial
	call...  In particular, resolve the initial source directory and store that
	as _Dbg_init_dir. Resolve the name of main bash program and add that
	to canonicalized filenames.

2024-12-11  R. Bernstein <rocky@users.noreply.github.com>

	* command/backtrace.sh, command/load.sh, configure.ac, lib/file.sh,
	lib/hook.sh, test/unit/.gitignore, test/unit/Makefile.am,
	test/unit/test-cmd-load.sh.in: Resolve filenames in `backtrace`
	command (#54) * Resolve file paths in "backtrace" * Save mapping when doing the "load" command; resolve the filename
	in  the "backtrace" command * Add a test for the "load" command --------- Co-authored-by: Joachim Ansorg <github@ja-dev.eu>

2024-12-03  rocky <rb@dustyfeet.com>

	* command/set_sub/style.sh, init/opts.sh: Make -S --style option
	work...  And bump copyright

2024-10-14  rocky <rb@dustyfeet.com>

	* docs/entry-exit.rst: A small RsT format correction

2024-10-10  R. Bernstein <rocky@users.noreply.github.com>

	* docs/entry-exit.rst: Update entry-exit.rst

2024-10-10  R. Bernstein <rocky@users.noreply.github.com>

	* doc/bashdb.texi, docs/commands/running/continue.rst,
	docs/commands/set/different.rst, docs/entry-exit.rst,
	docs/manpage.rst: Go over documentation... (#49) Add a more expansive explicit debugger call example.

2024-10-10  R. Bernstein <rocky@users.noreply.github.com>

	* docs/manpage.rst: Update manpage.rst

2024-10-10  R. Bernstein <rocky@users.noreply.github.com>

	* docs/entry-exit.rst: Update entry-exit.rst

2024-10-10  R. Bernstein <rocky@users.noreply.github.com>

	* docs/install.rst: Update install.rst

2024-10-10  R. Bernstein <rocky@users.noreply.github.com>

	* docs/features.rst: Update features.rst

2024-10-10  R. Bernstein <rocky@users.noreply.github.com>

	* docs/entry-exit.rst: Update entry-exit.rst

2024-10-09  Joachim Ansorg <github@ja-dev.eu>

	* bashdb-main.inc.in, bashdb.in, command/info_sub/variables.sh,
	lib/filecache.sh: 5.2: Fix more pollution with global variables,
	improve handling of paths with whitespace (#46) * Don't pollute global variables with "fullname" Also wraps the
	assigned value in quotes for better whitespace handling * Don't pollute global variables with "opt" * Don't pollute global variables with "prefix" Function declaration
	and call are on a single line because the line number is referenced
	by tests * Better handling of spaces in paths

2024-10-09  Joachim Ansorg <github@ja-dev.eu>

	* bashdb.in: Better handling of spaces in paths (#48)

2024-10-09  Joachim Ansorg <github@ja-dev.eu>

	* command/info_sub/args.sh, test/data/info-args.cmd,
	test/data/info-args.right: Don't allow "info args n" to use n
	outside the valid range (#43) Max value of n is one less than the current stack depth.

2024-10-08  Joachim Ansorg <github@ja-dev.eu>

	* command/break.sh, command/commands.sh, command/condition.sh,
	command/debug.sh, command/delete.sh, command/handle.sh,
	command/history.sh, command/info.sh, command/info_sub/args.sh,
	command/search.sh, command/set_sub/annotate.sh,
	command/set_sub/history.sh, command/set_sub/linetrace.sh,
	command/set_sub/listsize.sh, command/set_sub/width.sh,
	command/show_sub/commands.sh, command/signal.sh, init/vars.sh,
	lib/break.sh, lib/display.sh, lib/fns.sh, lib/frame.sh,
	lib/help.sh, lib/hist.sh, lib/validate.sh, test/unit/test-fns.sh.in: 
	5.2: Avoid pollution with global variables (#40) * Avoid pollution with global variables in info commands * Don't pollute with global variable int_pat This is a global search
	& replace * Don't pollute with global variable _resteglob This is a global
	search & replace * Don't pollute with global variable _seteglob This is a global
	search & replace

2024-07-04  Joachim Ansorg <github@ja-dev.eu>

	* command/info_sub/variables.sh, lib/msg.sh,
	test/unit/test-cmd-info-variables.sh.in: Rewrite "info variables" to
	support line feeds and spaces in values, array keys and array
	values. (#23) Bash's "typeset -p" escapes line feeds and other special characters
	and wraps such values in $''. Array keys with spaces are wrapped
	into "".  Previously, $'' was kept but the escape codes were
	resolved. The escape codes are now retained in the output of "info
	variables" to show each variable and its value on a single line.
	This is to improve readability and help programmatic parsing of the
	variable listing.

2024-07-04  Joachim Ansorg <github@ja-dev.eu>

	* test/data/bash-rematch.cmd, test/data/bash-rematch.right: Don't
	assume Bash flags for BASH_REMATCH (#30) This makes the test work with all versions of Bash 5.x

2024-07-04  Joachim Ansorg <github@ja-dev.eu>

	* command/help.sh, lib/alias.sh, test/unit/test-alias.sh.in: In
	_Dbg_alias_find_aliased use _Dbg_ variable names and don't assume
	sorted keys of Bash associative arrays (#31) The manual sorting lets this test run on all versions of Bash 5.x

2024-07-04  Joachim Ansorg <github@ja-dev.eu>

	* bashdb-part2.sh, command/backtrace.sh, command/shell.sh,
	init/opts.sh: Fix pollution with global variables by getopts_long
	(#33)

2024-07-04  Joachim Ansorg <github@ja-dev.eu>

	* lib/hook.sh: Less pollution with global variables in hooks (#29)

2024-07-04  Joachim Ansorg <github@ja-dev.eu>

	* command/load.sh: load: fix pollution of global variables, better
	handling of files with spaces (#28)

2024-06-18  Joachim Ansorg <github@ja-dev.eu>

	* lib/sort.sh, test/unit/test-sort.sh.in: add sort_list_named to
	sort an array variable in-place via nameref. (#27) This avoids the requirement of a global "list" variable.

2024-06-17  Joachim Ansorg <github@ja-dev.eu>

	* init/opts.sh, init/term-background.sh: Fix errors with
	highlighting on macOS. (#12) * Source term-background.sh only if highlighting is enabled.
	https://github.com/BashSupport-Pro/bashsupport-pro/issues/66 * Add safe fallback values in case parameters are not defined.
	https://github.com/BashSupport-Pro/bashsupport-pro/issues/66

2024-06-17  Joachim Ansorg <github@ja-dev.eu>

	* .github/workflows/CI.yml: Run GitHub Actions workflow on Linux and
	macOS (#26)

2024-06-17  R. Bernstein <rocky@users.noreply.github.com>

	* command/skip.sh, command/step.sh,
	docs/commands/running/continue.rst, docs/commands/running/quit.rst,
	docs/commands/running/run.rst, docs/commands/running/step.rst: Doc
	cleanups (#22) * First batch of doc cleanups * zsh{,db} -> bash{,db} and other doc fixes * zsh{,db} -> bash{,db} and other doc fixes * Gratuituous change to get readthe docs to reread? * Go over docs. Sync with zshdb..

2024-02-16  R. Bernstein <rocky@users.noreply.github.com>

	* .readthedocs.yaml, README.md, command/break.sh,
	command/condition.sh, command/next.sh, command/skip.sh,
	command/step.sh, docs/.gitignore, docs/Makefile, docs/commands.rst,
	docs/commands/Makefile, docs/commands/breakpoints.rst,
	docs/commands/breakpoints/Makefile,
	docs/commands/breakpoints/break.rst,
	docs/commands/breakpoints/condition.rst,
	docs/commands/breakpoints/delete.rst,
	docs/commands/breakpoints/disable.rst,
	docs/commands/breakpoints/enable.rst,
	docs/commands/breakpoints/tbreak.rst, docs/commands/data.rst,
	docs/commands/data/display.rst, docs/commands/data/eval.rst,
	docs/commands/data/examine.rst, docs/commands/data/load.rst,
	docs/commands/data/undisplay.rst, docs/commands/files.rst,
	docs/commands/files/edit.rst, docs/commands/files/list.rst,
	docs/commands/info.rst, docs/commands/info/Makefile,
	docs/commands/info/breakpoints.rst, docs/commands/info/display.rst,
	docs/commands/info/files.rst, docs/commands/info/functions.rst,
	docs/commands/info/line.rst, docs/commands/info/program.rst,
	docs/commands/info/source.rst, docs/commands/info/stack.rst,
	docs/commands/info/variables.rst, docs/commands/running.rst,
	docs/commands/running/continue.rst,
	docs/commands/running/debug.rst, docs/commands/running/kill.rst,
	docs/commands/running/next.rst, docs/commands/running/quit.rst,
	docs/commands/running/run.rst, docs/commands/running/skip.rst,
	docs/commands/running/step.rst, docs/commands/set.rst,
	docs/commands/set/annotate.rst, docs/commands/set/args.rst,
	docs/commands/set/autoeval.rst, docs/commands/set/autolist.rst,
	docs/commands/set/basename.rst, docs/commands/set/confirm.rst,
	docs/commands/set/debug.rst, docs/commands/set/different.rst,
	docs/commands/set/editing.rst,
	docs/commands/set/filename-display.rst,
	docs/commands/set/highlight.rst, docs/commands/set/linetrace.rst,
	docs/commands/set/listsize.rst, docs/commands/set/style.rst,
	docs/commands/set/trace-commands.rst, docs/commands/set/width.rst,
	docs/commands/show.rst, docs/commands/show/Makefile,
	docs/commands/show/aliases.rst, docs/commands/show/annotate.rst,
	docs/commands/show/args.rst, docs/commands/show/autoeval.rst,
	docs/commands/show/autolist.rst, docs/commands/show/basename.rst,
	docs/commands/show/confirm.rst, docs/commands/show/different.rst,
	docs/commands/show/editing.rst,
	docs/commands/show/filename-display.rst,
	docs/commands/show/highlight.rst, docs/commands/show/linetrace.rst,
	docs/commands/show/listsize.rst, docs/commands/show/style.rst,
	docs/commands/show/trace-commands.rst,
	docs/commands/show/width.rst, docs/commands/stack.rst,
	docs/commands/stack/backtrace.rst, docs/commands/stack/down.rst,
	docs/commands/stack/frame.rst, docs/commands/stack/up.rst,
	docs/commands/support.rst, docs/commands/support/alias.rst,
	docs/commands/support/help.rst, docs/commands/support/source.rst,
	docs/commands/support/unalias.rst, docs/conf.py,
	docs/entry-exit.rst, docs/features.rst, docs/index.rst,
	docs/install.rst, docs/make.bat, docs/manpage.rst, docs/syntax.rst,
	docs/syntax/command.rst, docs/syntax/suffixes.rst,
	htdocs/remake/download.html, htdocs/remake/features.html,
	htdocs/remake/index.html, htdocs/remake/mdb-old.html,
	htdocs/remake/mdb.html, readthedocs.yaml, test/example/stepping.sh: 
	First batch of doc cleanups (#21) * First batch of doc cleanups * zsh{,db} -> bash{,db} and other doc fixes * zsh{,db} -> bash{,db} and other doc fixes * Gratuituous change to get readthe docs to reread?

2024-02-14  Joachim Ansorg <github@ja-dev.eu>

	* command/next.sh, command/step.sh, lib/processor.sh,
	test/data/misc-output-50.right: 5.2: Fix step command (#6) * Fix step+ and step- commands in bashdb. Before, step+ and step-
	were registered as seperate commands and not as aliases. Also, the
	suffix matching wasn't working in _Dbg_do_step for suffix values -
	and +.  * Go over docs for next/step... (#20) * Remove "step+" and "step-" from list of commands. They are
	  suffixes to "step".  * Update "step" doc to include "step+", "step-" behavior.  * Go over "step" formatting so this renders nicer.  * Mention "next", "step" "set force"  in "step" and "next" docs --------- Co-authored-by: R. Bernstein <rocky@users.noreply.github.com>

2024-02-14  Joachim Ansorg <github@ja-dev.eu>

	* bashdb.in, command/help.sh, command/info.sh,
	command/info_sub/files.sh, dbg-main.sh, init/vars.sh, lib/alias.sh,
	lib/complete.sh, lib/help.sh, lib/info.sh, lib/processor.sh,
	lib/sig.sh, test/unit/test-alias.sh.in: 5.2: Fix pollution with
	global variables (#10) * Fix pollution with global variable "last_next_step_cmd", other
	places seem to use "_Dbg_last_next_step_cmd" already.  We're
	dropping the default of "step" because it's breaking tests.  * Fix pollution of global variables

2024-02-14  R. Bernstein <rocky@users.noreply.github.com>

	* acinclude.m4: Administrivia.. (#17) AC_HELP_STRING is obsolute. run autoupdate on acinclude.m4

2024-02-14  Joachim Ansorg <github@ja-dev.eu>

	* .github/workflows/CI.yml, test/example/bug-loc.sh,
	test/integration/test-bug-loc, test/unit/.gitignore,
	test/unit/Makefile.am, test/unit/test-cmd-info-variables.sh.in: 
	GitHub Action setup (#15) * GitHub Action setup * Undo variable substitution that got into ".in" * Add message to assertion to debug failing tests * Run unit tests in isolation to avoid side-effects * Don't compare unstable highlighting of Pygments, but only the file
	locations

2024-02-13  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #4 from rocky/5.1-jansorg-fix-test-settrace 5.2: Fix test-settrace

2024-01-16  rocky <rb@dustyfeet.com>

	* README.md: Revise README.md for github.

2024-01-16  rocky <rb@dustyfeet.com>

	* .circleci/config.yml: CircleCI woes

2024-01-16  rocky <rb@dustyfeet.com>

	* .circleci/config.yml: 2.1 circleci config

2024-01-16  rocky <rb@dustyfeet.com>

	* .circleci/config.yml, test/data/settrace.right,
	test/integration/test-settrace.in: Go over integration test...  Try CircleCI

2024-01-13  rocky <rb@dustyfeet.com>

	* configure.ac, test/data/bug-loc.right: Bump bash version to 5.2

2024-01-13  rocky <rb@dustyfeet.com>

	* README.md: Remove broken links

2024-01-13  rocky <rb@dustyfeet.com>

	* README.md: Update README.md

2023-12-14  Joachim Ansorg <github@ja-dev.eu>

	* test/unit/.gitignore: Fix gitignore for test-logging.sh

2023-12-14  Joachim Ansorg <github@ja-dev.eu>

	* test/example/settrace.sh: Disable highlighting of first command to
	fix test-settrace

2023-08-19  rocky <rocky@gnu.org>

	* configure.ac: djust warning to note that version 5.1 is okay

2023-07-11  rocky <rocky@gnu.org>

	* lib/columnize.sh: More lint changes

2023-07-07  rocky <rocky@gnu.org>

	* lib/term-highlight.py: Lint Python term-highlight program

2023-07-07  rocky <rocky@gnu.org>

	* lib/break.sh: Misc shellcode linting

2023-07-04  rocky <rocky@gnu.org>

	* lib/help.sh, lib/msg.sh: More shellcheck lint stuff

2023-06-30  rocky <rocky@gnu.org>

	* configure.ac, lib/action.sh, lib/alias.sh: Try ShellCheck for
	linting

2023-05-07  rocky <rocky@gnu.org>

	* command/log.sh, command/set.sh, configure.ac, lib/msg.sh,
	test/unit/test-logging.sh.in: get set logging working + test Patch courtesy of ma-ti

2023-03-20  rocky <rocky@gnu.org>

	* configure.ac: AC_HELP_STRING -> AS_HELP_STRING

2023-01-05  rocky <rocky@gnu.org>

	* command/complete.sh, configure.ac, init/opts.sh,
	test/unit/test-bashdb-trace.sh.in: Preface more locals with _Dbg_

2021-07-13  rocky <rocky@gnu.org>

	* command/eval.sh: Move saving $0 around so as not to upset $? Patch due to Roland Christmann

2021-07-13  rocky <rocky@gnu.org>

	* configure.ac, test/unit/test-eval.sh.in: Remove duplicate
	test/unit/test-eval.sh.in

2021-07-12  rocky <rocky@gnu.org>

	* test/unit/test-lib-eval.sh.in: Untabify

2021-07-12  rocky <rocky@gnu.org>

	* test/unit/test-eval.sh.in: Add unit test for previous change

2021-07-11  rocky <rocky@gnu.org>

	* init/opts.sh, lib/fns.sh, test/example/.gitignore: Better eval?
	pattern matching See https://sourceforge.net/p/bashdb/tickets/11/ Code thanks to Roland Christmann A test needs written for this and the previous commit.

2021-07-11  rocky <rocky@gnu.org>

	* command/eval.sh, configure.ac, test/example/false.sh.in: Saving $0
	was clobbering $? See https://sourceforge.net/p/bashdb/tickets/11/ Patch thanks to Roland Christmann

2021-07-06  rocky <rocky@gnu.org>

	* command/watch.sh: Argument quoting watching variable value Fixes #70

2021-01-30  rocky <rocky@gnu.org>

	* test/unit/test-alias.sh.in: Adjust test order in test-alias

2021-01-30  rocky <rocky@gnu.org>

	* .gitignore, command/show_sub/filename-display.sh, configure.ac,
	test/data/setshow.right: Better 5.1 tolerance

2021-01-14  Rocky Bernstein <allura@localhost>

	* : Merge /u/joachim/bashdb/ branch FIX-5.0-variables-i into
	bash-5.0 https://sourceforge.net/p/bashdb/code/merge-requests/8/

2021-01-02  J. Ansorg <github@joachim-ansorg.de>

	* command/info_sub/variables.sh: Don't override script variable "i"
	when "info variables" is called.

2019-10-24  jansorg <github@joachim-ansorg.de>

	* command/complete.sh, command/down.sh, command/examine.sh,
	command/help.sh, command/info_sub/args.sh,
	command/set_sub/highlight.sh, command/set_sub/listsize.sh,
	command/set_sub/style.sh, command/set_sub/width.sh,
	command/show_sub/commands.sh, command/show_sub/style.sh,
	command/up.sh, lib/journal.sh, lib/save-restore.sh: Wrap paths in
	quotes to support whitespace in paths.

2020-10-16  J. Ansorg <github@joachim-ansorg.de>

	* lib/fns.sh, lib/processor.sh, test/unit/test-fns.sh.in: 
	_Dbg_copies: Use variable _Dbg_result instead of result to avoid
	side-effects with the debugged script.

2020-07-29  rocky <rocky@gnu.org>

	* command/info_sub/display.sh, command/set_sub/filename-display.sh,
	command/show.sh, command/show_sub/filename-display.sh,
	configure.ac, lib/help.sh, test/data/bash-rematch.right,
	test/data/complete.right, test/data/misc-output-50.right,
	test/data/setshow.right: Add "set filename-display" This is similar to gdb's. The command that predates gdb is still
	around and is called "set basename".

2020-06-29  rocky <rocky@gnu.org>

	* : commit 2411db408aab2b8f3a5285e8f46b70f822809514 Author: rocky
	<rocky@gnu.org> Date:   Mon May 18 10:42:49 2020 -0400

2020-05-18  rocky <rocky@gnu.org>

	* doc/how-to-make-a-release.md: Revise instruction on how to update.

2020-05-18  rocky <rocky@gnu.org>

	* htdocs/index.html: Revise docs to mention VSCode & JetBrains
	plugins

2020-05-18  rocky <rocky@gnu.org>

	* Makefile.am, THANKS, THANKS.md: Add  Joachim Ansorg to THANKS,
	THANKS -> THANKS.md

2020-05-18  Rocky Bernstein <allura@localhost>

	* : Merge /u/joachim/bashdb/ branch bash-5.0-vars into bash-5.0 https://sourceforge.net/p/bashdb/code/merge-requests/2/

2020-05-15  rocky <rocky@gnu.org>

	* : commit 3057c489b350d5c933b929cc960a70405108c022 Author: rocky
	<rocky@gnu.org> Date:   Fri May 15 18:28:51 2020 -0400

2020-05-02  rocky <rocky@gnu.org>

	* command/eval.sh, init/term-background.sh, lib/file.sh: Sync with
	zshdb; update term-background.sh

2020-03-28  rocky <rocky@gnu.org>

	* .gitignore, init/term-background.sh: Check to see if we have an
	interactive terminal Fixes #58 https://sourceforge.net/p/bashdb/bugs/58/

2019-12-10  rocky <rocky@gnu.org>

	* doc/README.md, doc/how-to-make-a-release.md: Update version and
	Add repology badge

2019-12-10  rocky <rocky@gnu.org>

	* test/data/Makefile.am: Administrivia

2019-12-10  rocky <rocky@gnu.org>

	* test/example/Makefile.am: Add new bash-rematch test

2019-12-10  rocky <rocky@gnu.org>

	* configure.ac, test/unit/test-set0.sh.in: Remove set0 test

2019-12-10  rocky <rocky@gnu.org>

	* NEWS.md, configure.ac: Get ready for release 5.0-1.1.12

2019-12-05  rocky <rocky@gnu.org>

	* lib/term-highlight.py: Get all Pygments style a user has installed
	not just builtins ...  Thanks are due to John Purnell. See
	https://sourceforge.net/p/bashdb/tickets/4/

2019-11-28  rocky <rocky@gnu.org>

	* command/show_sub/annotate.sh, command/show_sub/autoeval.sh,
	command/show_sub/autolist.sh, command/show_sub/basename.sh,
	command/show_sub/different.sh, command/show_sub/width.sh,
	test/data/action.right, test/data/delete.right,
	test/data/info-args.right, test/data/misc-output-50.right,
	test/data/setshow.right, test/unit/test-fns.sh.in: Misc small "show"
	subcommand bugfixes an tweaks

2019-11-14  jansorg <github@joachim-ansorg.de>

	* command/info.sh, command/show.sh: Quote filenames passed to source
	command to support spaces in paths to bashdb library

2019-11-14  jansorg <github@joachim-ansorg.de>

	* command/info_sub/variables.sh: Support aditional flags for info
	variables: -a|--indexed, -A|--associative, -t|--trace,
	-p|--properties

2019-11-08  rocky <rocky@gnu.org>

	* init/term-background.sh: Silence "stty echo" failures

2019-11-08  rocky <rocky@gnu.org>

	* : Merge /nosenet/muffin-src/external-vcs/sourceforge/bashdb into
	bash-5.0

2019-11-06  rocky <rocky@gnu.org>

	* command/kill.sh: Add ! suffix to "kill" command

2019-11-06  rocky <rocky@gnu.org>

	* : Merge /nosenet/muffin-src/external-vcs/sourceforge/bashdb into
	bash-5.0

2019-11-06  rocky <rocky@gnu.org>

	* : commit 2ee624230d1340232bc2adf841f8d3af1b0c0a1c Author: rocky
	<rocky@gnu.org> Date:   Wed Nov 6 09:35:09 2019 -0500

2019-11-06  rocky <rocky@gnu.org>

	* lib/save-restore.sh, test/data/bug-args.cmd,
	test/data/bug-args.right, test/example/bug-args.sh.in: Track $0 when
	it changes inside debugged progam.

2019-11-05  rocky <rocky@gnu.org>

	* bashdb.in, command/eval.sh, command/shell.sh,
	test/data/action.cmd, test/data/action.right: Set $0 in 'eval' and
	'shell' commands

2019-11-05  rocky <rocky@gnu.org>

	* command/backtrace.sh, command/skip.sh: Small doc tweaks

2019-10-19  rocky <rocky@gnu.org>

	* doc/bashdb.texi: Add "debug" session example

2019-10-16  rocky <rocky@gnu.org>

	* configure.ac, dbg-set-d-vars.inc, lib/hook.sh,
	test/data/bash-rematch.cmd, test/data/bash-rematch.right: Set
	BASH_REMATCH in eval

2019-10-15  rocky <rocky@gnu.org>

	* lib/hook.sh, test/data/bash-rematch.right,
	test/example/bash-rematch.sh: More BASH_REMATCH fixes We need to save the args as they were at the time of the
	BASH_REMATCH command, not as it might be subsequent times it needs
	to be checked.  It is possible the debugger sets BASH_REMATCH on its own when it
	should be empty. So check for that as well.

2019-10-14  rocky <rocky@gnu.org>

	* lib/hook.sh: Better BASH_REMATCH save/restore...  restore $1, $2, etc.

2019-10-14  rocky <rocky@gnu.org>

	* lib/hook.sh: BASH_REMATCH save/restore hacking...  Determine seting based on BASH_REMATCH value rather than a regexp on
	the last bash command. This is flaky, but less so.

2019-10-14  rocky <rocky@gnu.org>

	* lib/hook.sh: Typo in setting _Dbg_continue_rc...  but not sure this really changes the behavior of anything.

2019-10-10  rocky <rocky@gnu.org>

	* test/data/bash-rematch.cmd, test/data/bash-rematch.right: A More
	stringent BASH_REMATCH test

2019-10-10  rocky <rocky@gnu.org>

	* configure.ac, test/data/.gitignore, test/data/Makefile.am,
	test/data/bash-rematch.cmd, test/data/bash-rematch.right,
	test/example/bash-rematch.sh, test/integration/.gitignore,
	test/integration/Makefile.am, test/integration/test-bash-rematch.in: 
	Add BASH_REMATCH integration test

2019-10-10  rocky <rocky@gnu.org>

	* lib/term-highlight.py, test/data/bug-loc.right: Keep up with
	pygmentize ...  Using defaults will be less work in the end.  Fixes
	https://sourceforge.net/p/bashdb/bugs/64/

2019-10-08  rocky <rocky@gnu.org>

	* test/integration/README.md: Spelling mistakes

2019-10-08  rocky <rocky@gnu.org>

	* test/integration/Makefile.am, test/integration/README,
	test/integration/README.md: More detailed info on integration tests

2019-10-07  rocky <rocky@gnu.org>

	* test/example/interrupt.sh.in: Simpiler test-interrup looping.  Thanks to Alastair Smith

2019-10-03  rocky <rocky@gnu.org>

	* lib/hook.sh: Save/restore BASH_REMATCH more reliably Fixes https://sourceforge.net/p/bashdb/bugs/62/

2019-10-03  rocky <rocky@gnu.org>

	* configure.ac, doc/how-to-make-a-release.md, lib/fns.sh: Wasn't
	substituting @DBG_MAIN@

2019-09-11  rocky <rocky@gnu.org>

	* test/data/Makefile.am, test/data/misc-output-50.right,
	test/integration/test-misc.in: Update integration test

2019-09-11  rocky <rocky@gnu.org>

	* command/load.sh: Update "load" doc.

2019-09-11  rocky <rocky@gnu.org>

	* command/info_sub/display.sh: Update display help

2019-09-10  rocky <rocky@gnu.org>

	* doc/README.md: Update README.md

2019-09-10  rocky <rocky@gnu.org>

	* NEWS.md, configure.ac: Get ready for release 5.0-1.1.1

2019-09-10  rocky <rocky@gnu.org>

	* doc/README.md, doc/bashdb.texi: Get ready for release 5.0-1.1.1

2019-09-05  rocky <rocky@gnu.org>

	* command/condition.sh, command/history.sh,
	command/info_sub/variables.sh: Small fixes * Document "condition" better * Show history before running it * Document "info variables" better. Remove markdown bug.

2019-09-05  rocky <rocky@gnu.org>

	* doc/README.md: Update download info

2019-09-04  rocky <rocky@gnu.org>

	* command/info_sub/variables.sh, configure.ac,
	test/unit/.gitignore, test/unit/test-alias.sh.in,
	test/unit/test-bashdb-trace.sh.in,
	test/unit/test-cmd-complete.sh.in, test/unit/test-cmd-eval.sh.in,
	test/unit/test-cmd-info-variables.sh.in,
	test/unit/test-columns.sh.in, test/unit/test-eval.sh.in,
	test/unit/test-file.sh.in, test/unit/test-filecache.sh.in,
	test/unit/test-fns.sh.in, test/unit/test-frame.sh.in,
	test/unit/test-lib-eval.sh.in, test/unit/test-sort.sh.in,
	test/unit/test-validate.sh.in: Add -x, -r, -i flags to info show
	var...  and add test.  Fix small typos in comments

2019-09-04  rocky <rocky@gnu.org>

	* command/info_sub/variables.sh: Properly filter _Dbg_ variables out
	of "info var"

2019-09-03  rocky <rocky@gnu.org>

	* NEWS.md, configure.ac: Get ready for release 5.0-1.1.0

2019-09-02  rocky <rocky@gnu.org>

	* lib/filecache.sh: readarray -> mapfile

2019-09-01  rocky <rocky@gnu.org>

	* init/io.sh, lib/unescape.sh: Small changes

2019-09-01  rocky <rocky@gnu.org>

	* .gitignore, Makefile.am, bashdb-trace.in, bashdb.in,
	builtin/.gitignore, builtin/Makefile.am, builtin/readc.c,
	builtin/set0.c, configure.ac, init/opts.sh,
	init/term-background.sh, init/vars.sh, test/data/Makefile.am,
	test/data/brkpt2.right, test/data/bug-break.right,
	test/data/bug-source.right, test/data/interrupt.right,
	test/data/sig-50.cmd, test/data/sig-50.right,
	test/data/sig-Darwin.right, test/data/tbreak.right,
	test/data/watch1.right, test/integration/test-sig.in: Update for
	bash 5.0 Tests pass now. Now uses BASH_ARGV0.  Possibly there will be more updates.

2019-09-01  rocky <rocky@gnu.org>

	* : commit d56eeb788947af909da9265d4a70034163e8bbdc Author: rocky
	<rocky@gnu.org> Date:   Sun Mar 17 22:34:35 2019 -0400

2018-11-18  rocky <rocky@gnu.org>

	* : commit 2d1a6083fb6619fd0f5227fa9e4961033842876b Author: rocky
	<rocky@gnu.org> Date:   Sun Nov 18 07:05:30 2018 -0500

2018-11-17  rocky <rocky@gnu.org>

	* : commit b3cc8441efff71d0c163eb4cc0473bdf7ff02b0e Author: rocky
	<rocky@gnu.org> Date:   Sat Nov 17 04:00:41 2018 -0500

2018-11-17  rocky <rocky@gnu.org>

	* ChangeLog, NEWS: Get ready for release 4.4-1.0.1

2018-11-15  rocky <rocky@gnu.org>

	* : commit 1dbe1159ea5de9175cf401ae318e7e1b5e12c394 Author: rocky
	<rocky@gnu.org> Date:   Thu Nov 15 16:30:21 2018 -0500

2018-11-14  rocky <rocky@gnu.org>

	* ChangeLog, test/data/Makefile.am, test/example/Makefile.am,
	test/integration/Makefile.am: Add more of the test files in tarball
	see #52

2018-11-14  rocky <rocky@gnu.org>

	* ChangeLog, test/data/Makefile.am, test/example/Makefile.am,
	test/integration/Makefile.am: Add more of the test files in tarball
	see #52

2018-11-04  rocky <rocky@gnu.org>

	* ChangeLog, lib/hook.sh: Preserve BASH_REMATCH - adapted from
	Micheal Wood, Bug #56

2018-11-04  rocky <rocky@gnu.org>

	* ChangeLog, lib/hook.sh: Preserve BASH_REMATCH - adapted from
	Micheal Wood, Bug #56

2018-10-27  rocky <rocky@gnu.org>

	* ChangeLog, NEWS, configure.ac: Get ready for release 4.4-1.0.0

2018-09-30  rocky <rocky@gnu.org>

	* init/opts.sh, test/Makefile.am: Small changes

2018-09-30  rocky <rocky@gnu.org>

	* bashdb-part2.sh, command/action.sh, command/break.sh,
	command/eval.sh, command/examine.sh, command/load.sh,
	command/set.sh, configure.ac, dbg-main.sh, init/opts.sh,
	lib/filecache.sh, lib/fns.sh, lib/hook.sh, lib/processor.sh,
	lib/setshow.sh, lib/unescape.sh: More rogalmic's changes...  for embedded spaces in variable/filenames He also added a --tty_in
	option

2018-09-30  rocky <rocky@gnu.org>

	* ChangeLog, README, configure.ac, test/Makefile.am: Administrivia

2018-09-30  rocky <rocky@gnu.org>

	* : commit 0029671f5972e30df43b0b437943784d3150edc1 Author: rocky
	<rocky@gnu.org> Date:   Sun Sep 30 12:52:37 2018 -0400

2018-09-20  rocky <rocky@gnu.org>

	* test/README, test/README.md: Use markdown for test readme

2018-08-25  rocky <rocky@gnu.org>

	* lib/processor.sh, test/integration/test-sig.in: Further tweaks lib/processor.sh: use "read" without "-r"
	test/integration/test-sig.in: disable for now; it is too fragile

2018-08-25  rocky <rocky@gnu.org>

	* command/break.sh, command/load.sh, lib/file.sh, lib/filecache.sh,
	lib/processor.sh: Blank in filename tolerance...  * Document how to add embedded blanks in "load" and "break"
	commands.  * Better tolerance for filename in library code B

2018-08-22  rocky <rocky@gnu.org>

	* : commit cfab29b6bd670213954412f0b1b8452c6c77888a Author: rocky
	<rocky@gnu.org> Date:   Wed Aug 22 11:59:43 2018 -0400

2018-04-15  rocky <rocky@gnu.org>

	* .gitignore, command/backtrace.sh: Expan bactrace ..  Allow gdb negative count and add -s/--source option

2017-11-20  rocky <rocky@gnu.org>

	* init/opts.sh: Fix improper test for working pygmentize Fixes Bug #48 https://sourceforge.net/p/bashdb/bugs/48/

2017-09-29  rocky <rocky@gnu.org>

	* command/set_sub/style.sh: set style doc tweak

2017-09-05  rocky <rocky@gnu.org>

	* command/disable.sh, command/enable.sh, lib/break.sh: 
	enable/disable with no args does all..  This is compatible with gdb. Also we now allow "enable breakpoints"
	as well as "enable".

2017-08-30  rocky <rocky@gnu.org>

	* : commit ea5c2e60dc0e1cf35a6596aa656c9eae9e82dfca Author: rocky
	<rocky@gnu.org> Date:   Wed Aug 30 16:01:10 2017 -0400

2017-08-30  rocky <rocky@gnu.org>

	* command/delete.sh, lib/frame.sh: Delete all (no args) implemented

2017-08-30  rocky <rocky@gnu.org>

	* ChangeLog, command/break.sh, lib/frame.sh,
	test/unit/test-get-sourceline.sh.in: Fix clear command with no args

2017-08-27  rocky <rocky@gnu.org>

	* test/data/sig-41.right: sig test file for bash 4.1

2017-08-27  rocky <rocky@gnu.org>

	* command/set_sub/dollar0.sh, compute-prefix.sh, lib/fns.sh,
	lib/setshow.sh, test/data/Makefile.am, test/integration/test-sig.in: 
	Misc small bugs

2017-08-24  rocky <rocky@gnu.org>

	* ChangeLog, NEWS, configure.ac, test/data/settrace.right,
	test/integration/test-settrace.in: Get ready for release 4.4-0.94 settrace: adjust for pygementize missing

2017-08-24  rocky <rocky@gnu.org>

	* ChangeLog, configure.ac: Handle configure when run with /bin/sh

2017-08-23  rocky <rocky@gnu.org>

	* compute-prefix.sh: More compute-prefix.sh tweaking

2017-08-22  rocky <rocky@gnu.org>

	* check-prefix.sh, compute-prefix.sh, configure.ac: Better shell
	script for setting/checking prefix

2017-08-22  rocky <rocky@gnu.org>

	* bashdb-main.inc.in: Another small bug

2017-08-22  rocky <rocky@gnu.org>

	* Makefile.am, check-prefix.sh: Some small prefix-checking bugs

2017-08-20  rocky <rocky@gnu.org>

	* bashdb-main.inc.in: Erroneous "print" changed to "echo"

2017-08-17  rocky <rocky@gnu.org>

	* test/data/sig-Darwin.right, test/integration/.gitignore: Fix
	macox's version of test-sig

2017-08-17  rocky <rocky@gnu.org>

	* doc/Makefile.am, doc/bashdb.texi: doc Administrivia...  Makefile.am: comment some targets. Add version.texi target
	bashdb.texi: texinfo now wants @DBG{} instead of @DBG

2017-08-17  rocky <rocky@lexumo.com>

	* : commit e711f27b796e172b2dc7e56a1272ec893f7aa4c6 Author: rocky
	<rocky@gnu.org> Date:   Thu Aug 17 12:47:06 2017 -0400

2017-08-17  rocky <rocky@lexumo.com>

	* doc/bashdb.texi: texi lint

2017-08-17  rocky <rocky@gnu.org>

	* ChangeLog, configure.ac: More explicit error message setting
	--prefix...  And why it should be set correctly

2017-08-04  rocky <rocky@gnu.org>

	* ChangeLog, NEWS, configure.ac: Get ready for release 4.4-0.93

2017-08-04  rocky <rocky@gnu.org>

	* acinclude.m4, configure.ac: configure respects --prefix again in autoconf 2.69 "NONE" (changed from "no") means a value like
	--prefix is not set.  Fixes Issue #47 Also, change the bug reporting location.

2017-08-01  rocky <rb@dustyfeet.com>

	* configure.ac, test/integration/.gitignore,
	test/integration/Makefile.am, test/integration/test-bug-break,
	test/integration/test-bug-break.in: Fix up bug-break integration
	test

2017-08-01  rocky <rb@dustyfeet.com>

	* configure.ac, test/data/sig-44.cmd, test/data/sig-44.right,
	test/integration/Makefile.am, test/integration/{test-settrace =>
	test-settrace.in}: Correct test-settrace Bash 4.4 seems to be better about reporting the file position of the
	main file. We see this here and in test-sig.

2017-08-01  rocky <rb@dustyfeet.com>

	* test/integration/test-sig.in: Fix test-sig integration test for
	4.4

2017-08-01  rocky <rb@dustyfeet.com>

	* command/complete.sh, lib/fns.sh, test/data/complete.right,
	test/unit/test-cmd-complete.sh.in, test/unit/test-sort.sh.in: Fix
	completion and variable defined bugs...  We now sort completions.  Bash 4.2 and above gives a better way to
	tell if a variable is defined - use it.

2017-08-01  rocky <rocky@gnu.org>

	* lib/hook.sh, lib/save-restore.sh, lib/sig.sh,
	test/data/Makefile.am, test/data/bug-set-e.cmd,
	test/data/bug-set-e.right, test/data/sig-bug.cmd,
	test/example/bug-set-e.sh, test/integration/Makefile.am,
	test/integration/test-bug-set-e: Fix debugging in the presense of
	"set -e" Add "set +e" in lib/hook.sh in a judicious place.

2017-06-19  rocky <rb@dustyfeet.com>

	* configure.ac: Allow for black-space differences

2017-06-04  rocky <rocky@gnu.org>

	* init/opts.sh, init/term-background.sh, lib/shell.sh,
	test/data/debug.cmd, test/data/debug.right, test/data/restart.cmd,
	test/data/restart.right, test/data/settrace.cmd,
	test/data/settrace.right, test/data/watch1.cmd,
	test/data/watch1.right, test/example/hanoi.sh.in,
	test/integration/lopts.tests, test/integration/sopts.tests,
	test/integration/test-restart, test/integration/trace.tests: Auto
	set highlight background Respect DARK_BG and use term-background.sh to detect it Note: we are more aggressive now about setting highlghting

2017-06-04  rocky <rocky@gnu.org>

	* command/shell.sh: Add "bash" as an alias for "shell"

2017-05-28  rocky <rocky@gnu.org>

	* : commit 8694771b3056c04512c15c7431a0bb17fa224541 Author: rocky
	<rocky@gnu.org> Date:   Sun May 28 09:55:18 2017 -0400

2017-04-30  rocky <rocky@gnu.org>

	* README-git.md, rpm/bashdb-4.2-0.8.spec, rpm/bashdb-4.2-0.92.spec,
	test/data/brkpt2.right, test/data/bug-break.right,
	test/data/bug-source.right, test/data/tbreak.right,
	test/data/watch1.right: Update test results ..  README-git.m small typo Add RPM spec for CentOS 7

2017-04-08  rocky <rocky@gnu.org>

	* command/skip.sh: Better description on the problems with skip Thanks to Chet Ramey for pointing out the potential problem.

2017-04-08  rocky <rocky@gnu.org>

	* test/data/brkpt2.right, test/data/bug-break.right,
	test/data/bug-source.right, test/data/tbreak.right: Update traceback
	lines

2017-04-08  rocky <rocky@gnu.org>

	* : commit c125087b0ee3eaaa0c22dbced62c52a88c590f79 Author: rocky
	<rocky@gnu.org> Date:   Sat Apr 8 16:43:26 2017 -0400

2016-12-13  rocky <rocky@gnu.org>

	* bashdb-part2.sh, bashdb.in, command/run.sh,
	test/data/brkpt2.right, test/data/bug-break.right,
	test/data/bug-source.right, test/data/tbreak.right: Stip off '--'
	from args list bashdb.in: stop looking for -L libdir if we hit -- first

2016-12-08  rocky <rocky@gnu.org>

	* command/examine.sh, command/run.sh: Document better the behavior
	of examine and run

2016-12-03  rocky <rocky@gnu.org>

	* : commit e68d03c3a85252447e04a87a686c7b14ae18616d Author: rocky
	<rocky@gnu.org> Date:   Sat Dec 3 15:16:04 2016 -0500

2016-10-25  rocky <rocky@gnu.org>

	* : commit d6ba5bdd473d151943a5cc75877585b2754c4d5b Author: rocky
	<rocky@gnu.org> Date:   Tue Oct 25 21:56:20 2016 -0400

2016-08-13  rocky <rocky@gnu.org>

	* doc/bashdb-man.pod: in man page: -- goes after script name, not
	before

2016-08-13  rocky <rocky@gnu.org>

	* doc/bashdb.texi: Update copyright

2016-08-13  rocky <rocky@gnu.org>

	* doc/bashdb.texi: One more small change

2016-08-13  rocky <rocky@gnu.org>

	* doc/bashdb.texi: Update doc copyright

2016-08-13  rocky <rocky@gnu.org>

	* doc/bashdb.texi: Correct decription and use of '--' on invocation

2016-07-13  rocky <rocky@gnu.org>

	* ChangeLog, NEWS, command/continue.sh, command/display.sh,
	command/enable.sh, command/eval.sh, command/examine.sh,
	command/export.sh, command/frame.sh, command/handle.sh,
	command/next.sh, command/pwd.sh, command/quit.sh,
	command/return.sh, command/run.sh, command/shell.sh,
	command/source.sh, command/trace.sh: Add RsT to command help

2016-06-27  rocky <rocky@gnu.org>

	* command/help.sh, command/info.sh, command/info_sub/args.sh,
	command/info_sub/breakpoints.sh, command/info_sub/display.sh,
	command/info_sub/files.sh, command/info_sub/functions.sh,
	command/info_sub/handle.sh, command/info_sub/line.sh,
	command/info_sub/program.sh, command/info_sub/signals.sh,
	command/info_sub/source.sh, command/info_sub/stack.sh,
	command/info_sub/variables.sh, command/info_sub/warranty.sh,
	command/info_sub/watchpoints.sh, lib/info.sh,
	test/data/misc-output-41.right: Go over info help

2016-06-26  rocky <rocky@gnu.org>

	* command/set_sub/different.sh, command/set_sub/editing.sh,
	command/set_sub/highlight.sh, command/set_sub/history.sh,
	command/set_sub/listsize.sh, test/data/misc-output-41.right: Go over
	"help set" doc strings in RsT

2016-06-26  rocky <rocky@gnu.org>

	* command/alias.sh, command/kill.sh, command/list.sh,
	command/set_sub/annotate.sh, command/set_sub/args.sh,
	command/set_sub/autoeval.sh, command/set_sub/autolist.sh,
	command/set_sub/basename.sh, command/set_sub/linetrace.sh,
	command/undisplay.sh, command/up.sh: Help text conversion part 2

2016-06-25  rocky <rocky@gnu.org>

	* command/action.sh, command/alias.sh, command/backtrace.sh,
	command/break.sh, command/complete.sh, command/condition.sh,
	command/delete.sh, command/disable.sh, command/down.sh,
	command/edit.sh, command/help.sh, command/kill.sh,
	command/set_sub/args.sh, command/set_sub/linetrace.sh,
	command/set_sub/prompt.sh, command/set_sub/width.sh,
	command/undisplay.sh, lib/help.sh, lib/msg.sh,
	lib/term-highlight.py: Start using rSt-formatted help

2016-06-22  rocky <rocky@gnu.org>

	* command/set_sub/highlight.sh, command/set_sub/listsize.sh,
	command/set_sub/style.sh, command/set_sub/width.sh,
	command/show_sub/style.sh, init/opts.sh, lib/filecache.sh,
	lib/help.sh, lib/term-highlight.py, test/data/misc-output-41.right,
	test/data/setshow.right, test/example/sig-bug.sh: Add set/show style
	and --style option Sync with zshdb

2016-05-30  rocky <rocky@gnu.org>

	* ChangeLog, NEWS, configure.ac: Get ready for release 4.3-0.92

2016-05-30  rocky <rocky@gnu.org>

	* ChangeLog, command/delete.sh, lib/break.sh,
	test/data/brkpt1.right, test/data/brkpt3.right,
	test/data/bug-break.right, test/data/delete.right,
	test/data/watch1.right: Better breakpoint deletion status This helps frontends like realgud

2016-03-13  rocky <rocky@gnu.org>

	* : commit 3c3c938a4f84b68e5b22453cf4bfca3ee43ce953 Author: rocky
	<rocky@gnu.org> Date:   Sun Mar 13 21:30:05 2016 -0400

2016-03-13  rocky <rocky@gnu.org>

	* .gitignore, Makefile.am, README-git.md, README.CVS,
	htdocs/index.html~: Add instructions to install from git * gitignore ignore *~ * no longer use VCS * remove ~ file erroneously checked in

2016-03-12  rocky <rocky@gnu.org>

	* configure.ac: Use patch from Teej Tj to set AC_CONFIG_AUX_DIR

2016-03-12  rocky <rocky@gnu.org>

	* INSTALL: We don't do bash 3.0 anymore.

2016-03-12  rocky <rocky@gnu.org>

	* autogen.sh, configure.ac: Build adminstrivia fixed bug [#38] * autogen.sh - autoreconf does much of the heavy lifting now * configure.ac - adding AC_CONFIG_AUX_DIR allows configure to find
	config.sub

2015-10-26  rocky <rocky@gnu.org>

	* configure.ac, test/data/complete.right, test/data/sig.cmd,
	test/data/sig.right: Bash 4.4 compliance

2015-10-26  rocky <rocky@gnu.org>

	* test/data/Makefile.am, test/data/sig-43.cmd,
	test/data/sig-43.right, test/integration/check-common.sh.in,
	test/integration/test-sig.in: work aroud bash 4.3 signal handling
	http://lists.gnu.org/archive/html/bug-bash/2015-08/msg00060.html See
	bug #36 https://sourceforge.net/p/bashdb/bugs/36/ Work on bash 4.4
	coming up...

2015-10-15  rocky <rocky@gnu.org>

	* doc/bashdb-man.pod, test/data/misc-output-41.right,
	test/data/setshow.right, test/data/sig-43.right,
	test/integration/test-sig.in: Nicholas Bamber's from issues #35 and
	#36 bashdb-man.pod: spelling mistake SIGXFSZ in some envionments.
	Here rather than just filtering out the signal handler from the test
	results we set a handler to make it reproducible.  Debian got SIGSYS
	signal on the kfreebsd platform so we just filtered it out.

2015-07-11  rocky <rocky@gnu.org>

	* : commit 54ed9443a4c83145185c2485d4e4a6f3704a8176 Author: rocky
	<rocky@gnu.org> Date:   Sat Jul 11 09:31:53 2015 -0400

2015-05-05  rocky <rocky@gnu.org>

	* Makefile.am: Remove a trailing slash which might mess up rm path

2015-04-27  rocky <rocky@gnu.org>

	* htdocs/remake/index.html: make 3.81 -> make 4.1

2015-04-27  rocky <rocky@gnu.org>

	* command/set_sub/tty.sh, command/show_sub/tty.sh: Add tty set/show

2015-04-27  rocky <rocky@gnu.org>

	* htdocs/remake/download.html, htdocs/remake/features.html,
	htdocs/remake/index.html, htdocs/remake/mdb-old.html,
	htdocs/remake/mdb.html: Remake html (even though this isn't part of
	bashdb per se)

2015-04-13  rocky <rocky@gnu.org>

	* Makefile.am, test/data/brkpt2.right, test/data/bug-break.right,
	test/data/bug-source.right, test/data/sig-43.right,
	test/data/sig-Darwin.right, test/data/sig.right,
	test/data/tbreak.right, test/data/watch1.right: Guard against
	install-data running rm /. Also, Line numbers in tracebacks have
	changed.

2015-01-23  rocky <rocky@gnu.org>

	* command/eval.sh, command/set_sub/highlight.sh,
	command/show_sub/highlight.sh, init/opts.sh, lib/filecache.sh,
	lib/hist.sh, lib/msg.sh, lib/processor.sh, lib/term-highlight.py,
	test/data/brkpt2.right, test/data/bug-break.right,
	test/data/bug-source.right, test/data/sig-43.right,
	test/data/sig-Darwin.right, test/data/sig.right,
	test/data/tbreak.right, test/data/watch1.right,
	test/integration/test-bug-loc, test/unit/test-filecache.sh.in,
	test/unit/test-get-sourceline.sh.in, test/unit/test-msg.sh.in: 
	--highlight changed from taking no parameters to
	--highlight=dark|light. And we now accomdate dark terminals more
	properly.

2015-01-16  rocky <rocky@gnu.org>

	* command/help.sh, test/data/misc-output-41.right,
	test/data/misc.right: Add One more sectioning - to help: Available
	commands

2015-01-15  rocky <rocky@gnu.org>

	* command/break.sh, lib/action.sh, lib/break.sh, lib/msg.sh,
	test/data/action.right, test/data/brkpt1.right,
	test/data/brkpt2.right, test/data/bug-loc.right,
	test/data/delete.right, test/data/enable.right, test/data/file with
	spaces.right, test/data/tbreak.right, test/data/watch1.right: Add
	more sectioning commands and add lines under sectioning when syntax
	highlight off.

2014-12-14  rocky <rocky@gnu.org>

	* ChangeLog, test/data/sig.right: Update sig right file for bash <
	4.3

2014-12-14  rocky <rocky@gnu.org>

	* ChangeLog, Makefile.am, README, README.md, doc/Makefile.am,
	make-check-filter.pl, test/data/bug-clear.right,
	test/example/Makefile.am, test/example/{clearbug.sh =>
	bug-clear.sh}, test/integration/check-common.sh.in,
	test/integration/test-bug-clear, test/integration/test-bug-loc: Make
	"make distcheck" work

2014-12-14  rocky <rocky@gnu.org>

	* ChangeLog, Makefile.am, NEWS, command/info_sub/variables.sh,
	command/set_sub/highlight.sh, configure.ac, init/opts.sh,
	make-check-filter.rb, test/integration/check-common.sh.in,
	test/unit/test-save-restore.sh.in: Get ready for 0.91 release.
	test/unit: Correct save/restore test.  highlight.sh: doc is not just
	source listsing make-check-filter.rb: handle weirdly encoded files
	too variables: document "info variables" listings.  check-common:
	Add explicit --no-highlight to be ready for when --highlight is the
	default

2014-12-11  rocky <rocky@gnu.org>

	* lib/break.sh: Sync with zshdb

2014-12-11  rocky <rocky@gnu.org>

	* command/break.sh, lib/break.sh, test/data/Makefile.am,
	test/data/bug-clear.cmd, test/data/bug-clear.right,
	test/data/bug-loc.right, test/example/clearbug.sh,
	test/integration/Makefile.am, test/integration/test-bug-clear: Fix a
	bug where a "clear" command effectively disabled other breakpoints
	in the same file at other lines. Bug reported by Alex.
	test/data/bug-loc.right: Highight markup seems to have changed a
	little which is probably pygments changing. If this causes a problem
	in other setups, we may have to revise this test more.

2014-11-06  rocky <rocky@gnu.org>

	* lib/filecache.sh, lib/list.sh, test/data/Makefile.am,
	test/data/bug-loc.cmd, test/data/bug-loc.right,
	test/example/Makefile.am, test/example/bug-loc.sh,
	test/example/library.sh, test/integration/Makefile.am,
	test/integration/test-bug-loc: Fix bug in source code filename not
	updating when stepping changes filenames to a cached highlighted
	file.

2014-11-04  rocky <rocky@gnu.org>

	* command/set_sub/highlight.sh: Document "set highlight".

2014-11-03  rocky <rockyb@sourceforge.net>

	* lib/save-restore.sh: _Dbg_restore_user_vars(): got restore of
	nullglob backwards. Thanks to John Purnell.

2014-11-03  rocky <rockyb@sourceforge.net>

	* lib/hook.sh, lib/save-restore.sh, test/data/sig-43.right,
	test/data/sig-Darwin.right, test/integration/.gitignore: 
	Save/restore shell option nullglob.

2014-11-03  rocky <rockyb@sourceforge.net>

	* test/integration/test-sig.in: Hook custom darwin sig test in
	integration tests.

2014-09-15  rocky <rocky@gnu.org>

	* ChangeLog, NEWS, configure.ac: Release 4.3-0.9 - this time, for
	sure!

2014-09-13  rocky <rocky@gnu.org>

	* test/data/bug-break.right, test/example/fib.sh: Some OS's don't
	have seq installed

2014-09-13  rocky <rocky@gnu.org>

	* test/integration/test-interrupt.in, test/integration/test-sig.in: 
	More OS's where we skip tests.

2014-09-13  rocky <rocky@gnu.org>

	* Makefile.am: Add "compute-prefix.sh" program

2014-09-13  rocky <rocky@gnu.org>

	* lib/fns.sh, test/integration/test-file-with-spaces: More portable
	handling of assignment statement for eval?

2014-09-13  rocky <rocky@gnu.org>

	* configure.ac, init/opts.sh,
	test/integration/test-file-with-spaces,
	test/integration/test-sig.in: Update copyright. Skip sig test on
	freebsd

2014-09-13  rocky <rocky@gnu.org>

	* .gitignore, ChangeLog, NEWS, command/info_sub/Makefile.am,
	configure.ac, doc/notecase-HTML.sh, init/require.sh, lib/file.sh,
	lib/frame.sh, test/integration/.gitignore,
	test/integration/Makefile.am,
	test/integration/test-file-with-spaces,
	test/integration/test-file-with-spaces.in, test/unit/Makefile.am,
	test/unit/test-get-sourceline.sh.in: tilde expansion reinstated,
	some embedded blank in filenames reinstated. These had been broken
	by changes in bash 4.3. Get ready for release 0.9 .gitignore: more ignore for new test autoconf generation
	command/info_sub/Makefile.am: remove dup directory configure.ac: the
	way to pass PIC for set0 has changed. get ready for release 0.9
	lib/file.sh: adjust tilde expansion for bash 4.3 lib/frame.sh: add
	missing _Dbg_frame_file test/integration/Makefile.am: remove some
	fancy GNU functions not_dir and wildcard
	test/integration/test-file-with-spaces.in: reinstate test
	test/unit/test-get-sourceline.sh.in: reinstate test

2014-06-14  rocky <rocky@gnu.org>

	* doc/bashdb.texi, test/integration/test-file-with-spaces: 
	Adjustments for bash 4.3. Something went on with texinfo too in
	updating to Trusty Tahr.

2014-02-27  R. Bernstein <rocky@gnu.org>

	* configure.ac, test/data/Makefile.am, test/data/sig-43.right,
	test/integration/test-file-with-spaces,
	test/integration/test-file-with-spaces.in,
	test/integration/test-sig.in: Rework tests to work around bash 4.3

2014-01-10  rocky <rocky@gnu.org>

	* doc/README.md: Add README.md that is used in the Files section of
	sourceforge

2013-09-24  rocky <rocky@gnu.org>

	* Makefile.am: For reasons I don't understand, "make dist" doesn't
	work because "make distdir" isn't done before "make dist" and "make
	distdir" creates directories like "command". I'm guessing automake
	changed things around. Adding a dependency like of "dist" on
	"distdir" fixes this, although this seems to be a workaround for
	what looks like an automake problem.

2013-09-24  rocky <rocky@gnu.org>

	* : commit 0437fbaaa986abc94f60d4b8343ef976eee23261 Author: rocky
	<rocky@gnu.org> Date:   Tue Sep 24 07:13:24 2013 -0400

2013-09-24  rocky <rocky@gnu.org>

	* test/example/gcd.sh: Add typeset to gcd.sh

2013-09-13  R. Bernstein <rocky@gnu.org>

	* check-prefix.sh: check-prefix.sh: Don't use SH_PROG, but check_loc
	in test

2013-09-12  R. Bernstein <rocky@gnu.org>

	* Makefile.am, test/integration/Makefile.am, test/unit/Makefile.am: 
	Add tests to distribution (make dist)

2013-05-28  rocky <rocky@gnu.org>

	* : gcd.sh: who wrote this code?

2013-04-04  R. Bernstein <rocky@gnu.org>

	* command/file.sh, command/source.sh, lib/file.sh,
	test/unit/test-file.sh.in: _Dbg_glob_filename ->
	_Dbg_tilde_expand_filename

2013-04-04  R. Bernstein <rocky@gnu.org>

	* : commit 66dd836aec50a53c829e9182d8f8092b1bcb0074 Author: rocky
	<rocky@gnu.org> Date:   Thu Apr 4 07:26:00 2013 -0400

2013-03-25  rocky <rocky@gnu.org>

	* autogen.sh, check-prefix.sh, compute-prefix.sh, configure.ac,
	ltmain.sh: autogen.sh: deal with libtool.  rest: Add programs to
	compute or check that --prefix option is reasonable.

2013-02-17  rocky <rocky@gnu.org>

	* configure.ac, lib/filecache.sh, test/unit/test-eval.sh.in,
	test/unit/test-filecache.sh.in: lib/filecache.sh,
	test/unit/filecache.sh.in: bug "set highlight on" when file is
	already cached test/unit/test-eval.sh.in, configure.ac: test eval
	substitutions

2013-01-29  rocky <rocky@gnu.org>

	* NEWS: Update NEWS

2013-01-29  rocky <rocky@gnu.org>

	* test/integration/test-action, test/integration/test-brkpt,
	test/integration/test-bug-args, test/integration/test-bug-break,
	test/integration/test-bug-source, test/integration/test-bug-step,
	test/integration/test-bugI, test/integration/test-bugIFS,
	test/integration/test-command, test/integration/test-complete,
	test/integration/test-display, test/integration/test-enable,
	test/integration/test-file-with-spaces,
	test/integration/test-finish, test/integration/test-frame,
	test/integration/test-interrupt, test/integration/test-list,
	test/integration/test-lopts, test/integration/test-multi,
	test/integration/test-restart, test/integration/test-search,
	test/integration/test-skip, test/integration/test-sopts,
	test/integration/test-tbreak, test/integration/test-watch1,
	test/integration/test-watch2: /bin/bash -> /usr/bin/env bash for
	OS's like FreeBSD or Solaris that don't have a /bin/bash.

2013-01-28  rocky <rocky@gnu.org>

	* doc/Makefile.am, test/data/misc-output-41.right,
	test/data/setshow.right, test/unit/Makefile.am: doc/Makefile.am:
	ignore DVI errors. test/unit/Makefile.am separate tests and helper
	better. test/data/* tty command doesn't seem to exist any more.

2013-01-28  rocky <rocky@gnu.org>

	* test/integration/Makefile.am: A typo I think

2012-11-11  rocky <rocky@gnu.org>

	* command/info_sub/breakpoints.sh, command/show.sh, lib/help.sh,
	test/data/misc-output-41.right, test/data/setshow.right: Add
	set/show tty

2012-11-10  rocky <rocky@gnu.org>

	* : commit 9dc5a2b2c3aac1a3d1f9b3c2b7a4c5cd55da651e Author: rocky
	<rocky@gnu.org> Date:   Sat Nov 10 12:03:14 2012 -0500

2012-08-25  rocky <rocky@gnu.org>

	* NEWS, command/delete.sh, command/up.sh, test/data/frame.cmd,
	test/data/frame.right: Follow gdb better. alias 'u' for 'up'
	removed.

2012-07-10  rocky <rocky@gnu.org>

	* htdocs/index.html: Typo in git link

2012-07-10  rocky <rocky@gnu.org>

	* configure.ac: Reduce the need for testing for a C compiler

2012-06-07  rocky <rocky@gnu.org>

	* lib/term-highlight.py: Some versions of pygments complain. Silence
	that

2012-03-06  rocky <rocky@gnu.org>

	* test/data/bug-break.cmd, test/data/bug-break.right,
	test/example/fib.sh, test/integration/Makefile.am,
	test/integration/check-common.sh.in,
	test/integration/test-bug-break: Add test for recent breakpoint bug.

2012-03-06  rocky <rocky@gnu.org>

	* configure.ac, lib/break.sh, test/data/Makefile.am,
	test/data/bug-break.cmd, test/data/bug-break.right,
	test/data/bug-step.cmd, test/data/bug-step.right,
	test/example/Makefile.am, test/example/fib.sh, test/example/gcd.sh,
	test/integration/check-common.sh.in,
	test/integration/test-bug-break: Clear out step-over-fn flag in
	"break".

2012-01-27  R. Bernstein <rocky@gnu.org>

	* bashdb-trace.in, configure.ac: bashdb-trace.in: Error out in
	loading bashdb-trace if we don't have bash 4 or greater.
	configure.ac: We are in 2012 and 09dev now.

2012-01-02  rocky <rocky@gnu.org>

	* Makefile.am: Makefile.am - add comment to make like the others

2012-01-02  rocky <rocky@gnu.org>

	* Makefile.am: Add "test" target to mean the same as "check" -
	integration testing.

2011-11-29  rocky <rocky@gnu.org>

	* doc/bashdb.texi: I said update the copyright

2011-11-29  rocky <rocky@gnu.org>

	* doc/bashdb.texi: update copyright at least once every other year

2011-11-29  rocky <rocky@gnu.org>

	* doc/bashdb.texi: Remove not-very-well maintained and somewhat
	historical sections on Edit front-ends. For emacs use emacs-dbgr.
	And ddd is kind of stagnant. (Pot here: calling kettle black.)

2011-11-26  rocky <rocky@gnu.org>

	* htdocs/index.html: Update urls

2011-11-26  rocky <rocky@gnu.org>

	* htdocs/index.html: One more small index change

2011-11-26  rocky <rocky@gnu.org>

	* htdocs/index.html: Change outline manul link to Rod Smith's public
	gallery.

2011-11-26  rocky <rocky@gnu.org>

	* doc/bashdb.texi: Take Rod Smith's suggestions, e.g. remove unused
	function and variable indices. Spell check doc. Update help command
	list and copyright.

2011-11-19  rocky <rocky@gnu.org>

	* ChangeLog, htdocs/index.html: Add pointer to Rod Smith's outline
	manual of the bashdb manual.

2011-10-04  rocky <rocky@gnu.org>

	* INSTALL: --with-bash-src is no longer needed for readarray,
	although it can be used for set0.

2011-05-27  rocky <rocky@gnu.org>

	* lib/hist.sh: Tag a couple of error messages as such

2011-05-27  rocky <rocky@gnu.org>

	* command/show_sub/commands.sh: Correct help text for "show command"

2011-05-27  rocky <rocky@gnu.org>

	* test/unit/.gitignore, test/unit/test-fns.sh.in: Administrivia:
	update .gitnore. test-fns.sh.in: Remove extra slash in sourcing
	files' .

2011-05-27  rocky <rocky@gnu.org>

	* command/eval.sh, command/frame.sh, configure.ac,
	test/unit/.gitignore, test/unit/test-cmd-eval.sh.in,
	test/unit/{test-eval.sh.in => test-lib-eval.sh.in}: Completion of
	empty eval or eval? will add source text line (for eval) or
	extracted source text line (for eval?).

2011-05-18  rocky <rocky@gnu.org>

	* NEWS, lib/save-restore.sh, test/unit/test-fns.sh.in: Remove some
	debug output and get ready for release.

2011-05-17  rocky <rocky@gnu.org>

	* command/info_sub/files.sh, lib/file.sh, lib/filecache.sh,
	lib/frame.sh, lib/help.sh, lib/processor.sh, lib/save-restore.sh: 
	typeset -l is lowercase, not local.  Remove typeset -l and define key local to "info files" to fix an
	"info files" bug.

2011-05-17  rocky <rocky@gnu.org>

	* test/unit/test-eval.sh.in: This time, for sure!

2011-05-17  rocky <rocky@gnu.org>

	* test/unit/test-eval.sh.in: search test futzing

2011-05-17  rocky <rocky@gnu.org>

	* test/data/search.cmd, test/data/search.right: Revise search tests

2011-05-17  rocky <rocky@gnu.org>

	* test/data/misc-output-41.right: part of last commit

2011-05-17  rocky <rocky@gnu.org>

	* test/integration/test-misc.in: Had botched reverse search ? which
	is now "help." Reinstate under name "reverse".

2011-05-17  rocky <rocky@gnu.org>

	* configure.ac, test/unit/test-eval.sh.in: Back off some ev? tests
	if we don't have bash 4.2 or greater

2011-05-17  rocky <rocky@gnu.org>

	* init/opts.sh, lib/break.sh, test/data/Makefile.am: Add info-args
	data to distribution

2011-05-17  rocky <rocky@gnu.org>

	* NEWS, command/continue.sh, command/delete.sh, command/down.sh,
	command/history.sh, command/info.sh, command/next.sh,
	command/up.sh, configure.ac, init/opts.sh: command/*.sh: untabify.
	Reformat help (continue). opt.sh: Don't allow setting highlight if
	pygmentize is not found. configure.ac: pick up git2cl program

2011-05-17  rocky <rocky@gnu.org>

	* NEWS, command/help.sh: Small changes

2011-05-17  rocky <rocky@gnu.org>

	* ChangeLog, NEWS, command/disable.sh, command/enable.sh,
	command/help.sh, command/trace.sh, command/untrace.sh,
	configure.ac, lib/break.sh, lib/processor.sh, test/data/sig.right: 
	Allow unique abbreviations of commands in "help"

2011-05-16  rocky <rocky@gnu.org>

	* configure.ac, init/vars.sh: Part of previous commit.

2011-05-16  rocky <rocky@gnu.org>

	* test/unit/Makefile.am, test/unit/helper.sh, test/unit/shunit2,
	test/unit/test-action.sh.in, test/unit/test-alias.sh.in,
	test/unit/test-bashdb-trace.sh.in, test/unit/test-break.sh.in,
	test/unit/test-cmd-complete.sh.in, test/unit/test-columns.sh.in,
	test/unit/test-eval.sh.in, test/unit/test-file.sh.in,
	test/unit/test-filecache.sh.in, test/unit/test-fns.sh.in,
	test/unit/test-frame.sh.in, test/unit/test-get-sourceline.sh.in,
	test/unit/test-io.sh.in, test/unit/test-lib-list.sh.in,
	test/unit/test-msg.sh.in, test/unit/test-pre.sh.in,
	test/unit/test-require.sh.in, test/unit/test-run.sh.in,
	test/unit/test-save-restore.sh.in, test/unit/test-set0.sh.in,
	test/unit/test-sort.sh.in, test/unit/test-validate.sh.in: test unit
	makeover. DRY code, reduce verbosity but increase statistics and
	execution speed.

2011-05-16  rocky <rocky@gnu.org>

	* command/untrace.sh: untrace: Dbg_msg->Dbg_errmsg

2011-05-16  rocky <rocky@gnu.org>

	* command/trace.sh, command/untrace.sh: More trace/untrace bug fixes
	and and more detailed error messages.

2011-05-16  rocky <rocky@gnu.org>

	* command/trace.sh, command/untrace.sh: Split out untrace from
	trace. Improve help.

2011-05-16  rocky <rocky@gnu.org>

	* test/unit/Makefile.am, test/unit/helper.sh,
	test/unit/test-action.sh.in, test/unit/test-alias.sh.in,
	test/unit/test-bashdb-trace.sh.in, test/unit/test-break.sh.in,
	test/unit/test-cmd-complete.sh.in, test/unit/test-columns.sh.in,
	test/unit/test-eval.sh.in, test/unit/test-file.sh.in,
	test/unit/test-filecache.sh.in: Add test unit helper routine and
	start long process of DRYing code.

2011-05-15  rocky <rocky@gnu.org>

	* : commit 8aff658d3de54d150b814cb7e48ced9c443221ea Author: rocky
	<rocky@gnu.org> Date:   Sun May 15 09:31:41 2011 -0400

2011-05-15  rocky <rocky@gnu.org>

	* command/info.sh, command/info_sub/functions.sh,
	command/info_sub/handle.sh, command/signal.sh, lib/filecache.sh,
	lib/fns.sh, lib/msg.sh, test/data/info-args.cmd,
	test/data/info-args.right, test/data/misc-output-41.right: Correct
	"info functions *pat*". Sync with kshdb.

2011-05-12  rocky <rocky@gnu.org>

	* command/info_sub/handle.sh, command/info_sub/stack.sh: Cut over
	remaning "info" subcommands to newer format.

2011-05-12  rocky <rocky@gnu.org>

	* command/info.sh, command/info_sub/signals.sh,
	command/info_sub/source.sh, lib/info.sh,
	test/data/misc-output-41.right: Convert "info signals" and "info
	source".

2011-05-12  rocky <rocky@gnu.org>

	* command/backtrace.sh, command/down.sh, command/info_sub/args.sh,
	configure.ac, test/data/info-args.cmd, test/data/info-args.right,
	test/data/misc-output-41.right, test/integration/.gitignore,
	test/integration/test-info-args.in: Correct "info args".

2011-05-11  rocky <rocky@gnu.org>

	* command/info.sh, command/info_sub/line.sh,
	command/info_sub/watchpoints.sh: Add tab completion for "info". Add
	files for subcommands "info line" and "info watchpoints".

2011-05-11  rocky <rocky@gnu.org>

	* command/info.sh, command/info_sub/Makefile.am,
	command/info_sub/{brkpts.sh => breakpoints.sh},
	command/info_sub/display.sh, command/info_sub/files.sh,
	command/info_sub/program.sh, command/info_sub/warranty.sh,
	command/show_sub/warranty.sh, command/skip.sh, lib/hist.sh,
	test/data/brkpt1.right, test/data/brkpt2.right,
	test/data/delete.right, test/data/enable.right, test/data/file with
	spaces.right, test/data/misc-output-41.right,
	test/data/restart.right, test/data/restart2.cmd,
	test/data/tbreak.right, test/data/watch1.cmd,
	test/data/watch1.right: Start to remove hard-codedness of "info"
	subcommands, much like that already done for "set" and "show".

2011-05-11  rocky <rocky@gnu.org>

	* command/examine.sh, command/pwd.sh: A couple of small bugs in
	translation and a doc fix

2011-05-10  rocky <rocky@gnu.org>

	* lib/help.sh: Sync with kshdb

2011-05-10  rocky <rocky@gnu.org>

	* command/show_sub/debug.sh, init/pre.sh, lib/hist.sh,
	lib/setshow.sh, test/data/setshow.right,
	test/integration/test-setshow.in: Small bug in show onoff

2011-05-10  rocky <rocky@gnu.org>

	* command/action.sh, command/alias.sh, command/break.sh,
	command/commands.sh, command/condition.sh, command/debug.sh,
	command/delete.sh, command/down.sh, command/edit.sh,
	command/examine.sh, command/file.sh, command/handle.sh,
	command/info.sh, command/kill.sh, command/load.sh, command/next.sh,
	command/pwd.sh, command/quit.sh, command/return.sh, command/run.sh,
	command/search.sh, command/signal.sh, command/skip.sh,
	command/source.sh, command/step.sh, command/tty.sh, command/up.sh,
	command/watch.sh, test/data/misc-output-41.right: Regularize command
	help.

2011-05-10  rocky <rocky@gnu.org>

	* command/complete.sh, command/help.sh, command/info.sh,
	command/show.sh, command/show_sub/alias.sh,
	command/show_sub/commands.sh, command/show_sub/copying.sh,
	command/show_sub/highlight.sh, command/show_sub/history.sh,
	command/show_sub/version.sh, command/show_sub/warranty.sh,
	init/pre.sh, test/data/setshow.right: Move more show subcommands
	into separate files. Less hard coding of show subcommands

2011-05-10  rocky <rocky@gnu.org>

	* command/set.sh, command/show_sub/editing.sh, lib/help.sh,
	test/data/setshow.right: Small formatting changes for show when not
	listing all of them

2011-05-07  rocky <rocky@gnu.org>

	* test/data/Makefile.am, test/example/Makefile.am,
	test/integration/Makefile.am: Remove patch *.{orig,rej} in clean
	targets.

2011-05-07  rocky <rocky@gnu.org>

	* command/clear.sh, command/info.sh, command/set.sh,
	command/show.sh, command/show_sub/annotate.sh,
	command/show_sub/args.sh, command/show_sub/autoeval.sh,
	command/show_sub/autolist.sh, command/show_sub/basename.sh,
	command/show_sub/debug.sh, command/show_sub/different.sh,
	command/show_sub/directories.sh, command/show_sub/editing.sh,
	command/show_sub/highlight.sh, command/show_sub/listsize.sh,
	command/show_sub/prompt.sh, command/show_sub/width.sh,
	lib/processor.sh, test/data/setshow.right: More show subcommand code
	to show_sub. Improve "show" list formatting.

2011-05-07  rocky <rocky@gnu.org>

	* : commit 5d1a941178bf425b41fd684cc76ba5d05ae5858b Author: rocky
	<rocky@gnu.org> Date:   Sat May 7 14:24:43 2011 -0400

2011-05-07  rocky <rocky@gnu.org>

	* command/examine.sh, command/set_sub/debug.sh,
	command/set_sub/debugging.sh, command/show_sub/{debugging.sh =>
	debug.sh}, command/trace.sh, lib/fns.sh, lib/help.sh, lib/hook.sh,
	lib/save-restore.sh, lib/shell.sh, lib/sig.sh,
	test/data/misc-output-41.right, test/unit/test-fns.sh.in: set debug
	-> set debugging to match gdb

2011-05-07  rocky <rocky@gnu.org>

	* lib/processor.sh: ksh -n lint

2011-05-07  rocky <rocky@gnu.org>

	* lib/complete.sh: Don't need 'compgen_opt_word' for now

2011-05-07  rocky <rocky@gnu.org>

	* command/clear.sh, lib/complete.sh, lib/processor.sh,
	test/data/misc-output-41.right, test/data/search.right,
	test/data/sig.right, test/unit/test-cmd-complete.sh.in: Allow unique
	abbreviations for commands. command "clear" moved to the command
	directory and "d" is now a full alias.

2011-05-07  rocky <rocky@gnu.org>

	* test/data/search.right: Correct search integration test

2011-05-07  rocky <rocky@gnu.org>

	* command/backtrace.sh, command/condition.sh, command/delete.sh,
	command/disable.sh, command/enable.sh, command/help.sh,
	lib/complete.sh: Add some tab completion for "help" and add more
	help text

2011-05-06  rocky <rocky@gnu.org>

	* Makefile.am, command/set_sub/autoeval.sh,
	command/set_sub/autolist.sh, command/set_sub/basename.sh,
	command/set_sub/debugging.sh, command/set_sub/different.sh,
	command/set_sub/editing.sh, command/set_sub/highlight.sh,
	command/set_sub/history.sh, command/set_sub/showcommand.sh,
	lib/Makefile.am, lib/processor.sh, lib/subcmd.sh,
	test/data/setshow.right, test/data/sig.right: More tab command
	completion for subcommands.

2011-05-06  rocky <rocky@gnu.org>

	* lib/help.sh, lib/setshow.sh, test/data/misc-output-41.right: Sync
	with ksh

2011-05-06  rocky <rocky@gnu.org>

	* command/set_sub/annotate.sh, command/set_sub/args.sh,
	command/set_sub/autoeval.sh, command/set_sub/autolist.sh,
	command/set_sub/basename.sh, command/set_sub/debugging.sh,
	command/set_sub/different.sh, command/set_sub/dollar0.sh,
	command/set_sub/editing.sh, command/set_sub/highlight.sh,
	command/set_sub/history.sh, command/set_sub/linetrace.sh,
	command/set_sub/listsize.sh, command/set_sub/prompt.sh,
	command/set_sub/showcommand.sh, command/set_sub/width.sh,
	command/show.sh, command/show_sub/annotate.sh,
	command/show_sub/args.sh, command/show_sub/autoeval.sh,
	command/show_sub/autolist.sh, command/show_sub/basename.sh,
	command/show_sub/different.sh, command/show_sub/listsize.sh,
	command/show_sub/width.sh, lib/complete.sh, lib/help.sh,
	test/data/complete.right, test/data/misc-output-41.right: Start
	making each show subcommand its own file in show_sub. Help on each
	is improved somewhat on those show subcommands moved. This also is
	useful in prepration for tab completion of those commands.  However
	several more passes are still needed.

2011-05-06  rocky <rocky@gnu.org>

	* command/show.sh, command/show_sub/Makefile.am,
	command/show_sub/highlight.sh, test/data/setshow.right: Introduced
	bug in show subcommands in sync with kshdb.

2011-05-06  rocky <rocky@gnu.org>

	* init/opts.sh, lib/filecache.sh, lib/setshow.sh,
	test/data/setshow.right: Sync with kshdb

2011-05-06  rocky <rocky@gnu.org>

	* lib/setshow.sh: Sync with kshdb yet again.

2011-05-06  rocky <rocky@gnu.org>

	* command/set.sh, command/show.sh, command/show_sub/debugging.sh,
	command/show_sub/editing.sh, lib/setshow.sh,
	test/data/setshow.right: Sync with kshdb. Remove typeset -l since
	that is lower in zsh

2011-05-05  rocky <rocky@gnu.org>

	* command/set_sub/autoeval.sh, lib/subcmd.sh: More better tab
	completion for subcommands

2011-05-05  rocky <rocky@gnu.org>

	* command/set.sh, command/show.sh, lib/Makefile.am, lib/subcmd.sh: 
	Add tab completion for set and show

2011-05-05  rocky <rocky@gnu.org>

	* builtin/readc.c, command/condition.sh,
	command/info_sub/brkpts.sh, lib/complete.sh: Have to back off on
	aggressiveness of readc cleanup. Add some completion for "condition"
	command.

2011-05-05  rocky <rocky@gnu.org>

	* builtin/readc.c: Simplify and clean up readc code.

2011-05-05  rocky <rocky@gnu.org>

	* builtin/.gitignore, builtin/readc.c, lib/complete.sh: Nailed it!
	tab completion for debugger commands starts to work!

2011-05-04  rocky <rocky@gnu.org>

	* command/complete.sh, lib/complete.sh: Guard against "complete -r"

2011-05-04  rocky <rocky@gnu.org>

	* Makefile.am, bashdb-part2.sh, bashdb.in, builtin/.gitignore,
	builtin/Makefile.am, command/down.sh, command/enable.sh,
	command/frame.sh, command/up.sh, init/opts.sh, lib/break.sh,
	lib/complete.sh, lib/help.sh, lib/processor.sh,
	test/data/brkpt2.right, test/data/bug-source.right,
	test/data/sig.right, test/data/tbreak.right, test/data/watch1.right: 
	Start to add debugger command completion.

2011-05-03  rocky <rocky@gnu.org>

	* bashdb.in, command/set_sub/dollar0.sh, test/data/brkpt2.right,
	test/data/bug-source.right, test/data/sig.right,
	test/data/tbreak.right, test/data/watch1.right: Only add "set
	dollar0" if "set0" builtin loads.

2011-05-03  rocky <rocky@gnu.org>

	* command/complete.sh, test/unit/test-cmd-complete.sh.in: sync with
	bashdb.

2011-05-02  rocky <rocky@gnu.org>

	* command/export.sh, lib/fns.sh, test/unit/test-cmd-complete.sh.in: 
	Fix unit test and remove some ksh -n lint warnings.

2011-05-02  rocky <rocky@gnu.org>

	* command/complete.sh, configure.ac, test/data/complete.cmd,
	test/data/complete.right, test/unit/.gitignore,
	test/unit/test-cmd-complete.sh.in: Fix initial command completion
	more properly -- use keys of _Dbg_debugger_commands rather than a
	static array. FIXME: need to include aliases as well.

2011-05-02  rocky <rocky@gnu.org>

	* command/complete.sh: Typo

2011-05-02  rocky <rocky@gnu.org>

	* command/complete.sh: Sync with zshdb.

2011-05-02  rocky <rocky@gnu.org>

	* command/Makefile.am, command/complete.sh,
	command/set_sub/trace-commands.sh, lib/complete.sh, lib/help.sh: DRY
	Makefile.am more using GNU make *.sh wildcards. Sync with zshdb.

2011-05-01  rocky <rocky@gnu.org>

	* command/complete.sh, command/set.sh, command/set_sub/Makefile.am,
	command/set_sub/autoeval.sh, command/set_sub/basename.sh,
	command/set_sub/debugging.sh, command/set_sub/different.sh,
	command/set_sub/dollar0.sh, command/set_sub/highlight.sh,
	command/set_sub/history.sh, command/set_sub/prompt.sh,
	command/set_sub/showcommand.sh, command/set_sub/trace-commands.sh,
	command/set_sub/width.sh, lib/complete.sh, lib/help.sh,
	test/data/complete.right, test/data/misc-output-41.right,
	test/unit/.gitignore: Start DRYing set subcommands. Much more work
	is needed and "show/info" commands need the same treatment.

2011-05-01  rocky <rocky@gnu.org>

	* ChangeLog, NEWS, bashdb.in, command/run.sh, configure.ac,
	test/unit/test-set0.sh.in: More administrivia: bumb version number
	note what's changed. Correct shunit2 location in test-set0.sh.in

2011-05-01  rocky <rocky@gnu.org>

	* Makefile.am, bashdb.in, command/set_sub/editing.sh, configure.ac,
	lib/help.sh, test/data/brkpt2.right, test/data/bug-source.right,
	test/data/misc-output-41.right, test/data/sig.right,
	test/data/tbreak.right, test/data/watch1.right,
	test/unit/test-set0.sh.in: Set $0 to script when bashdb is called
	initially. Add a debugger "set dollar0" command.

2011-04-30  rocky <rocky@gnu.org>

	* command/help.sh: Have to back off of using require.

2011-04-30  rocky <rocky@gnu.org>

	* command/help.sh, command/up.sh: Add some rudimentary demo code.

2011-04-30  rocky <rocky@gnu.org>

	* command/up.sh, lib/columnize.sh: YAY! finally got this require
	thing worked out: $0 == ${BASH_SOURCE[0]} Wonder what I need to do
	for other POSIX shells?

2011-04-30  rocky <rocky@gnu.org>

	* test/unit/.gitignore, test/unit/require_me.sh: More administrivia.
	See above.

2011-04-30  rocky <rocky@gnu.org>

	* configure.ac, test/unit/Makefile.am, test/unit/require_me.sh.in: 
	Administrivia: Move require_me.sh to require_me.sh.in to put in
	build directory for "make distcheck" .

2011-04-30  rocky <rocky@gnu.org>

	* Makefile.am, command/up.sh, configure.ac, dbg-main.sh,
	init/.gitignore, init/Makefile.am, dbg-io.sh => init/io.sh,
	dbg-opts.sh => init/opts.sh, dbg-pre.sh => init/pre.sh, {lib =>
	init}/require.sh, dbg-init.sh => init/vars.sh,
	test/integration/test-bug-step-subshell.in,
	test/unit/test-action.sh.in, test/unit/test-bashdb-trace.sh.in,
	test/unit/test-break.sh.in, test/unit/test-file.sh.in,
	test/unit/test-filecache.sh.in, test/unit/test-fns.sh.in,
	test/unit/test-frame.sh.in, test/unit/test-get-sourceline.sh.in,
	test/unit/test-io.sh.in, test/unit/test-msg.sh.in,
	test/unit/test-pre.sh.in, test/unit/test-require.sh.in,
	test/unit/test-save-restore.sh.in, test/unit/test-validate.sh.in: 
	Improve require. Reorganize code so that initialization code is in
	its own directory.

2011-04-30  rocky <rocky@gnu.org>

	* command/history.sh, command/quit.sh, command/set_sub/history.sh,
	lib/hist.sh, test/data/bug-step-subshell.right,
	test/data/setshow.right, test/integration/Makefile.am,
	test/integration/test-bug-step-subshell.in,
	test/integration/test-debug.in: Remove tabs and some git merge
	differences.

2011-04-30  rocky <rocky@gnu.org>

	* command/up.sh, configure.ac, lib/require.sh,
	test/data/bug-step-subshell.cmd, test/data/bug-step-subshell.right,
	test/integration/.gitignore,
	test/integration/test-bug-step-subshell.in, test/unit/.gitignore,
	test/unit/Makefile.am, test/unit/require_me.sh,
	test/unit/test-frame.sh.in, test/unit/test-require.sh.in,
	test/unit/test-set0.sh.in: Experiment with a Ruby-like "require"
	command. Idea came out of a discussion with Dan Janowski.
	test/unit/Makefile.am: DRY code.

2011-04-15  rocky <rocky@gnu.org>

	* test/integration/test-bug-step-subshell,
	test/integration/test-bug-step-subshell.in: Sync with zshdb. Correct
	test-step-bug-shell program.  Makefile.am: should simplify
	maintenance a little.

2011-04-15  rocky <rocky@gnu.org>

	* lib/frame.sh, test/data/brkpt2.right, test/data/frame.right: Show
	frame number and backtrace line when switching frames.

2011-04-15  rocky <rocky@gnu.org>

	* command/quit.sh, htdocs/index.html, test/data/action.right,
	test/data/brkpt1.right, test/data/brkpt2.right,
	test/data/brkpt3.right, test/data/bug-args.right,
	test/data/bug-source.right, test/data/bug-step-subshell.right,
	test/data/bug-step.right, test/data/bugI.right,
	test/data/bugIFS.right, test/data/command.right,
	test/data/complete.right, test/data/debug.right,
	test/data/delete.right, test/data/display.right,
	test/data/enable.right, test/data/export.right, test/data/file with
	spaces.right, test/data/finish.right, test/data/frame.right,
	test/data/interrupt.right, test/data/list.right,
	test/data/lopts.right, test/data/misc-output.right,
	test/data/multi1.right, test/data/multi2.right,
	test/data/multi3.right, test/data/multi4.right,
	test/data/parm.right, test/data/restart.right,
	test/data/search.right, test/data/setshow.right,
	test/data/settrace.right, test/data/sig.right,
	test/data/skip.right, test/data/sopts.right,
	test/data/subshell1.right, test/data/subshell2.right,
	test/data/subshell3.right, test/data/subshell4.right,
	test/data/tbreak.right, test/data/trace.right,
	test/data/trace2.right, test/data/watch1.right,
	test/data/watch2.right: Add exit message when leaving the debugger.
	It helps front-ends know that we're going down.

2011-04-01  rocky <rocky@gnu.org>

	* : commit 414c6e40d4cff2019b2fd2fb5b8982b399e97c83 Author: rocky
	<rocky@gnu.org> Date:   Fri Apr 1 15:29:54 2011 -0400

2011-03-27  rocky <rocky@gnu.org>

	* command/kill.sh, lib/journal.sh: Try to clean up files before kill
	-9. Some code cleanups. Sync with kshdb and zshdb.

2011-03-18  rocky <rocky@gnu.org>

	* : commit 3f21257b8e72d625d7c2ea9db6f5c804930138e8 Author: rocky
	<rocky@gnu.org> Date:   Thu Mar 17 22:06:45 2011 -0400

2011-03-17  rocky <rocky@gnu.org>

	* command/action.sh, command/backtrace.sh, command/break.sh,
	command/condition.sh, command/continue.sh, command/delete.sh,
	command/disable.sh, command/display.sh, command/down.sh,
	command/edit.sh, command/enable.sh, command/eval.sh,
	command/examine.sh, command/export.sh, command/frame.sh,
	command/help.sh, command/info.sh, command/info_sub/display.sh,
	command/info_sub/files.sh, command/info_sub/variables.sh,
	command/info_sub/warranty.sh, command/kill.sh, command/list.sh,
	command/next.sh, command/return.sh, command/run.sh,
	command/set_sub/annotate.sh, command/set_sub/args.sh,
	command/set_sub/autolist.sh, command/set_sub/editing.sh,
	command/set_sub/highlight.sh, command/set_sub/history.sh,
	command/set_sub/linetrace.sh, command/set_sub/listsize.sh,
	command/set_sub/showcommand.sh, command/set_sub/trace-commands.sh,
	command/set_sub/width.sh, command/shell.sh, command/show.sh,
	command/show_sub/alias.sh, command/show_sub/copying.sh,
	command/show_sub/debugging.sh, command/show_sub/editing.sh,
	command/show_sub/highlight.sh, command/source.sh, command/trace.sh,
	command/undisplay.sh: Fix up test for pygmentize and replace tabs
	with blanks. Change courtesy of Lukas Fleischer.

2011-03-16  rocky <rocky@gnu.org>

	* htdocs/index.html: Update links.

2011-03-15  rocky <rocky@gnu.org>

	* command/eval.sh, lib/fns.sh: Small changes

2011-03-15  rocky <rocky@gnu.org>

	* NEWS, dbg-opts.sh: Change banner slightly

2011-03-15  rocky <rocky@gnu.org>

	* bashdb-trace.in, bashdb.in, command/eval.sh, dbg-opts.sh,
	test/data/trace.right, test/data/trace2.right,
	test/integration/test-trace, test/integration/trace.tests: Reinstate
	linetrace test. Remove "set linetrace" bugs.

2011-03-14  rocky <rocky@gnu.org>

	* lib/fns.sh: Don't use \s in regexps, use [ \t] instead

2011-03-14  rocky <rocky@gnu.org>

	* lib/fns.sh, test/unit/test-eval.sh.in: Remove non-portables uses
	of sed.

2011-03-14  rocky <rocky@gnu.org>

	* ChangeLog, command/examine.sh, command/next.sh, command/trace.sh,
	configure.ac, lib/fns.sh, lib/help.sh, lib/hook.sh,
	lib/save-restore.sh, lib/sig.sh, test/data/frame.right,
	test/data/sig.right, test/unit/test-eval.sh.in,
	test/unit/test-fns.sh.in: Correct variable name: _Dbg_dbg_debugger
	-> _Dbg_set_debugger

2011-03-14  rocky <rocky@gnu.org>

	* : commit 75cc2a8dbb75cef4b3d3c222bbb4847c24861d28 Author: rocky
	<rocky@gnu.org> Date:   Mon Mar 14 11:54:35 2011 -0400

2011-03-14  rocky <rocky@gnu.org>

	* command/Makefile.am, command/quit.sh, command/{restart.sh =>
	run.sh}, command/shell.sh, command/source.sh,
	test/data/misc-output-41.right: canonic debugger command "run" to
	follow gdb, not "restart. More conventional shell-style indentation

2011-03-13  rocky <rocky@gnu.org>

	* : commit 28746b2ea3b0cc8fc6063f1593b87d295fadd14c Author: rocky
	<rocky@gnu.org> Date:   Sun Mar 13 13:55:53 2011 -0400

2011-03-13  rocky <rocky@gnu.org>

	* command/delete.sh, command/disable.sh, command/display.sh,
	command/edit.sh, command/eval.sh, lib/help.sh, lib/processor.sh,
	test/data/frame.right: Sync with kshdb

2011-03-12  rocky <rocky@gnu.org>

	* : commit e8e22ab19b914b3c14c0235a7494a4f5459c5fb4 Author: rocky
	<rocky@gnu.org> Date:   Sat Mar 12 21:25:18 2011 -0500

2011-03-08  rocky <rocky@gnu.org>

	* bashdb-trace.in, lib/hook.sh, test/data/frame.right,
	test/example/hanoi.sh.in: _Dbg_linetrace -> _Dbg_set_linetrace

2011-03-07  rocky <rocky@gnu.org>

	* test/integration/test-trace: Merge in associate array code from
	branch (from 2 years ago). Need to skip trace tests for now.
	Probably messed up a _Dbg_linetrace/_Dbg_set_linetrace var.

2011-03-06  rocky <rocky@gnu.org>

	* test/integration/test-trace: _Dbg_linetrace -> _Dbg_set_linetrace;
	comment out a trace test for now

2011-03-05  rocky <rocky@gnu.org>

	* : commit 16fb4c138525e9b256302dbc9dec830c40253d9c Author: rocky
	<rocky@gnu.org> Date:   Sat Mar 5 23:32:34 2011 -0500

2011-03-05  rocky <rocky@gnu.org>

	* command/set_sub/linetrace.sh, command/show.sh, dbg-main.sh,
	dbg-opts.sh, lib/help.sh, lib/hook.sh: _Dbg_linetrace ->
	_Dbg_set_linetrace. sync with zshdb.

2011-03-05  rocky <rocky@gnu.org>

	* NEWS, dbg-main.sh, dbg-opts.sh, lib/Makefile.am: Add --init-file
	option.

2011-03-05  rocky <rocky@gnu.org>

	* NEWS, command/debug.sh, command/shell.sh, doc/.gitignore,
	doc/bashdb.texi, htdocs/bashdbOutline.html, lib/save-restore.sh,
	lib/shell.sh: Save and restore variables in debug command.  Wasn't
	saving fns.  bashdb.texi: add info on shell, eval, and eval? Update
	NEWS

2011-03-05  rocky <rocky@gnu.org>

	* doc/.gitignore, doc/bashdb.texi: Document eval (no args) and eval?

2011-03-04  rocky <rocky@gnu.org>

	* lib/journal.sh, lib/setshow.sh: sync with zshdb

2011-03-04  rocky <rocky@gnu.org>

	* command/export.sh, test/data/export.cmd, test/data/export.right,
	test/integration/.gitignore, test/integration/test-export.in: Forgot
	to add new files

2011-03-04  rocky <rocky@gnu.org>

	* command/Makefile.am, configure.ac, lib/fns.sh, lib/setshow.sh,
	lib/validate.sh, test/data/Makefile.am,
	test/data/misc-output-41.right, test/integration/Makefile.am: Add
	"export" command to save a variable's value outside of a subshell

2011-03-03  rocky <rocky@gnu.org>

	* command/break.sh, command/info_sub/brkpts.sh: Sync with kshdb: use
	standard indentation.

2011-03-03  rocky <rocky@gnu.org>

	* command/display.sh, command/info.sh, command/info_sub/display.sh: 
	Sync with kshdb.

2011-03-02  rocky <rocky@gnu.org>

	* lib/display.sh: Sync with kshdb

2011-03-02  rocky <rocky@gnu.org>

	* AUTHORS, command/eval.sh, lib/display.sh,
	test/data/display.right, test/data/watch2.right: Don't show $? in
	display. Sync with zshdb.

2011-03-02  rocky <rocky@gnu.org>

	* Makefile.am, command/shell.sh, configure.ac, data/.gitignore,
	data/Makefile.am, data/shell.sh, lib/hook.sh, lib/shell.sh,
	test/data/sig.right: Work on 'shell' command more. Sync with zshdb.

2011-03-01  rocky <rocky@gnu.org>

	* command/delete.sh, command/shell.sh, dbg-init.sh, lib/break.sh,
	lib/frame.sh, lib/shell.sh, lib/validate.sh: Do a better job at
	saving variables based on zshdb code

2011-02-28  rocky <rocky@gnu.org>

	* lib/fns.sh: ev? logic was wrong.

2011-02-28  rocky <rocky@gnu.org>

	* : commit fbe3ce1a6cfb93d8a031e0f997fc31106c0b92b3 Author: rocky
	<rocky@gnu.org> Date:   Mon Feb 28 22:42:44 2011 -0500

2011-02-28  rocky <rocky@gnu.org>

	* command/eval.sh, lib/break.sh, lib/fns.sh: in "eval?" extract
	expression in "case", and echo that.

2011-02-26  rocky <rocky@gnu.org>

	* command/shell.sh: Changes to "shell" command to make it share more
	code zshdb

2011-02-26  rocky <rocky@gnu.org>

	* command/shell.sh, dbg-opts.sh: Add options and bash options to
	debugger "shell" commmand.

2011-02-26  rocky <rocky@gnu.org>

	* command/shell.sh: Add shell debugger command

2011-02-26  rocky <rocky@gnu.org>

	* command/Makefile.am, dbg-pre.sh, test/data/lopts.right,
	test/data/misc-output-41.right, test/integration/test-lopts,
	test/integration/test-sopts: Add debugger command shell for going
	into a full-fledged nested shell with variables set on entry.

2011-02-26  rocky <rocky@gnu.org>

	* test/unit/test-eval.sh.in: Output changed in eval? test

2011-02-26  rocky <rocky@gnu.org>

	* : commit 4e92241f5f8b4d9bb4821d8386557245f5a65029 Author: rocky
	<rocky@gnu.org> Date:   Fri Feb 25 23:14:51 2011 -0500

2011-02-25  rocky <rocky@gnu.org>

	* lib/fns.sh: eval? of return should turn add an echo

2011-02-25  rocky <rocky@gnu.org>

	* lib/fns.sh, test/unit/test-eval.sh.in: In eval? we now also strip
	a leading 'return'

2011-02-23  rocky <rocky@gnu.org>

	* ChangeLog, configure.ac: We're in version 4.2-0.7dev now

2011-02-19  rocky <rocky@gnu.org>

	* command/eval.sh, configure.ac, lib/fns.sh,
	test/data/display.right, test/data/parm.right,
	test/data/setshow.right, test/data/sig.right,
	test/data/watch1.right, test/data/watch2.right,
	test/unit/.gitignore, test/unit/Makefile.am,
	test/unit/test-eval.sh.in: Add eval? to remove leading
	"if/while/elif" and trailing ";do" or ";then"

2011-02-19  rocky <rocky@gnu.org>

	* command/eval.sh, test/data/brkpt3.cmd, test/data/brkpt3.right,
	test/data/bug-args.cmd, test/data/bug-args.right,
	test/data/bugIFS.cmd, test/data/bugIFS.right, test/data/multi1.cmd,
	test/data/multi1.right, test/data/multi2.cmd,
	test/data/multi2.right, test/data/multi3.cmd,
	test/data/multi3.right, test/data/multi4.cmd,
	test/data/multi4.right, test/data/parm.cmd, test/data/parm.right,
	test/data/skip.cmd, test/data/skip.right, test/data/subshell1.cmd,
	test/data/subshell1.right, test/data/subshell2.cmd,
	test/data/subshell2.right, test/data/subshell4.cmd: remove "print"
	that sneaked into recent change and replace with "builtin echo" "p"
	is no longer alias for "print". Use pr. "e" is no longer alias for
	"eval", use "ev". This matches the Ruby trepanning debuggers.

2011-02-19  rocky <rocky@gnu.org>

	* command/eval.sh: eval msg display should be syntax highlighted (if
	on)

2011-02-19  rocky <rocky@gnu.org>

	* command/eval.sh, command/quit.sh, command/search.sh,
	lib/filecache.sh, lib/list.sh, test/unit/test-filecache.sh.in,
	test/unit/test-get-sourceline.sh.in: Add q! alias for quit. Show
	eval source text and note set autoeval in help

2011-02-09  rocky <rocky@gnu.org>

	* command/down.sh, command/frame.sh, command/up.sh,
	test/unit/test-validate.sh.in: Sync with zshdb

2011-02-09  rocky <rocky@gnu.org>

	* command/down.sh, command/frame.sh, command/up.sh, lib/validate.sh: 
	Better parameter checking on up/down/frame

2011-02-09  rocky <rocky@gnu.org>

	* command/up.sh, lib/filecache.sh, lib/msg.sh,
	test/data/setshow.right, test/unit/test-msg.sh.in: Fix
	just-Introduced bug. Errmsg rather than msg on undefined command.
	Check up parameters for integer-ness.

2011-02-09  rocky <rocky@gnu.org>

	* command/set_sub/highlight.sh, command/show_sub/highlight.sh,
	lib/Makefile.am, lib/term-highlight.py: Make highlight wrapper
	executable

2011-02-09  rocky <rocky@gnu.org>

	* lib/Makefile.am: Add highlight wrapper to install/distribution

2011-02-09  rocky <rocky@gnu.org>

	* lib/filecache.sh: More custom highlight colors

2011-02-09  rocky <rocky@gnu.org>

	* : commit 9ed899999a18a19330c4634c543fa9c7591d27a8 Author: rocky
	<rocky@gnu.org> Date:   Wed Feb 9 10:46:05 2011 -0500

2011-02-07  rocky <rocky@gnu.org>

	* : commit 2d455a23e7d6a9a2b133ddad4c5f744e913e5cd5 Author: rocky
	<rocky@gnu.org> Date:   Sun Feb 6 23:11:55 2011 -0500

2011-02-06  rocky <rocky@gnu.org>

	* command/show.sh: Correct variable name.

2011-02-06  rocky <rocky@gnu.org>

	* ChangeLog, command/show.sh, command/show_sub/alias.sh,
	command/show_sub/copying.sh, command/show_sub/debugging.sh,
	command/show_sub/editing.sh, lib/help.sh,
	test/data/misc-output-41.right, test/data/misc.right,
	test/data/setshow.right: Start dynamic subcommands handling via
	associative arrays like we did for commands.

2011-01-16  rocky <rocky@gnu.org>

	* lib/processor.sh, test/data/sig.right: Sync with zshdb

2011-01-10  rocky <rocky@gnu.org>

	* ChangeLog, lib/fns.sh, lib/help.sh, lib/hist.sh, lib/processor.sh: 
	Remove more lint warnings via ksh -n

2011-01-10  rocky <rocky@gnu.org>

	* command/info.sh, lib/break.sh: Add more zsh compatibility courtesy
	of zsh -n

2011-01-10  rocky <rocky@gnu.org>

	* test/data/sig-Darwin.right, test/data/sig.right: Sync with zshdb

2011-01-10  rocky <rocky@gnu.org>

	* lib/filecache.sh, lib/fns.sh, lib/help.sh, lib/hook.sh: Sync with
	zshdb

2011-01-10  rocky <rocky@gnu.org>

	* command/action.sh, command/backtrace.sh, command/break.sh,
	command/down.sh, command/examine.sh, command/kill.sh,
	command/list.sh, command/load.sh, command/log.sh, command/quit.sh,
	command/show.sh, command/up.sh: Last batch changes for ksn -n
	checking

2011-01-10  rocky <rocky@gnu.org>

	* autogen.sh, dbg-main.sh, dbg-opts.sh: More lint checking via ksh
	-n

2011-01-10  rocky <rocky@gnu.org>

	* lib/break.sh, lib/frame.sh, lib/hist.sh, lib/hook.sh,
	lib/info.sh, lib/journal.sh, lib/list.sh, lib/processor.sh,
	lib/save-restore.sh, lib/setshow.sh, lib/sig.sh: More lint changes
	from ksh -n

2011-01-10  rocky <rocky@gnu.org>

	* lib/break.sh, lib/filecache.sh, lib/fns.sh, lib/frame.sh,
	lib/help.sh, lib/hist.sh: Lint changes courtesy of ksh -n.

2011-01-07  rocky <rocky@gnu.org>

	* ChangeLog, bashdb.in, lib/action.sh, lib/alias.sh, lib/break.sh,
	lib/filecache.sh, lib/fns.sh: Lint check changes courtesy of ksh -n.

2010-12-24  rocky <rocky@gnu.org>

	* command/examine.sh: Remove one more erroneous use of
	_Dbgr_continue_rc

2010-12-24  rocky <rocky@gnu.org>

	* ChangeLog, command/examine.sh, command/step.sh, lib/action.sh,
	lib/alias.sh, lib/break.sh, lib/sig.sh: Don't use _Dbg_continue_rc
	where not appropriate. Synchronize with bashdb.

2010-12-10  rocky <rocky@gnu.org>

	* ChangeLog, NEWS, configure.ac: Giant Madagascar Day Gecko Release.

2010-12-09  rocky <rocky@gnu.org>

	* test/unit/test-lib-list.sh.in: A new test for recent "list"
	additions

2010-12-08  rocky <rocky@gnu.org>

	* ChangeLog, NEWS, command/list.sh, command/set_sub/autolist.sh,
	command/step.sh: "list" command help fixes. "show autolist" fix.

2010-12-08  rocky <rocky@gnu.org>

	* ChangeLog, bashdb.in: A couple of messages were not going to
	stderr. Observation noticed by Christopher Barry.

2010-12-08  rocky <rocky@gnu.org>

	* ChangeLog, NEWS, command/list.sh, configure.ac, lib/list.sh,
	lib/processor.sh, test/data/brkpt2.cmd, test/data/brkpt2.right,
	test/data/file with spaces.right, test/data/list.cmd,
	test/data/list.right, test/data/restart.cmd,
	test/data/restart.right, test/data/restart2.cmd,
	test/data/search.cmd, test/data/search.right,
	test/data/settrace.cmd, test/data/settrace.right,
	test/data/sig.right, test/data/watch1.right, test/unit/.gitignore,
	test/unit/Makefile.am: Add list>, l>.

2010-12-07  rocky <rocky@gnu.org>

	* ChangeLog, doc/bashdb.texi: Add autolist and update help lists.
	Start noting differences in Emacs interaction.

2010-12-06  rocky <rocky@gnu.org>

	* ChangeLog, NEWS, test/integration/.gitignore: Administrivia

2010-12-02  rocky <rocky@gnu.org>

	* command/handle.sh, lib/sig.sh: signal handling: Make it easier to
	sync with zshdb.

2010-12-02  rocky <rocky@gnu.org>

	* ChangeLog, test/example/hanoi.sh.in, test/example/settrace.sh,
	test/integration/settrace.tests, test/integration/test-debug.in,
	test/integration/test-misc.in, test/integration/trace.tests,
	test/integration/trace2.tests: "make distcheck" works again!

2010-12-02  rocky <rocky@gnu.org>

	* ChangeLog, test/data/restart.cmd, test/data/restart.right,
	test/example/Makefile.am, test/example/{restartbug.sh =>
	restart.sh}, test/integration/settrace.tests,
	test/integration/sopts.tests, test/integration/test-restart,
	test/integration/test-tbreak, test/integration/test-trace,
	test/integration/trace.tests, test/integration/trace2.tests: More
	integration tests work when built outside of source tree.

2010-12-01  rocky <rocky@gnu.org>

	* ChangeLog, Makefile.am: One more @BASHDB_MAIN@ -> @DBGR_MAIN@
	which had messed up install hook.

2010-12-01  rocky <rocky@gnu.org>

	* test/data/setshow.right: Update output

2010-11-30  rocky <rocky@gnu.org>

	* test/integration/Makefile.am, test/integration/setshow.tests,
	test/integration/subshell1.tests, test/integration/subshell2.tests,
	test/integration/subshell3.tests, test/integration/subshell4.tests,
	test/integration/test-interrupt, test/integration/test-lopts,
	test/integration/test-setshow.in, test/integration/test-sig.in,
	test/integration/test-subshell: A couple more tests work when
	building outside source tree.

2010-11-30  rocky <rocky@gnu.org>

	* command/kill.sh, test/integration/Makefile.am,
	test/integration/brkpt1.tests, test/integration/brkpt2.tests,
	test/integration/brkpt3.tests, test/integration/test-brkpt,
	test/integration/test-multi: Simplify breakpoint integration test
	now runs not building from source tree. Adjust indentation in "kill"
	command code.

2010-11-30  rocky <rocky@gnu.org>

	* test/integration/check-common.sh.in: run_test_check: Return the
	error status, don't exit with it.

2010-11-30  rocky <rocky@gnu.org>

	* ChangeLog, configure.ac, test/integration/check-common.sh.in,
	test/unit/Makefile.am: Administrivia. Work on building outside of
	source tree. We don't have builtins anymore. xx.git.tar.{gz,bz2} ->
	xx.dev.tar.{gz,bz2}

2010-11-30  rocky <rocky@gnu.org>

	* test/example/Makefile.am, test/{integration => example}/multi.sh,
	test/integration/Makefile.am, test/integration/check-common.sh.in,
	test/integration/test-multi: More clean-up and generalizatin of test
	integration code. Sync with zshdb.

2010-11-29  rocky <rocky@gnu.org>

	* command/help.sh, dbg-opts.sh, lib/columnize.sh, lib/list.sh: 
	Adjust column size for initial blanks in "help *".

2010-11-29  rocky <rocky@gnu.org>

	* bashdb-main.inc.in, bashdb.in, dbg-opts.sh: Had broken bash
	---debugger and was showing banner twice. Go over yet again.

2010-11-27  rocky <rocky@gnu.org>

	* : commit 2da00bcecc7536423caf5b2dd2d43e3d27613c0b Author: rocky
	<rocky@gnu.org> Date:   Sat Nov 27 19:47:09 2010 -0500

2010-11-27  rocky <rocky@gnu.org>

	* NEWS: Typo

2010-11-26  rocky <rocky@gnu.org>

	* dbg-main.sh: Combine two for loops.

2010-11-26  rocky <rocky@gnu.org>

	* test/integration/test-debug: test-debug is derived from
	test-debug.in. Remove it

2010-11-26  rocky <rocky@gnu.org>

	* bashdb.in, test/data/brkpt2.right, test/data/bug-source.right,
	test/data/sig.right, test/data/tbreak.right, test/data/watch1.right: 
	Remove more crud in bashdb.in.

2010-11-26  rocky <rocky@gnu.org>

	* bashdb.in, test/data/brkpt2.right, test/data/bug-source.right,
	test/data/sig.right, test/data/tbreak.right,
	test/data/watch1.right, test/example/interrupt.sh.in,
	test/integration/interrupt.tests, test/integration/test-debug: Clean
	up crud from bashdb.in and some from interrupt.sh.in

2010-11-25  rocky <rocky@gnu.org>

	* command/debug.sh, test/data/debug.right, test/example/debug.sh,
	test/integration/test-debug, test/integration/test-debug.in: 
	Reinstate debug command. Apparently "$1"x != x works differently in
	bash 4.2

2010-11-25  rocky <rocky@gnu.org>

	* ChangeLog, NEWS, THANKS: Update what's gone on.

2010-11-24  rocky <rocky@gnu.org>

	* test/integration/test-action, test/integration/test-debug,
	test/integration/test-interrupt, test/integration/test-parm,
	test/integration/test-restart, test/integration/test-setshow.in,
	test/integration/test-settrace, test/integration/test-watch2: 
	Integration tests are less convoluted in logic.

2010-11-24  rocky <rocky@gnu.org>

	* test/integration/test-sig: Is now derived from test-sig.in

2010-11-24  rocky <rocky@gnu.org>

	* command/break.sh, command/debug.sh, lib/filecache.sh,
	test/data/Makefile.am, test/data/brkpt2.cmd,
	test/data/brkpt2.right, test/data/sig-42.right,
	test/integration/test-debug, test/integration/test-sig,
	test/integration/test-sig.in: Fix up for bash 4.2 alpha. Command
	"debug" has been disabled for now. Fix bug in not
	simplifying/canonicalizing absolute file names. Some bash 4.2
	weirdnesses still need to be investigated.

2010-11-24  rocky <rocky@gnu.org>

	* Makefile.am, configure.ac, emacs/.cvsignore, emacs/.gitignore,
	emacs/Makefile.am, emacs/bashdb.el, emacs/dbg-test.el.in,
	emacs/elk-test.el, emacs/gud.el, emacs/gud.el.diff, lib/frame.sh,
	lib/list.sh, test/data/Makefile.am, test/data/sig-42.right,
	test/example/Makefile.am, test/{integration => example}/sig.sh,
	test/integration/Makefile.am, test/integration/sig.tests,
	test/integration/test-debug, test/integration/test-debug.in,
	test/integration/test-misc.in, test/integration/test-sig,
	test/integration/test-sig.in: Closer to bash 4.2 running tests.
	Remove emacs - please use emacs-dbg instead.

2010-11-23  rocky <rocky@gnu.org>

	* command/Makefile.am, command/action.sh, command/alias.sh,
	command/{where.sh => backtrace.sh}, command/break.sh,
	command/commands.sh, command/condition.sh, command/continue.sh,
	command/debug.sh, command/disable.sh, command/display.sh,
	command/down.sh, command/edit.sh, command/enable.sh,
	command/eval.sh, command/examine.sh, command/file.sh,
	command/finish.sh, command/frame.sh, command/handle.sh,
	command/help.sh, command/history.sh, command/info.sh,
	command/kill.sh, command/list.sh, command/load.sh, command/log.sh,
	command/next.sh, command/pwd.sh, command/quit.sh,
	command/restart.sh, command/return.sh, command/search.sh,
	command/set.sh, command/show.sh, command/signal.sh,
	command/skip.sh, command/source.sh, command/step.sh,
	command/{tracefn.sh => trace.sh}, command/tty.sh,
	command/undisplay.sh, command/up.sh, command/watch.sh, dbg-main.sh,
	lib/Makefile.am, lib/commands.sh, lib/frame.sh, lib/help.sh,
	lib/hook.sh, lib/list.sh, lib/processor.sh, lib/save-restore.sh,
	lib/sig.sh, lib/stepping.sh, test/data/brkpt2.right,
	test/data/command.cmd, test/data/command.right,
	test/data/debug.cmd, test/data/debug.right, test/data/list.right,
	test/data/misc-output-41.right, test/data/restart.cmd,
	test/data/restart.right, test/data/search.cmd,
	test/data/search.right, test/data/sig.cmd, test/data/sig.right,
	test/data/skip.cmd, test/data/skip.right, test/data/watch1.cmd,
	test/data/watch1.right, test/example/settrace.sh,
	test/integration/brkpt1.tests, test/integration/brkpt2.tests,
	test/integration/brkpt3.tests, test/integration/lopts.tests,
	test/integration/sig.tests, test/integration/sopts.tests,
	test/integration/subshell1.tests, test/integration/subshell2.tests,
	test/integration/subshell3.tests, test/integration/subshell4.tests,
	test/integration/test-multi, test/integration/test-restart,
	test/unit/test-bashdb-trace.sh.in: A big cleanup and simplification.
	Replace fixed case-statement command dispatch with an associative
	array. Bug in the "list" command not the last postion fixed. Bug in
	handling --nx or --no-init (no user profile) fixed. Code is not more
	regular and somewhat simpler.

2010-11-22  rocky <rocky@gnu.org>

	* command/break.sh, lib/help.sh, lib/processor.sh,
	test/data/sig.right: Preparation for using an associative array for
	command dispatch like zshdb currently has.

2010-11-22  rocky <rocky@gnu.org>

	* command/debug.sh: Remove Shmutz in variable name.

2010-11-22  rocky <rocky@gnu.org>

	* : commit 91c22a56ddd207d6818184a70922fa2bc2d8b155 Author: rocky
	<rocky@gnu.org> Date:   Mon Nov 22 20:56:14 2010 -0500

2010-10-29  rocky <rocky@gnu.org>

	* TODO, lib/action.sh: Update TODO. Remove zshdb from header
	comment.

2010-10-29  rocky <rocky@gnu.org>

	* command/info.sh, command/info_sub/display.sh: $* -> $@ mostly.

2010-10-29  rocky <rocky@gnu.org>

	* ChangeLog, command/display.sh, command/undisplay.sh,
	configure.ac, lib/display.sh, lib/msg.sh, test/data/display.cmd,
	test/data/display.right, test/data/watch2.right: Make display much
	more like gdb (and trepanning and pydbgr). Note this is an
	incompatible change. Only thing left is to start indexing from 1.

2010-10-27  rocky <rocky@gnu.org>

	* configure.ac: Update for release.

2010-10-25  rocky <rocky@gnu.org>

	* ChangeLog, configure.ac, test/data/Makefile.am,
	test/data/delete.cmd, test/data/delete.right,
	test/example/Makefile.am, test/example/stepping.sh,
	test/integration/.gitignore, test/integration/Makefile.am,
	test/integration/test-delete.in: Add test-delete integration test
	from zshdb.

2010-10-25  rocky <rocky@gnu.org>

	* test/unit/test-filecache.sh.in: Remove use of "wc" and "cut"

2010-10-25  rocky <rocky@gnu.org>

	* ChangeLog, command/info.sh, command/set.sh,
	command/set_sub/Makefile.am, command/set_sub/args.sh,
	command/set_sub/autolist.sh, command/set_sub/linetrace.sh,
	command/set_sub/linewidth.sh, command/set_sub/listsize.sh,
	command/set_sub/showcommand.sh, command/set_sub/trace-commands.sh,
	command/show.sh, lib/help.sh, lib/list.sh, lib/processor.sh,
	lib/save-restore.sh, test/data/setshow.right: Move most of set
	subcommands to set_sub.

2010-10-25  rocky <rocky@gnu.org>

	* lib/filecache.sh: Sync with zshdb.

2010-10-24  rocky <rocky@gnu.org>

	* NEWS: What's up.

2010-10-24  rocky <rocky@gnu.org>

	* ChangeLog, command/set_sub/Makefile.am,
	command/show_sub/Makefile.am: Build administrivia.

2010-10-24  rocky <rocky@gnu.org>

	* command/Makefile.am, command/quit.sh, command/set.sh,
	command/set_sub/.gitignore, command/set_sub/Makefile.am,
	command/set_sub/annotate.sh, command/set_sub/editing.sh,
	command/set_sub/history.sh, command/show.sh,
	command/show_sub/Makefile.am, configure.ac, dbg-opts.sh,
	dbg-pre.sh, lib/file.sh, lib/help.sh, lib/hist.sh,
	lib/processor.sh, test/unit/test-file.sh.in: Move set subcommands
	into set_sub. Administrivia for auto*.

2010-10-23  rocky <rocky@gnu.org>

	* command/show.sh, command/show_sub/.gitignore,
	command/show_sub/alias.sh, command/show_sub/copying.sh,
	command/show_sub/debugging.sh, command/show_sub/editing.sh,
	test/data/setshow.right: Make show.sh code and moore modular smaller
	by adding show_sub.

2010-10-23  rocky <rocky@gnu.org>

	* command/set.sh, command/show.sh, command/step.sh,
	lib/Makefile.am, lib/cmd-hooks.sh, lib/setshow.sh,
	test/data/setshow.right: Dry code more. More to come. Forgot to add
	cmd-hooks.sh.

2010-10-23  rocky <rocky@gnu.org>

	* bashdb-trace.in, bashdb.in, command/debug.sh,
	command/info_sub/files.sh, command/pwd.sh, command/set.sh,
	command/show.sh, dbg-opts.sh, lib/file.sh, lib/help.sh,
	lib/processor.sh, lib/save-restore.sh, test/unit/test-file.sh.in: 
	Preparation of drying set/show code.

2010-10-22  rocky <rocky@gnu.org>

	* command/show.sh, lib/help.sh: Minimum abbreviation on "show
	directory" is now "show dir" since we added "set different".

2010-10-22  rocky <rocky@gnu.org>

	* command/set.sh, command/show.sh, test/data/action.right,
	test/data/misc-output-41.right, test/data/setshow.right: Echo
	setting for on/off "set" subcommands after changing.

2010-10-22  rocky <rocky@gnu.org>

	* lib/help.sh: A small "show autolist" bug fixed.

2010-10-22  rocky <rocky@gnu.org>

	* lib/help.sh: "help show directories" text correction.

2010-10-22  rocky <rocky@gnu.org>

	* NEWS: What's up.

2010-10-21  rocky <rocky@gnu.org>

	* command/set.sh, command/show.sh, configure.ac, lib/help.sh,
	lib/processor.sh, test/data/complete.right,
	test/data/misc-output-41.right, test/data/setshow.right,
	test/data/sig.right: Add set/show autolist. We're now in 4.1.05dev
	territory now.

2010-10-11  rocky <rocky@gnu.org>

	* test/unit/test-get-sourceline.sh.in: Small change.

2010-10-11  rocky <rocky@gnu.org>

	* test/unit/test-get-sourceline.sh.in: Unit test administrivia.

2010-10-09  rocky <rocky@gnu.org>

	* ChangeLog, command/info_sub/files.sh, test/data/file with
	spaces.right, test/example/Makefile.am,
	test/integration/Makefile.am, test/integration/check-common.sh.in,
	test/integration/test-file-with-spaces,
	test/unit/test-get-sourceline.sh.in: Fix up "info files" to work
	with file names with spaces.

2010-10-08  rocky <rocky@gnu.org>

	* configure.ac, lib/filecache.sh, test/example/Makefile.am,
	test/example/dir with spaces/bug.sh, test/unit/.gitignore,
	test/unit/Makefile.am, test/unit/test-get-sourceline.sh.in: 
	filecache.sh: _Dbg_get_source_line was buggy if directory name had
	embedded spaces.

2010-09-16  rocky <rocky@gnu.org>

	* lib/file.sh, lib/filecache.sh: Remove debug output. Change a
	comment.

2010-09-16  rocky <rocky@gnu.org>

	* lib/file.sh, lib/filecache.sh: file.sh: Wasn't _Dbg_cdir properly.
	Fall back to $(pwd) when all else fails.  filecache.sh: more
	specific internal error messages.

2010-09-08  rocky <rocky@gnu.org>

	* : commit 63c63f6805a02b1d57901e99886e0da2264972d2 Author: rocky
	<rocky@gnu.org> Date:   Wed Sep 8 15:28:27 2010 -0400

2010-09-07  rocky <rocky@gnu.org>

	* doc/bashdb.texi: Correct spelling typo.

2010-07-09  rocky <rocky@gnu.org>

	* ChangeLog, lib/processor.sh: Remove some hardwired-aliases.

2010-07-09  rocky <rocky@gnu.org>

	* configure.ac, test/integration/Makefile.am: Diff configure test
	and option tweak for Solaris

2010-07-09  rocky <rocky@gnu.org>

	* test/example/interrupt.sh.in: Don't assume seq is available. (Not
	found on Solaris.)

2010-07-09  rocky <rocky@gnu.org>

	* NEWS: What's up.

2010-07-09  rocky <rocky@gnu.org>

	* ChangeLog, command/Makefile.am, command/info_sub/.gitignore,
	command/info_sub/Makefile.am, configure.ac: Fix up packaging in the
	presence of the new command/info_sub directory.

2010-07-09  rocky <rocky@gnu.org>

	* ChangeLog, command/Makefile.am, command/display.sh,
	command/info.sh, command/info_sub/.gitignore,
	command/info_sub/args.sh, command/info_sub/brkpts.sh,
	command/info_sub/display.sh, command/info_sub/files.sh,
	command/info_sub/functions.sh, command/info_sub/program.sh,
	command/info_sub/variables.sh, command/info_sub/warranty.sh,
	command/list.sh, command/next.sh, command/{stepping.sh => step.sh},
	lib/processor.sh: Break commands into smaller files: "skip" and
	"next" separated from "step". Info subcommands are now in info_sub
	and info subcommand names have been regularized to _Dbg_do_info_xxx.

2010-07-09  rocky <rocky@gnu.org>

	* command/info.sh: Was incorrectly lowercasing file names in "info
	files"

2010-07-09  rocky <rocky@gnu.org>

	* .gitignore, command/Makefile.am, command/display.sh,
	command/edit.sh, command/undisplay.sh, lib/Makefile.am,
	lib/break.sh, lib/display.sh, test/data/display.cmd,
	test/data/display.right: "undisplay" command now takes a list of
	display numbers and gives and error if no numbers passed.  Help text
	improved for "display" and "undisplay". Commands and library
	routines for display and undisplay are now broken out into
	individual files.

2010-07-08  rocky <rocky@gnu.org>

	* command/info.sh, test/data/brkpt2.right,
	test/data/bug-source.right, test/data/misc-output-41.right: "info
	files" lists files in sorted order now.

2010-07-09  rocky <rocky@gnu.org>

	* test/integration/test-misc.in: Ignore differences between
	collating sequence for step- and step+. (Seen on Solaris for
	example.)

2010-07-08  rocky <rocky@gnu.org>

	* test/unit/test-sort.sh.in: Better check based on run-time colating
	sequence.

2010-07-08  rocky <rocky@gnu.org>

	* ChangeLog, command/info.sh, test/data/brkpt2.right,
	test/data/enable.right: "info program" now shows statement to be
	run.

2010-07-08  rocky <rocky@gnu.org>

	* .gitignore, Makefile.am, bashdb-main.inc.in: We need
	bashdb-main.inc (and bashdb-main.inc.in)

2010-07-08  rocky <rocky@gnu.org>

	* ChangeLog: What's up.

2010-07-08  rocky <rocky@gnu.org>

	* ChangeLog, Makefile.am, builtin/Makefile.am,
	test/integration/Makefile.am, test/unit/Makefile.am: "make dist"
	works again.

2010-07-08  rocky <rocky@gnu.org>

	* .gitignore, configure.ac, dbg-main.sh.in => dbg-main.sh: 
	dbg-main.sh is no longer derived.  Default init file is now
	$HOME/.bashdbrc rather than $HOEM/.bashdbinit

2010-07-08  rocky <rocky@gnu.org>

	* lib/hook.sh, lib/save-restore.sh, lib/sig.sh, test/data/sig.right: 
	Remove duplicate argument-saving routines.

2010-07-08  rocky <rocky@gnu.org>

	* lib/break.sh, lib/hook.sh, lib/journal.sh, lib/save-restore.sh,
	test/data/Makefile.am, test/data/enable.right, test/data/sig.right,
	test/data/watch2.right: All tests now pass. We are back to where we
	were before.  However we now use associative arrays and the new I/O
	fd handling and frame handling is more rational and the code is less
	embarassing.

2010-07-08  rocky <rocky@gnu.org>

	* lib/hook.sh, lib/sig.sh, test/data/sig-41.right,
	test/data/sig.right: Go over signal handler and adjust/correct. One
	more integration test to go until we are clean.

2010-07-07  rocky <rocky@gnu.org>

	* lib/sig.sh, test/data/interrupt.right: One more stack location
	difference reconciled.

2010-07-07  rocky <rocky@gnu.org>

	* command/where.sh: Add hack give filename for main.

2010-07-07  rocky <rocky@gnu.org>

	* command/where.sh, lib/frame.sh: where.sh: "source" parameter in
	"bt" correction.  frame.sh: correct bottom-most frame check.

2010-07-07  rocky <rocky@gnu.org>

	* command/where.sh, lib/frame.sh: Start to fix function parameter
	listing using new fn: _Dbg_frame_set_fn_param()

2010-07-07  rocky <rocky@gnu.org>

	* lib/frame.sh, test/unit/test-frame.sh.in: _Dbg_frame_fn_param_str
	(parameter string format) now checks out.

2010-07-07  rocky <rocky@gnu.org>

	* lib/filecache.sh, lib/frame.sh, test/unit/test-frame.sh.in,
	test/unit/test-validate.sh.in: filecache.sh, frame.sh: remove unused
	_Dbg_frame_lineno which was spelled wrong in use anyway.  frame.sh:
	add _Dbg_frame_fn_param_str to format argument parameters strings.
	Adjust and add new tests.

2010-07-06  rocky <rocky@gnu.org>

	* command/Makefile.am, command/where.sh, lib/break.sh,
	lib/filecache.sh, lib/frame.sh, test/unit/test-frame.sh.in: Fix some
	refactoring bugs. Include "up" an "down" in distro. 6 of 33
	integration tests still need to be fixed.

2010-07-06  rocky <rocky@gnu.org>

	* command/frame.sh, lib/frame.sh, lib/sig.sh: Remove old hacky
	_Dbg_STACK_TOP and go over absolute frame positioning.  Two steps forward one back. 7 integration test now fail. (We had
	been at one.)

2010-07-05  rocky <rocky@gnu.org>

	* command/down.sh, command/frame.sh, command/up.sh,
	command/where.sh, lib/frame.sh, lib/save-restore.sh,
	test/unit/test-frame.sh.in: Pretty close to frame mechanics
	reworking. Still need to go over "frame" command.

2010-07-04  rocky <rocky@gnu.org>

	* command/where.sh, lib/frame.sh, lib/save-restore.sh,
	test/unit/test-frame.sh.in: "bt" command and prefix testing
	minimally works, pending more review of of "bt" and
	"_Dbg_frame_canonic_pos".  Still Need to handle frame motion commands, "frame", "up" and
	"down".

2010-07-03  rocky <rocky@gnu.org>

	* lib/break.sh, lib/filecache.sh: Use _Dbg_file_canonic more often.

2010-07-03  rocky <rocky@gnu.org>

	* command/file.sh, command/where.sh, lib/file.sh,
	test/unit/test-file.sh.in: Add file_canonic -- common routine to
	canonicize filename.

2010-07-03  rocky <rocky@gnu.org>

	* command/where.sh, lib/frame.sh, lib/save-restore.sh: Closer to
	having stack refactoring working. But still not there yet.

2010-07-02  rocky <rocky@gnu.org>

	* command/info.sh, command/where.sh, lib/frame.sh,
	lib/processor.sh, lib/save-restore.sh, test/unit/test-frame.sh.in: 
	One more towards refactor.

2010-07-01  rocky <rocky@gnu.org>

	* dbg-init.sh, lib/frame.sh, lib/save-restore.sh: _cur_fn ->
	_Dbg_cur_fn Last change before cutover of frame calculations via
	_Dbg_frame_stack_size.

2010-06-26  rocky <rocky@gnu.org>

	* command/where.sh, lib/sig.sh, test/data/sig.right: Punt on the sig
	test case.

2010-06-25  rocky <rocky@gnu.org>

	* : commit c429a95d7d2f7be236b19b1d154386c6e296c64c Author: rocky
	<rocky@gnu.org> Date:   Fri Jun 25 11:13:39 2010 -0400

2010-06-25  rocky <rocky@gnu.org>

	* dbg-opts.sh, lib/hook.sh, test/data/brkpt2.right: lib/hook.sh:
	showing duplicate position on changed watch expressions dbg-opts.sh
	update (C) date

2010-06-24  rocky <rocky@gnu.org>

	* lib/hook.sh: Get debugger command "commands" working again after
	refactor.

2010-06-23  rocky <rocky@gnu.org>

	* command/break.sh, lib/filecache.sh, test/data/brkpt2.right,
	test/data/bug-source.right, test/data/enable.cmd,
	test/data/enable.right: Fix bug in showing brkpt hits. Fix bug in
	file line count.

2010-06-23  rocky <rocky@gnu.org>

	* command/break.sh, lib/break.sh, test/data/brkpt1.right,
	test/unit/test-break.sh.in: Remove one more breakpoint bug. One more
	integration test passes now.

2010-06-22  rocky <rocky@gnu.org>

	* test/data/parm.right: Update test-parm output.

2010-06-21  R. Bernstein <rocky@gnu.org>

	* command/action.sh, test/data/action.cmd, test/data/action.right: 
	Use confirm routine to delete all actions. Better synch with zshdb
	too. Proper count tracing of actions fixed too.

2010-06-21  R. Bernstein <rocky@gnu.org>

	* command/Makefile.am, command/info.sh, configure.ac,
	lib/Makefile.am, lib/action.sh, lib/break.sh, lib/hook.sh,
	lib/processor.sh, test/data/action.right, test/data/bug-step.cmd~,
	test/data/misc-output-41.right, test/data/restart.right,
	test/data/settrace.right, test/unit/.gitignore,
	test/unit/test-action.sh.in, test/unit/test-filecache.sh.in: action
	commands now work again using the associative array implementation.
	Maxline computation current bashdb release is wrong. Now fixed.  Now
	down to 8 of 33 tests failing.

2010-06-21  R. Bernstein <rocky@gnu.org>

	* command/action.sh, lib/action.sh, test/unit/test-action.sh.in: 
	Split off action code from break(pts) and put into appropriate
	places in command and lib directoris. Add lib/action.sh unit test
	and that now works.

2010-06-20  rocky <rocky@gnu.org>

	* test/data/action.cmd, test/data/action.right,
	test/integration/Makefile.am: Automake automation

2010-06-20  rocky <rocky@gnu.org>

	* configure.ac, lib/Makefile.am, lib/validate.sh,
	test/integration/test-parm, test/unit/.gitignore,
	test/unit/Makefile.am, test/unit/test-alias.sh.in,
	test/unit/test-break.sh.in, test/unit/test-fns.sh.in,
	test/unit/test-validate.sh.in: Split off input validation from
	fns.sh Add validation _Dbg_is_int for checking integers.

2010-06-18  rocky <rocky@gnu.org>

	* test/data/list.cmd, test/data/list.right, test/data/restart.right: 
	Track changes in test to "list" command and its output.

2010-06-18  rocky <rocky@gnu.org>

	* lib/frame.sh, lib/hook.sh, lib/journal.sh: A couple more bugs
	squashed: test-frame and test-trace now work.

2010-06-18  R. Bernstein <rocky@gnu.org>

	* builtin/.cvsignore, builtin/.gitignore, builtin/readarray.c,
	command/Makefile.am, command/list.sh, command/search.sh,
	configure.ac, test/data/brkpt1.right, test/data/search.right,
	test/data/watch1.right: command/*.sh: One more integration test
	fixed. We are now more than half-way back! readarray.c: we don't
	need this any more in bash 4.1 configure.ac: Update version number;
	don't allow bash 3.x.

2010-06-18  rocky <rocky@gnu.org>

	* test/unit/test-filecache.sh.in: Unit test for lib/filecach.sh

2010-06-18  rocky <rocky@gnu.org>

	* lib/hook.sh, lib/save-restore.sh, test/integration/test-multi: Fix
	bug introduced in refactor which wasn't showing command on a
	multi-line statement change. And two more integration tests move
	from fail to pass.  test-multi: Fix incorrect return-code pass/fail
	setting.

2010-06-18  rocky <rocky@gnu.org>

	* lib/hook.sh: More work on fixing breakpoint handling. I think we
	are a little closer (perhaps 19 vs 22 failing now).

2010-06-16  rocky <rocky@gnu.org>

	* command/break.sh, command/edit.sh, command/info.sh,
	command/list.sh, command/where.sh, dbg-io.sh, lib/break.sh,
	lib/fns.sh, lib/frame.sh, lib/hook.sh, lib/list.sh,
	lib/processor.sh, lib/save-restore.sh,
	test/unit/test-bashdb-trace.sh.in, test/unit/test-break.sh.in: Fewer
	integration tests fail although we fail more than we pass. Not good!

2010-06-16  rocky <rocky@gnu.org>

	* command/info.sh, command/source.sh, configure.ac, dbg-io.sh,
	dbg-pre.sh, lib/break.sh, lib/file.sh, lib/filecache.sh,
	lib/msg.sh, lib/save-restore.sh, test/unit/test-file.sh.in,
	test/unit/test-save-restore.sh.in: Unit tests now work. Much more is
	needed for integration tests and in particular action and watch to
	remove file2var

2010-06-15  rocky <rocky@gnu.org>

	* command/source.sh, lib/processor.sh,
	test/data/misc-output-41.right, test/data/setshow.right,
	test/data/sig.right: Use new bash 4.1 redirection form {var} to pick
	up file descriptors in running reading debugger commands and running
	"source" command

2010-06-15  rocky <rocky@gnu.org>

	* command/help.sh, lib/help.sh, test/data/misc-output-41.right: 
	Rewrite help system to use an associative array.

2010-06-14  rocky <rocky@gnu.org>

	* lib/alias.sh, test/unit/test-alias.sh.in: Start using bash's
	associative arrays.

2010-06-03  R. Bernstein <rocky@gnu.org>

	* doc/bashdb.texi: Typo.

2010-06-03  R. Bernstein <rocky@atwood.local>

	* doc/bashdb.texi: Reorganize some command-reference sections to
	flow better.

2010-06-03  rocky <rocky@gnu.org>

	* ChangeLog, command/restart.sh, test/data/sig.right,
	test/unit/mock-cmd.sh: Fix bug in restart passing extra arguments.
	Tracker #3010586.

2010-05-27  rocky <Administrator@m-936af0deb90e4.(none)>

	* test/data/sig.right: Should have changed with previous commit

2010-05-27  U-M-936AF0DEB90E4\Administrator <Administrator@m-936af0deb90e4.(none)>

	* test/integration/test-sig: Ignore some differences in sig.sh line
	numbers.

2010-04-14  R. Bernstein <rocky@gnu.org>

	* : commit abdc5ecb2f8de017b2488e1528624d8b0adf816c Author: R.
	Bernstein <rocky@gnu.org> Date:   Wed Apr 14 12:50:25 2010 -0400

2010-04-13  rocky <rocky@gnu.org>

	* htdocs/index.html: Wrong links

2010-04-13  rocky <rocky@gnu.org>

	* htdocs/bashdbOutline.html, htdocs/index.html: Convert manual page
	to use ActiveWebTree by Rod Smith

2010-02-22  R. Bernstein <rocky@gnu.org>

	* : commit 151d8dab85dff859c7b85c14ac0ac11532d7711e Author: R.
	Bernstein <rocky@gnu.org> Date:   Mon Feb 22 16:48:36 2010 -0500

2010-01-30  rocky <rocky@gnu.org>

	* configure.ac: Disable --with-bash-src for versions of bash 4 and
	greater.

2010-01-20  rocky <rocky@gnu.org>

	* lib/alias.sh: Correct function comment.

2010-01-10  rocky <rocky@gnu.org>

	* README, dbg-opts.sh, test/integration/test-interrupt: README:
	Revise instructions for how to call debugger from inside a configure
	script.  dbg-opts.sh: Add --tty, --terminal and --tmpdir.
	test-interrupt. Remove extraneous "break"

2010-01-10  rocky <rocky@gnu.org>

	* README, THANKS: I need to remind myself now to invoke from inside
	a bash script (e.g. configure).

2009-12-24  rocky <rocky@gnu.org>

	* test/data/Makefile.am: sig-SunOS.right is same as sig-41.right.

2009-12-20  rocky <rocky@gnu.org>

	* .gitignore, test/integration/.gitignore: Administrivia

2009-12-20  rocky <rocky@gnu.org>

	* test/data/sig-SunOS.right, test/integration/test-misc,
	test/integration/test-setshow, test/integration/test-sig: Looks like
	sig line fixes back ported to bash 4.0. No need for a SunOS-specific
	file.  test-misc and test-setshow are derived from .in files.

2009-12-20  rocky <rocky@gnu.org>

	* test/data/Makefile.am, test/integration/Makefile.am: Tolerance for
	Solaris and older sed, sh and whatnot - forgot to add new files to
	distro

2009-12-20  rocky <rocky@gnu.org>

	* configure.ac, test/data/sig-SunOS.right,
	test/integration/check-common.sh.in,
	test/integration/settrace.tests, test/integration/test-interrupt,
	test/integration/test-misc, test/integration/test-misc.in,
	test/integration/test-multi, test/integration/test-parm,
	test/integration/test-setshow, test/integration/test-setshow.in,
	test/integration/test-settrace, test/integration/test-sig,
	test/integration/test-subshell, test/integration/test-tbreak,
	test/integration/test-trace: Tolerance for Solaris and older sed, sh
	and whatnot

2009-10-27  rocky <rocky@gnu.org>

	* ChangeLog, htdocs/index.html: sf Piwik analytics.

2009-10-27  rocky <rocky@gnu.org>

	* ChangeLog, NEWS: See previous

2009-10-27  rocky <rocky@gnu.org>

	* ChangeLog, NEWS: One more change noted

2009-10-27  rocky <rocky@gnu.org>

	* NEWS: What's up.

2009-10-27  rocky <rocky@gnu.org>

	* ChangeLog, configure.ac: Get ready for 4.0-0.4 release.

2009-10-26  R. Bernstein <rocky@gnu.org>

	* configure.ac, test/data/Makefile.am,
	test/data/misc-output-41.right, test/data/sig-41.right,
	test/integration/test-misc, test/integration/test-sig,
	test/unit/test-sort.sh.in: Changes to not complain when bash 4.1 is
	installed/used.

2009-10-23  R. Bernstein <rocky@gnu.org>

	* emacs/bashdb.el: Remove Emacs compilation warnings.

2009-10-22  rocky <rocky@gnu.org>

	* ChangeLog, NEWS: What's up.

2009-10-22  rocky <rocky@gnu.org>

	* ChangeLog, bashdb.in, dbg-main.sh.in, test/data/Makefile.am,
	test/data/bugI.cmd, test/data/bugI.right, test/example/Makefile.am,
	test/example/bugI.sh, test/integration/Makefile.am,
	test/integration/test-bugI: bashdb.in: Remove variable name confict
	which occurs when the source code uses a variable "i". Stupid huh?
	Thanks to Rob Woolley for isolate the bug and reporting it.
	dbg-main.sh.in: avoid same problem which might occur if someones
	uses a variable called "file".

2009-10-22  rocky <rocky@gnu.org>

	* bashdb-main.inc.in, dbg-opts.sh: Remove the triplicate banner
	problem by brute force - check that _Dbg_shell name is set.

2009-10-22  rocky <rocky@gnu.org>

	* : commit 1c867981f83d738014dbcb911fc8d6d77f6156f9 Author: rocky
	<rocky@gnu.org> Date:   Thu Oct 22 19:25:41 2009 -0400

2009-10-13  R. Bernstein <rocky@gnu.org>

	* : commit d72507de90dc73b68bbb9506323961ccab78890d Author: R.
	Bernstein <rocky@gnu.org> Date:   Tue Oct 13 13:49:23 2009 -0400

2009-09-25  rocky <rocky@gnu.org>

	* dbg-io.sh, lib/Makefile.am, lib/break.sh, lib/file.sh,
	lib/filecache.sh, test/data/Makefile.am: Create filecache.sh from
	hither and yon: this reduces the size of those other files and
	consolidates this in one place and keeps in sync with kshdb and
	zshdb.

2009-09-25  R. Bernstein <rocky@atwood.corp.ce-interactive.com>

	* test/data/sig-Darwin.right, test/integration/test-sig: Darwin
	handles signals differently?

2009-09-21  R. Bernstein <rocky@gnu.org>

	* command/break.sh, lib/break.sh, test/data/file with spaces.cmd,
	test/data/file with spaces.right: Need to quote filenames in "info
	break". Some error messages tagged as such.  Some = -> ==. Keep in
	better sync with zshdb.

2009-09-21  rocky <rocky@gnu.org>

	* ChangeLog, command/source.sh, configure.ac, dbg-main.sh.in,
	lib/file.sh, test/data/file with spaces.cmd, test/data/file with
	spaces.right, test/example/file with spaces.sh,
	test/integration/check-common.sh.in,
	test/integration/test-file-with-spaces, test/unit/test-file.sh.in: 
	Add unit/integration test into git repository. Haven't figured out
	how test which have files with embedded spaces into the tarball
	though.  In the process, a couple more bugs dealing with blanks in command
	file names found/fixed.  Change release name.

2009-09-21  rocky <rocky@gnu.org>

	* lib/file.sh: One more place I need to quote a variable with a file
	path

2009-09-20  rocky <rocky@gnu.org>

	* lib/fns.sh: One more place we need to quote variable which contian
	file paths.

2009-09-20  rocky <rocky@gnu.org>

	* lib/frame.sh, lib/hook.sh, lib/list.sh,
	test/unit/test-frame.sh.in: Fix one more place where we need to
	quote function arguments.  print_source_line ->
	print_location_and_command to match zshdb and kshdb.

2009-09-20  rocky <rocky@gnu.org>

	* command/break.sh, command/display.sh, command/history.sh,
	command/info.sh, command/list.sh, command/restart.sh, dbg-io.sh,
	dbg-opts.sh, lib/break.sh, lib/file.sh, lib/fns.sh, lib/list.sh,
	lib/save-restore.sh, test/data/list.right: Make sure to quote
	filenames in argument passing so as to be able to handle files with
	embedded blanks. Problem reported by Fritz Mehner.  Keep in sync with kshdb and zshdb.

2009-08-21  R. Bernstein <rocky@gnu.org>

	* lib/file.sh: Should be able to use builtin readarray which is
	provided with bash 4

2009-08-21  R. Bernstein <rocky@gnu.org>

	* dbg-opts.sh, test/data/sopts.right, test/integration/sopts.tests: 
	Use echo, not print. This is not zsh or ksh. Thanks again to Nicolai
	Lissner.

2009-08-21  R. Bernstein <rocky@gnu.org>

	* htdocs/index.html: another link typo

2009-08-21  R. Bernstein <rocky@gnu.org>

	* htdocs/index.html: Typo

2009-08-21  R. Bernstein <rocky@gnu.org>

	* htdocs/index.html: Correct the git location.

2009-08-20  R. Bernstein <rocky@gnu.org>

	* command/stepping.sh, dbg-opts.sh, lib/journal.sh,
	lib/processor.sh, test/data/Makefile.am,
	test/data/bug-step-subshell.cmd, test/data/bug-step-subshell.right,
	test/data/sig.right, test/example/Makefile.am,
	test/example/bug-step-subshell.sh, test/integration/Makefile.am,
	test/integration/test-bug-step-subshell: Fix bug in stepping inside
	a subshell. Thanks to Nicolai Lissner.

2009-08-20  rocky <rocky@gnu.org>

	* ChangeLog, Makefile.am, builtin/.gitignore, lib/processor.sh,
	test/.gitignore, test/data/sig.right: lib/processor.sh : Try to make
	sure we have quotes around: _Dbg_old_set_opts="$_Dbg_old_set_opts -o
	functrace". Bug and fix reported by Nicolai Lissner Makefile.am/ChangeLog: adjust for git rather than CVS

2009-06-26  rocky <rocky@sanchez.(none)>

	* .gitignore, builtin/.gitignore, command/.gitignore,
	doc/.gitignore, emacs/.gitignore, htdocs/index.html,
	lib/.gitignore, test/.gitignore, test/data/.gitignore,
	test/example/.gitignore, test/integration/.gitignore,
	test/unit/.gitignore: Git administrivia: ignore derived files

2009-06-23  rockyb <rockyb>

	* ChangeLog, command/condition.sh, test/data/brkpt1.right: Clean up
	code a little. Error messages are now error messages.

2009-06-22  rockyb <rockyb>

	* doc/Makefile.am, doc/bashdb-man.pod: Small doc fixes and better
	alignment with kshdb and zshdb.

2009-06-19  rockyb <rockyb>

	* test/unit/.cvsignore: Administrivia

2009-06-19  rockyb <rockyb>

	* dbg-main.sh.in: Typo

2009-06-19  rockyb <rockyb>

	* command/debug.sh, dbg-main.sh.in, doc/bashdb.texi, lib/list.sh,
	lib/processor.sh, test/data/debug.cmd, test/data/debug.right,
	test/data/debug2.cmd, test/example/debug.sh: BASHDB_LEVEL ->
	_Dbg_DEBUGGER_LEVEL

2009-06-19  rockyb <rockyb>

	* test/data/Makefile.am, test/data/enable.cmd,
	test/data/enable.right, test/example/Makefile.am,
	test/example/nexting.sh, test/integration/Makefile.am,
	test/integration/test-enable: Add integration test test-enable from
	zshdb/kshdb

2009-06-18  rockyb <rockyb>

	* dbg-pre.sh: See previous commit

2009-06-18  rockyb <rockyb>

	* command/info.sh, dbg-init.sh, lib/hook.sh, lib/save-restore.sh: 
	Clean up code with respect to setting current breakpoint number

2009-06-16  rockyb <rockyb>

	* command/kill.sh, lib/processor.sh, test/data/setshow.right: kill
	now uses common confirm routine in lib/msg.sh; zshdb, kshdb
	synchronization part II.

2009-06-16  rockyb <rockyb>

	* ChangeLog, configure.ac, lib/msg.sh, test/data/setshow.right,
	test/unit/Makefile.am, test/unit/test-io.sh.in,
	test/unit/test-msg.sh.in: Synchronize lib/msg.sh and
	test/unit/test-msg.sh with kshdb and zshdb. Probably more later...

2009-04-10  rockyb <rockyb>

	* ChangeLog, NEWS: Get ready for release.

2009-04-10  rockyb <rockyb>

	* configure.ac: Get ready for release

2009-03-28  rockyb <rockyb>

	* lib/alias.sh, lib/frame.sh: Allow an arbitrary number of aliases.
	Bug fix and patch courtesy of Nicolai Lissner.

2009-03-28  rockyb <rockyb>

	* bashdb-trace.in, dbg-init.sh, test/unit/test-bashdb-trace.sh.in: 
	Correct test in bashdb-trace: -d twice in a row Bug id 2498103

2009-03-27  rockyb <rockyb>

	* ChangeLog, configure.ac, doc/bashdb.texi: Update release number

2009-03-02  rockyb <rockyb>

	* htdocs/index.html: pydbg -> pydbgr

2009-02-22  rockyb <rockyb>

	* htdocs/index.html, htdocs/index.html~, htdocs/jc.css: Add web
	pages

2009-02-13  rockyb <rockyb>

	* command/stepping.sh, test/data/Makefile.am,
	test/data/bug-step.cmd, test/data/bug-step.cmd~,
	test/data/bug-step.right, test/example/Makefile.am,
	test/example/bug-step.sh, test/integration/test-bug-step: Fix bug in
	clearing functrace flag in a "step" after a "next". Bug reported by
	Richard A Hogaboom

2009-01-06  rockyb <rockyb>

	* doc/bashdb.texi: Clean up text surrounding PS4.

2008-11-30  rockyb <rockyb>

	* ChangeLog, lib/alias.sh, lib/frame.sh: return -1 => return -- -1

2008-11-28  rockyb <rockyb>

	* configure.ac: Allow bash 3.1. Comment by otheus
	https://sourceforge.net/forum/message.php?msg_id=5730043

2008-11-18  rockyb <rockyb>

	* bashdb-trace.in: Some comment corrections and typos

2008-11-17  rockyb <rockyb>

	* ChangeLog, NEWS: Adminstrivia

2008-11-17  rockyb <rockyb>

	* .cvsignore: Administrivia

2008-11-17  rockyb <rockyb>

	* test/unit/.cvsignore: Last commit before 4.0-0.2 release

2008-11-15  rockyb <rockyb>

	* doc/bashdb.texi: Go over manual in preparation for release.

2008-11-15  rockyb <rockyb>

	* command/break.sh, command/eval.sh: Sync up with zshdb

2008-11-15  rockyb <rockyb>

	* command/continue.sh, command/delete.sh, command/edit.sh,
	command/help.sh: Synch up with zshdb

2008-11-15  rockyb <rockyb>

	* .cvsignore, configure.ac: Administrivia

2008-11-08  rockyb <rockyb>

	* lib/Makefile.am, lib/{brk.sh => break.sh},
	test/unit/test-break.sh.in: Synch up with zshdb.

2008-11-08  rockyb <rockyb>

	* ChangeLog, configure.ac, lib/brk.sh, test/data/brkpt1.right,
	test/unit/Makefile.am, test/unit/test-break.sh.in: Add more
	breakpoint parameter checking and unit test, changing some msgs to
	errmsgs. Sync up with zshdb/kshdb.

2008-11-03  rockyb <rockyb>

	* lib/brk.sh: Add more argument count checking

2008-10-30  rockyb <rockyb>

	* command/set.sh, test/data/setshow.right: Fix bug in "set annotate"

2008-10-30  rockyb <rockyb>

	* dbg-opts.sh: Minor comment typo

2008-10-30  rockyb <rockyb>

	* test/unit/test-bashdb-trace.sh.in: Get debugger name and version
	in unit test. Not really necessary but nice to do.

2008-10-30  rockyb <rockyb>

	* bashdb.in, command/show.sh, dbg-opts.sh, dbg-pre.sh,
	test/data/brkpt2.right, test/data/bug-source.right,
	test/data/sig.right, test/data/tbreak.right,
	test/data/watch1.right, test/unit/test-pre.sh.in: Fix bugs in
	--version and "show version"

2008-10-27  rockyb <rockyb>

	* ChangeLog, configure.ac: Update docs

2008-10-25  rockyb <rockyb>

	* .cvsignore, Makefile.am: Create tar.bz2 as well as tar.gz in
	distribution.

2008-10-20  rockyb <rockyb>

	* test/data/interrupt.right, test/data/setshow.right,
	test/integration/check-common.sh.in, test/integration/setshow.tests: 
	Add option to ignore bashdb profile when doing integration tests

2008-10-20  rockyb <rockyb>

	* Makefile.am, test/data/setshow.cmd, test/data/setshow.right: Don't
	assume history size was set to the default

2008-10-19  rockyb <rockyb>

	* .cvsignore, Makefile.am, configure.ac: Administrivia

2008-10-19  rockyb <rockyb>

	* Makefile.am: Administrivia

2008-10-19  rockyb <rockyb>

	* bashdb-main.inc, dbg-sig-ret.inc: Remove unneeded files

2008-10-18  rockyb <rockyb>

	* test/integration/test-interrupt: Skip interrupt test on osx as
	well. Really need to rewrite it better

2008-10-18  rockyb <rockyb>

	* test/integration/test-brkpt: Better portability

2008-10-18  rockyb <rockyb>

	* test/version, test/version.mini: Remove unused files

2008-10-18  rockyb <rockyb>

	* dbg-pre.sh: zshdb sync

2008-10-18  rockyb <rockyb>

	* dbg-pre.sh: Another portability issue (opensolaris)

2008-10-18  rockyb <rockyb>

	* configure.ac, test/integration/check-common.sh.in,
	test/integration/test-interrupt: Remove "uname -o" for NetBSD

2008-10-18  rockyb <rockyb>

	* ChangeLog, configure.ac: Do not create GNU Emacs makefiles and
	test if skipping installation

2008-10-18  rockyb <rockyb>

	* test/integration/test-interrupt: Skip interrupt test on cygwin

2008-10-18  rockyb <rockyb>

	* ChangeLog, configure.ac: Correct Emacs disabling

2008-10-18  rockyb <rockyb>

	* ChangeLog, lib/fns.sh, test/data/parm.right: esc_dq portability
	(e.g. NetBSD)

2008-10-18  rockyb <rockyb>

	* ChangeLog, command/restart.sh: See above

2008-10-18  rockyb <rockyb>

	* ChangeLog, command/restart.sh: Reduce assumption on regexp library
	(NetBSD compatibility)

2008-10-16  rockyb <rockyb>

	* ChangeLog, configure.ac, doc/bashdb.texi: Update bashdb texi

2008-10-14  rockyb <rockyb>

	* ChangeLog, NEWS: What's up

2008-10-14  rockyb <rockyb>

	* configure.ac: Require GNU Emacs 22 or better

2008-10-14  rockyb <rockyb>

	* dbg-pre.sh, test/data/restart.cmd, test/data/restart.right,
	test/integration/test-lopts, test/integration/test-restart: 
	Reinstate restart test. Clean up test-lopts a little bit more.

2008-10-14  rockyb <rockyb>

	* dbg-opts.sh: print -> echo'

2008-10-14  rockyb <rockyb>

	* dbg-opts.sh: Usage typo

2008-10-14  rockyb <rockyb>

	* dbg-opts.sh: Another export for subshell/eval

2008-10-14  rockyb <rockyb>

	* bashdb.in, command/restart.sh, dbg-main.sh.in, dbg-opts.sh,
	lib/file.sh, lib/hook.sh: Sync up with zshdb.

2008-10-14  rockyb <rockyb>

	* bashdb.in, dbg-opts.sh, lib/hook.sh, lib/sig.sh,
	test/data/brkpt2.right, test/data/bug-source.right,
	test/data/lopts.right, test/data/sig.right, test/data/sopts.right,
	test/data/tbreak.right, test/data/watch1.right,
	test/integration/lopts.tests, test/integration/test-lopts,
	test/integration/test-sopts, test/integration/test-watch1: Make
	--command -c work. Fix up options tests.

2008-10-13  rockyb <rockyb>

	* test/integration/test-lopts: Split out options processing tests

2008-10-13  rockyb <rockyb>

	* Makefile.am, dbg-main.sh.in, lib/processor.sh,
	test/data/sig.right: Remove duplicate stdin reading code. Add
	getopt_long to distribution.

2008-10-03  rockyb <rockyb>

	* bashdb-trace.in, bashdb.in, dbg-opts.sh, test/data/brkpt2.right,
	test/data/bug-source.right, test/data/lopts.right,
	test/data/sig.right, test/data/sopts.right, test/data/tbreak.right,
	test/data/watch1.right, test/integration/Makefile.am,
	test/integration/test-opts, test/integration/test-sopts: More work
	on options processing

2008-10-03  rockyb <rockyb>

	* bashdb.in, command/edit.sh, command/info.sh, command/list.sh,
	command/restart.sh, dbg-init.sh, dbg-io.sh, lib/file.sh,
	lib/fns.sh, lib/frame.sh, lib/hook.sh, lib/list.sh,
	lib/processor.sh, lib/save-restore.sh, test/data/restart.cmd,
	test/data/watch1.right, test/integration/test-restart: Rename a
	couple of variables to start with _Dbg_. Get closer to getting
	restart integration test working.

2008-10-03  rockyb <rockyb>

	* test/integration/interrupt-3.tests: Bash version 3 interrupt test

2008-10-03  rockyb <rockyb>

	* AUTHORS, Makefile.am, THANKS, command/set.sh, command/show.sh,
	getopt-test.sh, test/data/interrupt.right,
	test/integration/Makefile.am, test/integration/test-interrupt: Fix
	set/show args breakage from getopts upgrade.

2008-10-02  rockyb <rockyb>

	* bashdb-trace.in, command/set.sh, dbg-opts.sh,
	test/example/hanoi.sh.in, test/integration/check-common.sh.in,
	test/integration/trace2.tests: Misc bugs fixed. More integration
	tests pass.

2008-10-02  rockyb <rockyb>

	* bashdb-trace.in, bashdb.in, command/restart.sh, configure.ac,
	dbg-init.sh, dbg-main.sh.in, dbg-opts.sh, dbg-pre.sh,
	dbg-pre.sh.in, getopts_long.sh, lib/hist.sh, lib/sig.sh,
	test/data/brkpt2.right, test/data/bug-source.right,
	test/data/debug.cmd, test/data/debug.right, test/data/sig.right,
	test/data/tbreak.right, test/data/watch1.right,
	test/integration/Makefile.am, test/integration/lopts.tests,
	test/integration/sopts.tests, test/unit/test-bashdb-trace.sh.in,
	test/unit/test-file.sh.in, test/unit/test-pre.sh.in,
	test/unit/test-save-restore.sh.in: Convert to portable
	getopts_long.sh from Stéphane Chazelas. There is a bit of breakage
	in the integration tests that needs to fixed.

2008-09-30  rockyb <rockyb>

	* dbg-init.sh: eval/print need to to see tty file descriptor. Export
	it

2008-09-27  rockyb <rockyb>

	* bashdb-trace.in, bashdb.in, command/debug.sh, doc/bashdb.texi,
	lib/sig.sh, test/example/hanoi.sh.in, test/example/interrupt.sh.in,
	test/unit/shunit2: Use _Dbg prefix more

2008-09-26  rockyb <rockyb>

	* Makefile.am, configure.ac: Better test for Emacs. Don't run Emacs
	tests if Emacs is not installed.

2008-09-25  rockyb <rockyb>

	* command/list.sh, lib/processor.sh: Add list alias

2008-09-25  rockyb <rockyb>

	* command/list.sh, lib/processor.sh,
	test/integration/test-bug-source, test/integration/test-list: Slight
	list command cleanup

2008-09-25  rockyb <rockyb>

	* test/integration/Makefile.am, test/integration/bug-source.tests,
	test/integration/test-bug-source, test/integration/test-bugIFS: 
	Small test/integration cleanup

2008-09-25  rockyb <rockyb>

	* command/quit.sh, command/restart.sh, dbg-init.sh, dbg-pre.sh,
	dbg-pre.sh.in, lib/hook.sh, lib/journal.sh, lib/save-restore.sh,
	lib/sig.sh, test/data/sig.right, test/unit/test-fns.sh.in,
	test/unit/test-save-restore.sh.in: Code cleanup and alignment with
	zshdb/kshdb.

2008-09-24  rockyb <rockyb>

	* command/list.sh, lib/processor.sh, lib/save-restore.sh: Code
	reorganization

2008-09-24  rockyb <rockyb>

	* command/list.sh, lib/fns.sh, lib/processor.sh: Minor cleanup

2008-09-23  rockyb <rockyb>

	* lib/help.sh: Minor changes

2008-09-20  rockyb <rockyb>

	* command/help.sh, command/show.sh, lib/list.sh: DRY

2008-09-20  rockyb <rockyb>

	* lib/columnize.sh, test/unit/test-columns.sh.in: Fix columnize bug

2008-09-20  rockyb <rockyb>

	* command/info.sh, command/list.sh, lib/fns.sh, lib/processor.sh,
	test/data/list.right: Minor changes

2008-09-19  rockyb <rockyb>

	* lib/list.sh, test/data/brkpt2.right, test/data/lopts.right,
	test/data/search.right: Make "list" respect frame movement

2008-09-18  rockyb <rockyb>

	* lib/hist.sh, lib/list.sh: Small changes

2008-09-18  rockyb <rockyb>

	* command/examine.sh, lib/hook.sh, lib/processor.sh,
	test/data/action.right, test/data/brkpt2.right,
	test/data/brkpt3.right, test/data/bug-args.right,
	test/data/bugIFS.right, test/data/command.right,
	test/data/display.right, test/data/frame.right,
	test/data/list.right, test/data/misc.right, test/data/multi1.right,
	test/data/multi2.right, test/data/multi3.right,
	test/data/parm.right, test/data/settrace.right,
	test/data/sig.right, test/data/skip.right,
	test/data/subshell1.right, test/data/subshell2.right,
	test/data/subshell4.right, test/data/tbreak.right,
	test/data/watch1.right: Go back to saving command as it is entered
	in history.

2008-09-16  rockyb <rockyb>

	* command/examine.sh: "examine" with a empty or blanks should print
	the blanks

2008-09-14  rockyb <rockyb>

	* command/examine.sh: examine portability issues and bug fix

2008-09-14  rockyb <rockyb>

	* command/examine.sh, lib/fns.sh, lib/processor.sh: Small things
	regarding the "examine" command

2008-09-13  rockyb <rockyb>

	* command/break.sh, command/continue.sh, lib/processor.sh,
	test/data/misc.right: Add tbreak to help display. Go over
	tbreak/break help text.

2008-09-12  rockyb <rockyb>

	* command/disable.sh, command/enable.sh, lib/processor.sh,
	test/data/setshow.cmd, test/data/setshow.right: Had duplicate code
	"source" code which was opening up an extra file descriptro.
	setshow: set width for repeatable results.

2008-09-11  rockyb <rockyb>

	* lib/processor.sh, test/data/sig.right: Put in history mechanism in
	a more idomatic way.

2008-09-11  rockyb <rockyb>

	* command/set.sh, command/show.sh, lib/help.sh, lib/processor.sh,
	test/data/misc.right, test/data/setshow.right, test/data/sig.right: 
	.

2008-09-10  rockyb <rockyb>

	* Makefile.am, test/example/interrupt.sh: Allow "make test" as a
	synonym for "make check"

2008-09-10  rockyb <rockyb>

	* command/delete.sh: Small cleanups

2008-09-10  rockyb <rockyb>

	* command/break.sh, command/delete.sh, command/info.sh, lib/brk.sh,
	lib/frame.sh, test/data/misc.right, test/data/tbreak.right: Give
	errmsg more often when it is warranted. More idiomatic, more zshdb
	compatible.

2008-09-09  rockyb <rockyb>

	* command/show.sh, test/data/misc.right, test/data/setshow.right: 
	Columnize invalid subccommand data error message.

2008-09-09  rockyb <rockyb>

	* command/info.sh, command/show.sh, lib/help.sh,
	test/example/interrupt.sh: Columnize info and sort subcommand lists
	in showing error. Increase zsh portability.

2008-09-09  rockyb <rockyb>

	* command/info.sh, lib/brk.sh, lib/info.sh: ksh and zsh
	compatability. Turn a Dbg_msg to a Dbg_errmsg.

2008-09-07  rockyb <rockyb>

	* command/Makefile.am, command/help.sh, command/history.sh,
	command/set.sh, command/show.sh, configure.ac, lib/Makefile.am,
	lib/columnize.sh, lib/hist.sh, lib/processor.sh, lib/sort.sh,
	test/data/misc.cmd, test/data/misc.right,
	test/example/interrupt.sh, test/unit/.cvsignore,
	test/unit/Makefile.am, test/unit/test-columns.sh.in,
	test/unit/test-sort.sh.in: Sort output in "show aliases". Break out
	history to a command file and standard help for that.  Some small
	breakage and some small fixage.

2008-09-06  rockyb <rockyb>

	* configure.ac, dbg-pre.sh, dbg-pre.sh.in, lib/file.sh,
	test/example/interrupt.sh, test/unit/.cvsignore,
	test/unit/Makefile.am, test/unit/test-file.sh.in: Fix one more file
	resolution/expansion bug. Add unit test for this. All good stuff as
	a result of reworking in zshdb/kshdb.

2008-09-06  rockyb <rockyb>

	* command/break.sh, lib/brk.sh, lib/file.sh, lib/fns.sh,
	lib/frame.sh, test/data/brkpt1.right, test/data/list.right,
	test/data/tbreak.cmd, test/data/tbreak.right,
	test/example/interrupt.sh, test/example/interrupt.sh.in,
	test/integration/interrupt.tests, test/integration/test-interrupt: 
	Remove some bugs in file name expansion. Clean up code and align
	more with zshdb.

2008-09-05  rockyb <rockyb>

	* test/data/interrupt.right, test/example/interrupt.sh,
	test/example/interrupt.sh.in, test/integration/interrupt.tests: Make
	the interrupt test work even on a slow-running bash interpreter (as
	in bash alpha).

2008-09-04  rockyb <rockyb>

	* lib/file.sh: A couple of minor bugs

2008-08-29  rockyb <rockyb>

	* configure.ac, test/example/interrupt.sh,
	test/integration/Makefile.am: Tolerance for bash 4.0.

2008-08-29  rockyb <rockyb>

	* command/quit.sh, command/stepping.sh, command/tracefn.sh,
	lib/hook.sh, lib/list.sh, lib/processor.sh, lib/save-restore.sh,
	test/data/sig.right, test/data/watch1.right,
	test/integration/test-subshell: Finish step+, step-

2008-08-28  rockyb <rockyb>

	* bashdb-trace.in, bashdb.in, command/set.sh, command/show.sh,
	command/stepping.sh, lib/hook.sh, lib/processor.sh,
	test/data/brkpt2.cmd, test/data/brkpt2.right,
	test/data/bug-source.right, test/data/debug.cmd,
	test/data/debug.right, test/data/debug2.cmd, test/data/finish.cmd,
	test/data/finish.right, test/data/frame.cmd, test/data/frame.right,
	test/data/misc.right, test/data/parm.cmd, test/data/parm.right,
	test/data/setshow.right, test/data/sig.right,
	test/data/tbreak.right, test/data/watch1.right,
	test/example/interrupt.sh: Less't hard-coding of debugger name. Less
	line-number specific stack traces. Code towards step+ and step-.

2008-08-27  rockyb <rockyb>

	* command/set.sh: Erroneously remove "set editing" command

2008-08-27  rockyb <rockyb>

	* test/integration/test-action, test/integration/test-command,
	test/integration/test-complete, test/integration/test-display,
	test/integration/test-finish, test/integration/test-search,
	test/integration/test-skip: Dry integration tests more

2008-08-27  rockyb <rockyb>

	* command/set.sh: More integration test DRYing

2008-08-27  rockyb <rockyb>

	* test/example/interrupt.sh, test/integration/check-common.sh.in,
	test/integration/test-bug-args, test/integration/test-bugIFS,
	test/integration/test-frame: Start of long process to DRY tests.

2008-08-25  rockyb <rockyb>

	* test/data/frame.cmd, test/data/frame.right: Make test-frame less
	subject to changes in bashdb code by limiting number of frames in
	backtraces.

2008-08-25  rockyb <rockyb>

	* Makefile.am, builtin/Makefile.am, test/example/interrupt.sh,
	test/integration/test-interrupt: * builtin/Makefile.am: Typo in rm target in cut-and-paste. Use a
	  more generic and therefore more robust reference. Thanks to Masatake
	YAMATO.  rest: small changes.

2008-08-25  rockyb <rockyb>

	* lib/processor.sh: Comment change and small code change based on
	that

2008-08-24  rockyb <rockyb>

	* command/alias.sh, command/continue.sh, command/delete.sh,
	command/disable.sh, command/display.sh, command/edit.sh,
	command/enable.sh, command/frame.sh, command/handle.sh,
	command/kill.sh, command/list.sh, command/load.sh, command/pwd.sh,
	command/quit.sh, command/restart.sh, command/signal.sh,
	command/source.sh, command/tracefn.sh, command/tty.sh,
	command/watch.sh, test/data/misc.right: Work on help output. Most of
	the commands are now listed in help.

2008-08-24  rockyb <rockyb>

	* command/eval.sh, command/where.sh, configure.ac, dbg-main.sh.in,
	dbg-opts.sh, doc/bashdb.texi, emacs/.cvsignore, lib/Makefile.am,
	lib/hook.sh, lib/sig.sh, test/data/sig.cmd, test/data/sig.right,
	test/example/interrupt.sh, test/integration/.cvsignore: Break off
	hook routine from sig.sh. More kshdb, zshdb alignment.

2008-08-23  rockyb <rockyb>

	* configure.ac, emacs/Makefile.am, emacs/{bashdb-test.el.in =>
	dbg-test.el.in}: Infrastructure more generic and common with other
	*shdb debuggers

2008-08-23  rockyb <rockyb>

	* test/integration/test-misc, test/integration/test-setshow,
	test/integration/test-sig: Clean up temporary test-file output
	better.

2008-08-23  rockyb <rockyb>

	* configure.ac, test/.cvsignore, test/Makefile.am, test/README,
	test/data/settrace.right, test/example/interrupt.sh,
	test/example/settrace.sh, test/integration/Makefile.am, test/{ =>
	integration}/check-common.sh.in, test/integration/lopts.tests,
	test/integration/sopts.tests, test/integration/test-action,
	test/integration/test-brkpt, test/integration/test-bug-args,
	test/integration/test-bug-source, test/integration/test-bugIFS,
	test/integration/test-command, test/integration/test-complete,
	test/integration/test-debug, test/integration/test-display,
	test/integration/test-finish, test/integration/test-frame,
	test/integration/test-interrupt, test/integration/test-list,
	test/integration/test-misc, test/integration/test-multi,
	test/integration/test-opts, test/integration/test-parm,
	test/integration/test-restart, test/integration/test-search,
	test/integration/test-setshow, test/integration/test-settrace,
	test/integration/test-sig, test/integration/test-skip,
	test/integration/test-subshell, test/integration/test-tbreak,
	test/integration/test-trace, test/integration/test-watch1,
	test/integration/test-watch2: Move check-common.sh.in into
	integration directory.

2008-08-23  rockyb <rockyb>

	* bashdb-trace.in, command/help.sh, test/data/trace.right,
	test/data/trace2.right, test/example/hanoi.sh.in,
	test/example/interrupt.sh: Minor stuff

2008-08-22  rockyb <rockyb>

	* test/example/interrupt.sh: .

2008-08-22  rockyb <rockyb>

	* test/.cvsignore, test/data/lopts.right, test/example/interrupt.sh: 
	.

2008-08-22  rockyb <rockyb>

	* command/list.sh: Split off list into its own file in command

2008-08-22  rockyb <rockyb>

	* ChangeLog, command/Makefile.am, command/linetrace.sh,
	lib/list.sh, lib/sig.sh, test/example/hanoi.sh.in,
	test/example/interrupt.sh: Split off list as into it's own file in
	commands.

2008-08-22  rockyb <rockyb>

	* integration/.cvsignore: .

2008-08-22  rockyb <rockyb>

	* test/integration/.cvsignore, test/integration/Makefile.am,
	test/integration/README, test/integration/brkpt1.tests,
	test/integration/brkpt2.tests, test/integration/brkpt3.tests,
	test/integration/bug-source.tests,
	test/integration/interrupt.tests, test/integration/lopts.tests,
	test/integration/multi.sh, test/integration/setshow.tests,
	test/integration/settrace.tests, test/integration/sig.sh,
	test/integration/sig.tests, test/integration/sopts.tests,
	test/integration/subshell1.tests, test/integration/subshell2.tests,
	test/integration/subshell3.tests, test/integration/subshell4.tests,
	test/integration/test-action, test/integration/test-brkpt,
	test/integration/test-bug-args, test/integration/test-bug-source,
	test/integration/test-bugIFS, test/integration/test-command,
	test/integration/test-complete, test/integration/test-debug,
	test/integration/test-display, test/integration/test-finish,
	test/integration/test-frame, test/integration/test-interrupt,
	test/integration/test-list, test/integration/test-misc,
	test/integration/test-multi, test/integration/test-opts,
	test/integration/test-parm, test/integration/test-restart,
	test/integration/test-search, test/integration/test-setshow,
	test/integration/test-settrace, test/integration/test-sig,
	test/integration/test-skip, test/integration/test-subshell,
	test/integration/test-tbreak, test/integration/test-trace,
	test/integration/test-watch1, test/integration/test-watch2,
	test/integration/trace.tests, test/integration/trace2.tests: Add
	integration tests in test/integration directory.

2008-08-22  rockyb <rockyb>

	* integration/Makefile.am, integration/README,
	integration/brkpt1.tests, integration/brkpt2.tests,
	integration/brkpt3.tests, integration/bug-source.tests,
	integration/interrupt.tests, integration/lopts.tests,
	integration/multi.sh, integration/setshow.tests,
	integration/settrace.tests, integration/sig.sh,
	integration/sig.tests, integration/sopts.tests,
	integration/subshell1.tests, integration/subshell2.tests,
	integration/subshell3.tests, integration/subshell4.tests,
	integration/test-action, integration/test-brkpt,
	integration/test-bug-args, integration/test-bug-source,
	integration/test-bugIFS, integration/test-command,
	integration/test-complete, integration/test-debug,
	integration/test-display, integration/test-finish,
	integration/test-frame, integration/test-interrupt,
	integration/test-list, integration/test-misc,
	integration/test-multi, integration/test-opts,
	integration/test-parm, integration/test-restart,
	integration/test-search, integration/test-setshow,
	integration/test-settrace, integration/test-sig,
	integration/test-skip, integration/test-subshell,
	integration/test-tbreak, integration/test-trace,
	integration/test-watch1, integration/test-watch2,
	integration/trace.tests, integration/trace2.tests: Files got checked
	into the wrong place.

2008-08-22  rockyb <rockyb>

	* test/bug-args.sh.in, test/bugIFS, test/command.tests: These files
	are no longer needed.

2008-08-22  rockyb <rockyb>

	* ChangeLog, integration/README: What this directory is about.

2008-08-22  rockyb <rockyb>

	* integration/.cvsignore, integration/Makefile.am,
	integration/brkpt1.tests, integration/brkpt2.tests,
	integration/brkpt3.tests, integration/bug-source.tests,
	integration/interrupt.tests, integration/lopts.tests,
	integration/multi.sh, integration/setshow.tests,
	integration/settrace.tests, integration/sig.sh,
	integration/sig.tests, integration/sopts.tests,
	integration/subshell1.tests, integration/subshell2.tests,
	integration/subshell3.tests, integration/subshell4.tests,
	integration/test-action, integration/test-brkpt,
	integration/test-bug-args, integration/test-bug-source,
	integration/test-bugIFS, integration/test-command,
	integration/test-complete, integration/test-debug,
	integration/test-display, integration/test-finish,
	integration/test-frame, integration/test-interrupt,
	integration/test-list, integration/test-misc,
	integration/test-multi, integration/test-opts,
	integration/test-parm, integration/test-restart,
	integration/test-search, integration/test-setshow,
	integration/test-settrace, integration/test-sig,
	integration/test-skip, integration/test-subshell,
	integration/test-tbreak, integration/test-trace,
	integration/test-watch1, integration/test-watch2,
	integration/trace.tests, integration/trace2.tests: Cleanup from
	integration test move

2008-08-22  rockyb <rockyb>

	* test/example/interrupt.sh, test/{ => example}/skip.sh,
	test/hanoi.sh.in, test/sig.sh: More cleanup from last commit

2008-08-22  rockyb <rockyb>

	* configure.ac, test/Makefile.am, test/brkpt1.tests,
	test/brkpt2.tests, test/brkpt3.tests, test/bug-source.tests,
	test/data/brkpt1.cmd, test/data/brkpt1.right, test/data/brkpt2.cmd,
	test/data/brkpt2.right, test/data/brkpt3.cmd,
	test/data/brkpt3.right, test/data/bug-source.right,
	test/data/debug.cmd, test/data/debug.right,
	test/data/interrupt.right, test/data/list.cmd,
	test/data/list.right, test/data/lopts.right, test/data/misc.cmd,
	test/data/misc.right, test/data/prof2.cmd, test/data/watch1.cmd,
	test/data/watch1.right, test/example/Makefile.am,
	test/example/dbg-test1.sh, test/{ => example}/debug.sh,
	test/example/hanoi.sh.in, test/example/interrupt.sh, test/{ =>
	example}/parm.sh, test/example/restartbug.sh,
	test/example/settrace.sh, test/{ => example}/subshell.sh,
	test/interrupt.tests, test/lopts.tests, test/multi.sh,
	test/restartbug.sh, test/setshow.tests, test/settrace.tests,
	test/sig.tests, test/sopts.tests, test/subshell1.tests,
	test/subshell2.tests, test/subshell3.tests, test/subshell4.tests,
	test/test-action, test/test-all, test/test-brkpt, test/test-brkpt1,
	test/test-bug-args, test/test-bug-source, test/test-bugIFS,
	test/test-command, test/test-complete, test/test-debug,
	test/test-display, test/test-finish, test/test-frame,
	test/test-interrupt, test/test-list, test/test-misc,
	test/test-multi, test/test-opts, test/test-parm, test/test-restart,
	test/test-search, test/test-setshow, test/test-settrace,
	test/test-sig, test/test-skip, test/test-subshell,
	test/test-tbreak, test/test-trace, test/test-watch1,
	test/test-watch2, test/trace.tests, test/trace2.tests: Move
	integration tests into integration directory. Yay!

2008-08-22  rockyb <rockyb>

	* command/break.sh, command/commands.sh, command/continue.sh,
	command/help.sh, test/data/brkpt1.right, test/data/command.right,
	test/data/frame.right, test/data/misc.right: More of the same: more
	help documentation. More alignment with kshdb/zshdb.

2008-08-22  rockyb <rockyb>

	* command/Makefile.am, command/help.sh, command/info.sh,
	lib/frame.sh, lib/help.sh, lib/info.sh, test/unit/test-frame.sh.in: 
	Break out info command, add help. More rigorous unit test for frame
	- more bugs fixed. Give help on aliased commands.

2008-08-22  rockyb <rockyb>

	* command/help.sh, lib/alias.sh: Minor changes

2008-08-21  rockyb <rockyb>

	* command/help.sh, doc/bashdb.texi, lib/alias.sh, lib/help.sh,
	test/check-common.sh.in, test/lopts.tests, test/sopts.tests,
	test/unit/test-alias.sh.in: Show aliases in help for a command.
	bashdb.texi: remove bogosity around calling the debugger in-line.

2008-08-21  rockyb <rockyb>

	* command/file.sh, command/handle.sh, command/help.sh,
	command/kill.sh, command/signal.sh, command/stepping.sh,
	test/data/misc.right: Add documentation for more commands: file,
	handle, kill, next, signal, skip and step. Alas, there are yet more
	commands to be done.

2008-08-21  rockyb <rockyb>

	* command/alias.sh, command/set.sh, command/show.sh, dbg-init.sh,
	dbg-io.sh, lib/help.sh, lib/msg.sh, lib/sig.sh,
	test/data/complete.right, test/data/misc.right,
	test/data/setshow.right, test/data/sig.right,
	test/example/dbg-test2.sh, test/setshow.tests, test/test-setshow: 
	Small changes to keep up with the Joneses.

2008-08-20  rockyb <rockyb>

	* test/example/hanoi.sh.in: Moved from ..

2008-08-20  rockyb <rockyb>

	* AUTHORS, command/help.sh, command/set.sh, command/show.sh,
	lib/help.sh, lib/processor.sh, test/data/misc.right,
	test/data/setshow.right: Add set and show to commands listed by
	help. Correct some missing show entries (annotate and autoeval).
	Other small changes.

2008-08-20  rockyb <rockyb>

	* command/alias.sh, command/break.sh, command/condition.sh,
	command/debug.sh, command/edit.sh, command/frame.sh,
	command/help.sh, command/kill.sh, command/quit.sh, command/show.sh,
	command/source.sh, command/where.sh, lib/help.sh,
	test/check-common.sh.in, test/data/complete.right,
	test/data/misc.right, test/test-opts: Bang on help some more.

2008-08-19  rockyb <rockyb>

	* command/alias.sh, test/Makefile.am, test/brkpt1.tests,
	test/brkpt2.tests, test/brkpt3.tests, test/bug-source.tests,
	test/check-common.sh.in, test/command.tests,
	test/example/Makefile.am, test/{ => example}/settrace.sh,
	test/interrupt.tests, test/lopts.tests, test/setshow.tests,
	test/settrace.tests, test/sig.tests, test/sopts.tests,
	test/subshell1.tests, test/subshell2.tests, test/subshell3.tests,
	test/subshell4.tests, test/trace.tests, test/trace2.tests: Remove
	more bashisms.

2008-08-19  rockyb <rockyb>

	* bashdb-main.inc, test/Makefile.am, test/README,
	test/data/Makefile.am, test/data/README, test/example/.cvsignore,
	test/unit/.cvsignore: Miscellaneous CVS and auto* administration.

2008-08-19  rockyb <rockyb>

	* configure.ac, test/.cvsignore, test/Makefile.am,
	test/brkpt1.tests, test/brkpt2.tests, test/bug-source.tests,
	test/bugIFS.sh.in, test/command.tests, test/data/brkpt1.cmd,
	test/data/brkpt1.right, test/data/brkpt2.cmd,
	test/data/brkpt2.right, test/data/bug-source.right,
	test/data/list.cmd, test/data/list.right, test/data/setshow.right,
	test/data/watch1.cmd, test/data/watch1.right,
	test/example/.cvsignore, test/example/Makefile.am,
	test/example/README, test/example/bug-args.sh.in,
	test/example/bugIFS.sh.in, test/{ => example}/dbg-test1.sh, test/{
	=> example}/dbg-test1.sub, test/{ => example}/dbg-test2.sh, test/{
	=> example}/interrupt.sh.in, test/interrupt.tests,
	test/lopts.tests, test/setshow.tests, test/sopts.tests,
	test/test-action, test/test-bug-args, test/test-bugIFS,
	test/test-command, test/test-complete, test/test-display,
	test/test-frame, test/test-list, test/test-misc, test/test-search,
	test/test-tbreak, test/test-watch1, test/test-watch2,
	test/trace.tests, test/trace2.tests: Integration script programs
	moved to test/example.

2008-08-19  rockyb <rockyb>

	* command/show.sh, lib/Makefile.am, lib/processor.sh: Add Command to
	show aliases. Need some integration tests though.

2008-08-19  rockyb <rockyb>

	* test/data/sig.right: I really need to redo this test.

2008-08-19  rockyb <rockyb>

	* command/alias.sh, lib/processor.sh: Add alias and unalias debugger
	commands

2008-08-19  rockyb <rockyb>

	* test/test-brkpt, test/test-bug-source, test/test-multi,
	test/test-opts, test/test-subshell, test/test-tbreak,
	test/test-trace, test/unit/test-alias.sh.in,
	test/unit/test-bashdb-trace.sh.in, test/unit/test-io.sh.in,
	test/unit/test-pre.sh.in, test/unit/test-run.sh.in,
	test/unit/test-save-restore.sh.in: Getting closer to having "make
	distcheck" work again.

2008-08-19  rockyb <rockyb>

	* lib/alias.sh, test/unit/test-alias.sh.in: alias routines and unit
	test for it.

2008-08-19  rockyb <rockyb>

	* configure.ac, lib/columnize.sh, test/unit/.cvsignore,
	test/unit/Makefile.am, test/unit/test-save-restore.sh.in: Add
	save/restore unit test from kshdb (and zshdb).

2008-08-19  rockyb <rockyb>

	* command/break.sh, lib/processor.sh: Reinstate alias expansion.

2008-08-18  rockyb <rockyb>

	* test/data/action.right, test/data/brkpt2.right,
	test/data/brkpt3.right, test/data/bug-args.right,
	test/data/bugIFS.right, test/data/command.right,
	test/data/display.right, test/data/frame.cmd,
	test/data/frame.right, test/data/list.right,
	test/data/multi1.right, test/data/multi2.right,
	test/data/multi3.right, test/data/parm.right,
	test/data/settrace.right, test/data/skip.right,
	test/data/subshell1.right, test/data/subshell2.right,
	test/data/tbreak.right, test/data/watch1.right: Reinstate alias
	expansion and make use of it to reduce hard-coded commands.

2008-08-18  rockyb <rockyb>

	* command/continue.sh, command/edit.sh, command/examine.sh,
	command/file.sh, command/frame.sh, command/help.sh,
	command/tracefn.sh, command/where.sh, lib/brk.sh, lib/frame.sh,
	lib/help.sh, lib/processor.sh, test/data/sig.right,
	test/unit/Makefile.am, test/unit/test-bashdb-trace.sh.in,
	test/unit/test-tracefn.sh: Add more commands under new help system.
	More code realignment towards zshdb and kshdb.

2008-08-17  rockyb <rockyb>

	* Makefile.am, bashdb-main.inc.in, bashdb-trace.in, bashdb.in,
	command/Makefile.am, command/break.sh, command/commands.sh,
	command/condition.sh, command/continue.sh, command/debug.sh,
	command/delete.sh, command/disable.sh, command/display.sh,
	command/edit.sh, command/enable.sh, command/eval.sh,
	command/frame.sh, command/help.sh, command/quit.sh,
	command/restart.sh, command/source.sh, command/where.sh,
	configure.ac, dbg-main.sh.in, dbg-opts.sh, doc/bashdb.texi,
	lib/.cvsignore, lib/Makefile.am, lib/columnize.sh, lib/dbg-call.sh,
	lib/frame.sh, lib/help.sh, lib/processor.sh, test/bug-args.sh.in,
	test/bugIFS.sh.in, test/check-common.sh.in, test/data/brkpt2.right,
	test/data/bug-source.right, test/data/debug.right,
	test/data/finish.right, test/data/frame.right,
	test/data/lopts.right, test/data/parm.right,
	test/data/settrace.right, test/data/sig.right,
	test/data/sopts.right, test/data/tbreak.right,
	test/data/watch1.right, test/hanoi.sh.in, test/interrupt.sh.in,
	test/lopts.tests, test/settrace.sh, test/test-opts,
	test/unit/Makefile.am, test/unit/test-bashdb-trace.sh.in,
	test/unit/test-fns.sh.in, test/unit/test-frame.sh.in,
	test/unit/test-io.sh.in, test/unit/test-pre.sh.in,
	test/unit/test-run.sh.in, test/unit/test-set0.sh.in: Work on help
	system. Lots of modularity things to keep in line with kshdb and
	zshdb.

2008-08-14  rockyb <rockyb>

	* bashdb-trace.in, bashdb.in, dbg-main.sh.in, lib/dbg-call.sh,
	lib/frame.sh: Broke bash --debugger when moving trap DEBUG. Damn.
	test-settrace is broken by this commit

2008-08-13  rockyb <rockyb>

	* bashdb-trace.in, bashdb.in, dbg-main.sh.in, lib/Makefile.am,
	lib/dbg-call.sh, test/data/brkpt2.right,
	test/data/bug-source.right, test/data/debug.right,
	test/data/finish.right, test/data/frame.right,
	test/data/parm.right, test/data/sig.right, test/data/tbreak.right: 
	Move trap DEBUG out of dbg-main.sh and into bashdb in preparation
	for adding code to loop when debugged script exits. Move
	_Dbg_debugger into lib so we can call it even if bashdb was called
	initially.  Incompatble change interface to dbg_debugger to set
	step_ignore.

2008-08-12  rockyb <rockyb>

	* dbg-io.sh, lib/Makefile.am, lib/fns.sh, lib/msg.sh,
	lib/save-restore.sh, test/unit/test-fns.sh.in,
	test/unit/test-io.sh.in: Split off from fns debugger messages and
	save/restore user vars into two different files

2008-08-12  rockyb <rockyb>

	* lib/processor.sh, test/data/sig.right: Remove weird IFS setting.

2008-08-11  rockyb <rockyb>

	* dbg-opts.sh, test/sopts.tests: Allow --library in short options
	since that's what we do.  Correct help option on short options and
	ignore -L or --library option.

2008-08-11  rockyb <rockyb>

	* Makefile.am: dbg-main.inc -> dbg-main.sh

2008-08-11  rockyb <rockyb>

	* ChangeLog, Makefile.am, bashdb-trace.in, bashdb.in,
	command/frame.sh, command/where.sh, dbg-opts.sh, lib/frame.sh,
	test/data/brkpt2.right, test/data/bug-source.right,
	test/data/debug.right, test/data/finish.right,
	test/data/frame.right, test/data/parm.right, test/data/sig.right,
	test/data/sopts.right, test/data/tbreak.right,
	test/data/watch1.right: Split off common options-processing routine
	into its own file.

2008-08-10  rockyb <rockyb>

	* command/Makefile.am, command/{backtrace.sh => where.sh},
	test/data/tbreak.right: backtrace.sh -> where.sh (to match zshdb and
	kshdb). Use _Dbg_not_running in it.

2008-08-10  rockyb <rockyb>

	* configure.ac, lib/Makefile.am, lib/{stack.sh => frame.sh},
	test/unit/.cvsignore, test/unit/Makefile.am,
	test/unit/{test-stack.sh.in => test-frame.sh.in}: lib/stack.sh ->
	lib/frame.sh to match kshdb and zshdb. Other small changes, e.g.
	typo: top_srcdir=@top_builddir@.

2008-08-10  rockyb <rockyb>

	* ChangeLog, test/check_common.in, test/complete.tests: Test clean
	up no longer uses these files.

2008-08-10  rockyb <rockyb>

	* lib/sig.sh: Typo in fn name

2008-08-10  rockyb <rockyb>

	* configure.ac, test/Makefile.am, test/action.tests,
	test/brkpt1.tests, test/brkpt2.tests, test/brkpt3.tests,
	test/bug-source.tests, test/check-common.sh.in, test/command.tests,
	test/data/brkpt1.right, test/data/brkpt2.right,
	test/data/bug-source.right, test/data/list.right,
	test/data/sig.right, test/{dbg-test1.sh.in => dbg-test1.sh},
	test/lopts.tests, test/search.tests, test/setshow.tests,
	test/sig.tests, test/sopts.tests, test/subshell1.tests,
	test/subshell2.tests, test/subshell3.tests, test/test-action,
	test/test-bug-args, test/test-bug-source, test/test-bugIFS,
	test/test-command, test/test-complete, test/test-debug,
	test/test-list, test/test-misc, test/test-multi, test/test-opts,
	test/test-setshow, test/test-sig, test/test-trace,
	test/test-watch1, test/trace.tests, test/trace2.tests: More work to
	clean up Tests. Some bugs fixed.  TOP_BUILDDIR -> top_builddir (to
	match zshdb)

2008-08-09  rockyb <rockyb>

	* Makefile.am, README, test/test-bug-args: test-bug-args: better for
	make distcheck. Other small changes.

2008-08-09  rockyb <rockyb>

	* ChangeLog, test/unit/Makefile.am, test/unit/test-tracefn.sh: unit
	test of function tracing.

2008-08-09  rockyb <rockyb>

	* test/check-common.sh.in, test/data/Makefile.am,
	test/test-bug-args, test/test-bugIFS, test/test-command,
	test/test-complete, test/test-debug, test/test-display,
	test/test-finish, test/test-frame, test/test-interrupt: Fix some of
	the "make distcheck" breakage. Use /bin/bash -f in tests, not
	/bin/sh.

2008-08-09  rockyb <rockyb>

	* test/Makefile.am, test/bug-args.tests, test/data/bug-args.right,
	test/test-bug-args: Clean up test-bug-args.

2008-08-09  rockyb <rockyb>

	* Makefile.am: See previous commit

2008-08-09  rockyb <rockyb>

	* ChangeLog, bashdb.in, command/restart.sh, dbg-init.inc =>
	dbg-init.sh, dbg-io.inc => dbg-io.sh, dbg-main.sh.in,
	test/check-common.sh.in, test/data/brkpt2.right,
	test/data/bug-source.right, test/data/debug.right,
	test/data/finish.right, test/data/frame.right,
	test/data/parm.right, test/data/sig.right, test/data/tbreak.right,
	test/data/watch1.cmd, test/data/watch1.right, test/test-debug,
	test/test-watch1, test/test-watch2, test/trace2.tests,
	test/unit/test-io.sh.in: Check for dbg-main.sh. dbg-{init,io}.inc ->
	dbg-{init.io}.sh Bang on tests some more to get them to be more
	general.  Remove basename hack in restart. Only add --debugger if we
	didn't invoke via bashdb.

2008-08-09  rockyb <rockyb>

	* test/.cvsignore, test/Makefile.am, test/bugIFS.tests,
	test/check-common.sh.in, test/data/.cvsignore,
	test/data/misc-output.right, test/data/misc.cmd,
	test/data/misc.right, test/data/prof2.cmd, test/data/setshow.right,
	test/data/settrace.right, test/data/watch1.cmd,
	test/data/watch1.right, test/debug.tests, test/display.tests,
	test/finish.tests, test/frame.tests, test/hanoi.sh.in,
	test/list.tests, test/lopts.tests, test/misc.tests,
	test/multi1.tests, test/multi2.tests, test/multi3.tests,
	test/multi4.tests, test/parm.tests, test/restart.tests,
	test/setshow.tests, test/settrace.sh, test/settrace.tests,
	test/sig.tests, test/skip.tests, test/sopts.tests,
	test/subshell1.tests, test/subshell2.tests, test/subshell3.tests,
	test/subshell4.tests, test/tbreak.tests, test/test-bugIFS,
	test/test-debug, test/test-display, test/test-finish,
	test/test-frame, test/test-list, test/test-misc, test/test-multi,
	test/test-opts, test/test-parm, test/test-restart,
	test/test-search, test/test-setshow, test/test-settrace,
	test/test-sig, test/test-skip, test/test-subshell,
	test/test-tbreak, test/test-trace, test/test-watch1,
	test/test-watch2, test/trace2.tests, test/unit/.cvsignore,
	test/watch1.tests, test/watch2.tests: Move debugger command files
	and the output to check against into data.  Reduce test bulk and one
	level of indirection in many of the simple cases.

2008-08-09  rockyb <rockyb>

	* test/check-common.sh.in: Old check_common.in

2008-08-08  rockyb <rockyb>

	* configure.ac, test/Makefile.am, test/action.tests,
	test/brkpt1.tests, test/brkpt2.tests, test/brkpt3.tests,
	test/bug-args.tests, test/bug-source.tests, test/command.tests,
	test/complete.tests, test/data/Makefile.am, test/{ =>
	data}/action.cmd, test/{ => data}/action.right, test/{ =>
	data}/brkpt1.cmd, test/{ => data}/brkpt1.right, test/{ =>
	data}/brkpt2.cmd, test/{ => data}/brkpt2.right, test/{ =>
	data}/brkpt3.cmd, test/{ => data}/brkpt3.right, test/{ =>
	data}/bug-args.cmd, test/{ => data}/bug-args.right, test/{ =>
	data}/bug-source.cmd, test/{ => data}/bug-source.right, test/{ =>
	data}/bugIFS.cmd, test/{ => data}/bugIFS.right, test/{ =>
	data}/command.cmd, test/{ => data}/command.right, test/{ =>
	data}/complete.cmd, test/{ => data}/complete.right, test/{ =>
	data}/continue.cmd, test/{ => data}/debug.cmd, test/{ =>
	data}/debug.right, test/{ => data}/debug2.cmd, test/{ =>
	data}/display.cmd, test/{ => data}/display.right, test/{ =>
	data}/finish.cmd, test/{ => data}/finish.right, test/{ =>
	data}/frame.cmd, test/{ => data}/frame.right, test/{ =>
	data}/interrupt.right, test/{ => data}/list.cmd, test/{ =>
	data}/list.right, test/{ => data}/lopts.right, test/{ =>
	data}/misc-output.right, test/{ => data}/misc.cmd, test/{ =>
	data}/misc.right, test/{ => data}/multi1.cmd, test/{ =>
	data}/multi1.right, test/{ => data}/multi2.cmd, test/{ =>
	data}/multi2.right, test/{ => data}/multi3.cmd, test/{ =>
	data}/multi3.right, test/{ => data}/multi4.cmd, test/{ =>
	data}/multi4.right, test/{ => data}/parm.cmd, test/{ =>
	data}/parm.right, test/{ => data}/prof1.cmd, test/{ =>
	data}/prof2.cmd, test/{ => data}/quit.cmd, test/{ =>
	data}/restart.cmd, test/{ => data}/restart.right, test/{ =>
	data}/restart2.cmd, test/{ => data}/search.cmd, test/{ =>
	data}/search.right, test/{ => data}/setshow.cmd, test/{ =>
	data}/setshow.right, test/{ => data}/settrace.cmd, test/{ =>
	data}/settrace.right, test/{ => data}/sig.cmd, test/{ =>
	data}/sig.right, test/{ => data}/skip.cmd, test/{ =>
	data}/skip.right, test/{ => data}/sopts.right, test/{ =>
	data}/subshell1.cmd, test/{ => data}/subshell1.right, test/{ =>
	data}/subshell2.cmd, test/{ => data}/subshell2.right, test/{ =>
	data}/subshell3.cmd, test/{ => data}/subshell3.right, test/{ =>
	data}/subshell4.cmd, test/{ => data}/subshell4.right, test/{ =>
	data}/tbreak.cmd, test/{ => data}/tbreak.right, test/{ =>
	data}/trace.right, test/{ => data}/trace2.right, test/{ =>
	data}/watch1.cmd, test/{ => data}/watch1.right, test/{ =>
	data}/watch2.cmd, test/{ => data}/watch2.right, test/debug.tests,
	test/test-action, test/test-brkpt, test/test-brkpt1,
	test/test-bug-args, test/test-bug-source, test/test-command,
	test/test-complete, test/test-debug: Add data directory. "make
	check" is broken until more tests are converted.

2008-08-08  rockyb <rockyb>

	* command/Makefile.am, command/eval.sh, command/print.sh: Put print
	and eval in same file

2008-08-08  rockyb <rockyb>

	* dbg-main.sh.in: See previous commit

2008-08-08  rockyb <rockyb>

	* dbg-main.sh.in, lib/Makefile.am, lib/{brk.inc => brk.sh},
	lib/{commands.inc => commands.sh}, lib/{complete.inc =>
	complete.sh}, lib/{file.inc => file.sh}, lib/{fns.inc => fns.sh},
	lib/{help.inc => help.sh}, lib/{hist.inc => hist.sh}, lib/{info.inc
	=> info.sh}, lib/{journal.inc => journal.sh}, lib/{list.inc =>
	list.sh}, lib/{processor.inc => processor.sh}, lib/{run.inc =>
	run.sh}, lib/{sig.inc => sig.sh}, lib/{stack.inc => stack.sh},
	test/sig.right, test/unit/test-fns.sh.in, test/unit/test-run.sh.in,
	test/unit/test-stack.sh.in: More .inc -> .sh

2008-08-08  rockyb <rockyb>

	* configure.ac, test/Makefile.am, test/action.tests,
	test/brkpt1.tests, test/brkpt2.tests, test/brkpt3.tests,
	test/bug-args.tests, test/bug-source.tests, test/command.tests,
	test/complete.tests, test/debug.tests, test/display.tests,
	test/finish.tests, test/frame.tests, test/list.tests,
	test/lopts.tests, test/misc.tests, test/multi1.tests,
	test/multi2.tests, test/multi3.tests, test/multi4.tests,
	test/parm.tests, test/restart.tests, test/search.tests,
	test/setshow.tests, test/sig.right, test/sig.tests,
	test/skip.tests, test/sopts.tests, test/subshell1.tests,
	test/subshell2.tests, test/subshell3.tests, test/tbreak.tests,
	test/test-action, test/test-brkpt, test/test-brkpt1,
	test/test-bug-args, test/test-bug-source, test/test-bugIFS,
	test/test-command, test/test-complete, test/test-debug,
	test/test-display, test/test-frame, test/test-interrupt,
	test/test-list, test/test-misc, test/test-multi, test/test-opts,
	test/test-parm, test/test-restart, test/test-setshow,
	test/test-settrace, test/test-sig, test/test-skip,
	test/test-subshell, test/test-tbreak, test/test-trace,
	test/test-watch1, test/test-watch2, test/trace.tests,
	test/watch1.tests, test/watch2.tests: check_common.in =>
	check-common.sh

2008-08-08  rockyb <rockyb>

	* test/bugIFS.cmd, test/bugIFS.right, test/bugIFS.sh.in,
	test/bugIFS.tests, test/check_common.in, test/test-bugIFS: Clean up
	and shorten bugIFS.sh and the testing framework a little. More later

2008-08-07  rockyb <rockyb>

	* bashdb-trace.in, bashdb.in, command/help.sh, command/source.sh,
	lib/processor.inc, test/sig.right, test/unit/test-fns.sh.in: Some
	_Dbg_msg turned into error _Dbg_errmsg. Some .inc -> .sh; cosmetic
	changes.

2008-08-07  rockyb <rockyb>

	* command/display.sh: Forgot to add previously

2008-08-07  rockyb <rockyb>

	* .cvsignore, dbg-pre.sh.in: Missing files, etc.

2008-08-07  rockyb <rockyb>

	* Makefile.am, bashdb-trace.in, bashdb.in: Install bugs caused by
	.inc->.sh change.

2008-08-07  rockyb <rockyb>

	* Makefile.am, bashdb-trace.in, bashdb.in, configure.ac,
	dbg-init.inc, dbg-main.inc.in => dbg-main.sh.in, lib/pre.inc.in =>
	dbg-pre.sh, lib/Makefile.am, test/unit/test-pre.sh.in: More .inc ->
	.sh

2008-08-07  rockyb <rockyb>

	* command/Makefile.am, command/{backtrace.cmd => backtrace.sh},
	command/{break.cmd => break.sh}, command/{commands.cmd =>
	commands.sh}, command/{condition.cmd => condition.sh},
	command/{continue.cmd => continue.sh}, command/{debug.cmd =>
	debug.sh}, command/{delete.cmd => delete.sh}, command/{disable.cmd
	=> disable.sh}, command/{edit.cmd => edit.sh}, command/{enable.cmd
	=> enable.sh}, command/{eval.cmd => eval.sh}, command/{examine.cmd
	=> examine.sh}, command/{file.cmd => file.sh}, command/{frame.cmd
	=> frame.sh}, command/{handle.cmd => handle.sh}, command/{help.cmd
	=> help.sh}, command/{kill.cmd => kill.sh}, command/{linetrace.cmd
	=> linetrace.sh}, command/{load.cmd => load.sh}, command/{log.cmd
	=> log.sh}, command/{print.cmd => print.sh}, command/{pwd.cmd =>
	pwd.sh}, command/{quit.cmd => quit.sh}, command/{restart.cmd =>
	restart.sh}, command/{set.cmd => set.sh}, command/{show.cmd =>
	show.sh}, command/{signal.cmd => signal.sh}, command/{source.cmd =>
	source.sh}, command/{stepping.cmd => stepping.sh},
	command/{tracefn.cmd => tracefn.sh}, command/{tty.cmd => tty.sh},
	command/undisplay.cmd, command/{watch.cmd => watch.sh},
	dbg-main.inc.in, lib/brk.inc, test/sig.right,
	test/unit/test-bashdb-trace.sh.in: *.cmd -> *.sh. Combine display
	stuff in display.sh

2008-08-06  rockyb <rockyb>

	* test/unit/test-run.sh.in: Get a couple of _Dbg_not_running test
	working.

2008-08-06  rockyb <rockyb>

	* command/source.cmd, lib/file.inc, test/unit/Makefile.am: Cosmetic
	changes.

2008-08-06  rockyb <rockyb>

	* command/continue.cmd, command/frame.cmd, command/stepping.cmd,
	configure.ac, dbg-main.inc.in, lib/processor.inc, lib/run.inc: Turn
	run from alias into fn

2008-08-06  rockyb <rockyb>

	* test/unit/test-run.sh.in: Add missing file

2008-08-06  rockyb <rockyb>

	* test/sig.right, test/tbreak.right, test/unit/Makefile.am,
	test/unit/test-bashdb-trace.sh.in, test/unit/test-fns.sh.in,
	test/unit/test-stack.sh.in: Add generic test of running program
	debugged.  test/unit: Hopefully more precice use of src/build
	directories

2008-08-06  rockyb <rockyb>

	* test/unit/test-fns.sh.in: Remove a test of set $? which currently
	does not work and we do not know how to fix

2008-08-06  rockyb <rockyb>

	* command/stepping.cmd: step/next moved into a command file

2008-08-06  rockyb <rockyb>

	* test/unit/test-fns.sh.in: Add more set_dol_q tests

2008-08-06  rockyb <rockyb>

	* command/Makefile.am, command/frame.cmd, lib/log.inc =>
	command/log.cmd, command/restart.cmd, command/up.cmd,
	lib/Makefile.am, lib/processor.inc, command/down.cmd => lib/run.inc: 
	Move more command things into command.

2008-08-05  rockyb <rockyb>

	* builtin/set0.c: Add copyleft.

2008-08-04  rockyb <rockyb>

	* lib/journal.inc: journal.inc - var journaling; formerly split off
	from file.inc

2008-08-04  rockyb <rockyb>

	* test/unit/test-set0.sh.in: Skip set0 test if it's not around.

2008-08-04  rockyb <rockyb>

	* builtin/set0.c, command/Makefile.am, lib/tracefn.inc =>
	command/tracefn.cmd, lib/Makefile.am,
	test/unit/test-bashdb-trace.sh.in: Set0 patches from Masatake-san:   Fix comments.         (set0_builtin): Free $0 before overwriting.         Return SUCCESS instead of FAILURE.  lib/tracefn.inc -> command/tracefn.cmd

2008-08-04  rockyb <rockyb>

	* command/Makefile.am, command/{trace.cmd => linetrace.cmd},
	test/unit/shunit2, test/unit/test-fns.sh.in: Add set_dol_q test. Add
	more is_function tests. trace.cmd->linetrace.cmd to distinguish
	function trace.

2008-08-04  rockyb <rockyb>

	* bashdb-trace.in, bashdb.in, command/restart.cmd, dbg-init.inc,
	dbg-set-d-vars.inc, lib/Makefile.am, lib/file.inc,
	lib/processor.inc, lib/sig.inc, test/watch1.right: journal code
	split off into its own file. Rename _Dbg_steps to _Dbg_step_ignore
	to match pdb, pydb, zshdb.

2008-08-03  rockyb <rockyb>

	* bashdb-trace.in, bashdb.in, command/backtrace.cmd,
	command/restart.cmd, dbg-init.inc, test/unit/test-pre.sh.in: Motion
	movement bugs.

2008-08-02  rockyb <rockyb>

	* .cvsignore, ChangeLog, Makefile.am, builtin/.cvsignore,
	command/Makefile.am, command/edit.cmd, command/file.cmd,
	command/handle.cmd, lib/set.inc => command/set.cmd, lib/show.inc =>
	command/show.cmd, command/signal.cmd, command/watch.cmd,
	configure.ac, dbg-info.inc, lib/.cvsignore, lib/Makefile.am,
	lib/brk.inc, dbg-file.inc => lib/file.inc, dbg-pre.inc.in =>
	lib/pre.inc.in: See above.

2008-08-02  rockyb <rockyb>

	* Makefile.am, command/Makefile.am, command/handle.cmd,
	command/signal.cmd, dbg-main.inc.in, lib/Makefile.am,
	lib/complete.inc, lib/info.inc, lib/sig.inc: More of the same as
	before

2008-08-02  rockyb <rockyb>

	* ChangeLog, command/Makefile.am, dbg-main.inc.in, lib/Makefile.am,
	dbg-fns.inc => lib/fns.inc, dbg-stack.inc => lib/stack.inc,
	test/unit/test-fns.sh.in: More to lib. Fix install command location
	(singular now, not plural). Should work when installed now.

2008-08-02  rockyb <rockyb>

	* Makefile.am, command/Makefile.am, command/backtrace.cmd,
	command/break.cmd, command/commands.cmd, command/condition.cmd,
	command/continue.cmd, command/delete.cmd, command/disable.cmd,
	command/enable.cmd, command/frame.cmd, command/help.cmd,
	command/kill.cmd, command/undisplay.cmd, dbg-main.inc.in,
	lib/Makefile.am, lib/brk.inc, lib/commands.inc, lib/help.inc,
	lib/info.inc, test/unit/.cvsignore, test/unit/test-stack.sh.in: More
	command files. More files moved into lib.

2008-08-02  rockyb <rockyb>

	* ChangeLog, Makefile.am, dbg-main.inc.in, lib/.cvsignore,
	lib/Makefile.am, dbg-commands.inc => lib/commands.inc,
	dbg-complete.inc => lib/complete.inc, dbg-log.inc => lib/log.inc,
	dbg-processor.inc => lib/processor.inc, dbg-sig.inc => lib/sig.inc,
	dbg-tracefn.inc => lib/tracefn.inc, test/sig.right,
	test/unit/test-bashdb-trace.sh, test/unit/test-bashdb-trace.sh.in: 
	Move more files around.

2008-08-02  rockyb <rockyb>

	* lib/Makefile.am: Forgot to add Makefile.am for new lib directory

2008-08-02  rockyb <rockyb>

	* ChangeLog, Makefile.am, {commands => command}/.cvsignore,
	{commands => command}/Makefile.am, {commands =>
	command}/backtrace.cmd, {commands => command}/debug.cmd, {commands
	=> command}/down.cmd, dbg-edit.inc => command/edit.cmd, {commands
	=> command}/eval.cmd, {commands => command}/examine.cmd, {commands
	=> command}/file.cmd, {commands => command}/frame.cmd, {commands =>
	command}/kill.cmd, {commands => command}/load.cmd, {commands =>
	command}/print.cmd, {commands => command}/pwd.cmd, {commands =>
	command}/quit.cmd, {commands => command}/restart.cmd, {commands =>
	command}/source.cmd, {commands => command}/trace.cmd, {commands =>
	command}/tty.cmd, {commands => command}/up.cmd, configure.ac,
	dbg-file.inc, dbg-main.inc.in, dbg-processor.inc,
	dbg-set-d-vars.inc, dbg-brk.inc => lib/brk.inc, dbg-help.inc =>
	lib/help.inc, dbg-hist.inc => lib/hist.inc, dbg-list.inc =>
	lib/list.inc, dbg-set.inc => lib/set.inc, dbg-show.inc =>
	lib/show.inc: Start to move library files into lib. More work
	sorting out command files.

2008-07-29  rockyb <rockyb>

	* commands/eval.cmd, commands/print.cmd, dbg-file.inc,
	dbg-init.inc, dbg-processor.inc, dbg-set-d-vars.inc, test/sig.right: 
	Code cleanu, better modularization

2008-07-29  rockyb <rockyb>

	* commands/down.cmd, dbg-init.inc, dbg-processor.inc, dbg-stack.inc: 
	More cleanups (as a result looking at and writing zshdb)

2008-07-28  rockyb <rockyb>

	* dbg-main.inc.in: dbg-cmd.inc -> dbg-processor.inc

2008-07-27  rockyb <rockyb>

	* commands/Makefile.am, commands/backtrace.cmd, commands/down.cmd,
	commands/frame.cmd, commands/up.cmd, dbg-info.inc,
	dbg-processor.inc, dbg-sig.inc, dbg-stack.inc: Move more commands
	indo comands. do_stack_trace -> do_backtrace

2008-07-26  rockyb <rockyb>

	* test/sig.right, test/watch1.right: See above.

2008-07-26  rockyb <rockyb>

	* Makefile.am, dbg-cmds.inc => dbg-processor.inc,
	test/brkpt2.right, test/bug-source.right, test/debug.right,
	test/finish.right, test/frame.right, test/parm.right,
	test/sig.right, test/sopts.right, test/tbreak.right: dbg-cmds.inc ->
	dbg-processor.inc to make more in line with ruby-debug name

2008-07-26  rockyb <rockyb>

	* bashdb.in, commands/Makefile.am, commands/quit.cmd, dbg-cmds.inc,
	dbg-sig.inc: quit is in its own command file.

2008-07-26  rockyb <rockyb>

	* ChangeLog, dbg-cmds.inc, dbg-commands.inc, dbg-sig.inc,
	test/sig.right: _Dbg_cmdloop -> _Dbg_process_commands to bring in
	line with ruby-debug name.

2008-07-22  rockyb <rockyb>

	* bashdb-trace.in: Update copyright date.

2008-07-18  rockyb <rockyb>

	* bashdb-trace.in, dbg-init.inc, dbg-pre.inc.in,
	test/settrace.right, test/settrace.sh,
	test/unit/test-bashdb-trace.sh: Make debugger work under set -u. Add
	set -u to settrace.

2008-07-17  rockyb <rockyb>

	* bashdb-trace.in: Make a little more set -u friendly: change "-n
	$1" to "$# > 0"

2008-07-17  rockyb <rockyb>

	* bashdb-trace.in: Replace -n $1 test with $# which works under set
	-u.

2008-07-16  rockyb <rockyb>

	* bashdb-trace.in, configure.ac, test/unit/Makefile.am,
	test/unit/test-bashdb-trace.sh.in: Save and restore set options when
	sourceing bashdb-trace. Add unit test for saving/restoring set
	options.

2008-07-13  rockyb <rockyb>

	* Makefile.am, builtin/Makefile.am, commands/.cvsignore,
	commands/Makefile.am, commands/debug.cmd, commands/eval.cmd,
	commands/examine.cmd, commands/file.cmd, commands/kill.cmd,
	commands/load.cmd, commands/print.cmd, commands/pwd.cmd,
	commands/restart.cmd, commands/source.cmd, commands/trace.cmd,
	commands/tty.cmd, configure.ac, dbg-cmds.inc, test/sig.right: Move
	debugger commands into directory commands.

2008-07-13  rockyb <rockyb>

	* Makefile.am, NEWS, builtin/Makefile.am, dbg-init.inc: Fix
	installating built-in's readarray and set0.

2008-07-12  rockyb <rockyb>

	* bashdb.in, dbg-cmds.inc, dbg-init.inc, test/brkpt2.right,
	test/bug-source.right, test/debug.right, test/finish.right,
	test/frame.right, test/parm.right, test/sig.right,
	test/tbreak.right, test/watch1.right: Set $0 if the builtin is
	available.

2008-07-12  rockyb <rockyb>

	* bashdb.in, configure.ac, doc/bashdb.texi, test/unit/.cvsignore,
	test/unit/Makefile.am, test/unit/test-pre.sh.in,
	test/unit/test-set0.sh.in: Add unit test for set0 builtin.
	doc/bashdb.texi: add { escapes in PS4 example.  bashdb.in: don't
	tryoe to initialize _Dbg_ver more than once test-pre.sh.in: was
	using builddir rather than srcdir.

2008-07-05  rockyb <rockyb>

	* dbg-stack.inc: Simpler emacs line.

2008-07-05  rockyb <rockyb>

	* configure.ac, dbg-stack.inc, test/unit/.cvsignore,
	test/unit/Makefile.am, test/unit/test-stack.sh.in: Add
	_Dbg_print_frame to make a little more like ruby-debug. Add minimal
	unit test for _Dbg_print_frame.

2008-06-19  rockyb <rockyb>

	* doc/bashdb.texi: Small formatting changes.

2008-06-19  rockyb <rockyb>

	* doc/bashdb.texi: More detail regarding calling inside the
	debugger.

2008-06-11  rockyb <rockyb>

	* dbg-pre.inc.in, dbg-tracefn.inc, test/unit/test-fns.sh.in,
	test/unit/test-pre.sh.in: More tests, more quirks found by tests.

2008-06-09  rockyb <rockyb>

	* builtin/.cvsignore, dbg-cmds.inc, dbg-fns.inc,
	test/unit/test-fns.sh.in: copies() to create a string with that many
	copies.  remove is_defined_old.

2008-06-08  rockyb <rockyb>

	* Makefile.am, dbg-cmds.inc, dbg-fns.inc, dbg-io.inc,
	dbg-sig-ret.inc, dbg-tracefn.inc, test/unit/test-fns.sh.in: Add
	errmsg routine distinct from msg routine. Add _Dbg_is_traced more
	unit tests.

2008-06-07  rockyb <rockyb>

	* dbg-fns.inc, test/unit/test-fns.sh.in: Add parse linespec unit
	tests and fix some small robustness bugs.

2008-06-06  rockyb <rockyb>

	* dbg-cmds.inc: Uninitialized variable bug on restart

2008-06-06  rockyb <rockyb>

	* dbg-brk.inc, dbg-fns.inc, dbg-help.inc, dbg-sig.inc,
	dbg-tracefn.inc, doc/bashdb.texi, test/sig.right: Add "continue -"
	to turn off debugger and allow it to run full speed.  Function
	tracing also turns off debugger stepping while tracing.

2008-06-06  rockyb <rockyb>

	* dbg-info.inc: Cleanups.

2008-06-06  rockyb <rockyb>

	* configure.ac, dbg-fns.inc: Replace 'cut' with a parameter
	substitution primative. Reduce backtick use.

2008-06-05  rockyb <rockyb>

	* dbg-cmds.inc, test/unit/.cvsignore: Remove some depricated
	backticks.

2008-06-05  rockyb <rockyb>

	* test/sig.right: Really need to redo this test because line numbers
	change too much.

2008-06-05  rockyb <rockyb>

	* Makefile.am, dbg-cmds.inc, dbg-file.inc, dbg-fns.inc, dbg-io.inc,
	dbg-main.inc.in, dbg-tracefn.inc, test/sig.right,
	test/test-restart, test/unit/test-fns.sh.in: Add ability to trace a
	function.

2008-06-03  rockyb <rockyb>

	* configure.ac, dbg-file.inc, dbg-io.inc, test/unit/.cvsignore,
	test/unit/Makefile.am, test/unit/test-io.sh.in: Add another unit
	test of fns in dbg-io.inc.  readin routine moved from dbg-io.inc to
	dbg-file.inc

2008-06-02  rockyb <rockyb>

	* dbg-file.inc, dbg-io.inc, dbg-log.inc: kshdb compatibility and
	modernization.

2008-06-02  rockyb <rockyb>

	* ChangeLog, Makefile.am, configure.ac, dbg-file.inc,
	test/unit/.cvsignore, test/unit/Makefile.am,
	test/unit/test-fns.sh.in, test/unit/test-pre.sh.in: More unit tests.
	More ksh93 compatability.

2008-06-01  rockyb <rockyb>

	* builtin/.cvsignore, configure.ac, dbg-cmds.inc, dbg-fns.inc,
	dbg-hist.inc, dbg-list.inc, test/Makefile.am, test/sig.right,
	test/unit/.cvsignore, test/unit/Makefile.am, test/unit/shunit2,
	test/unit/test-fns.sh.in: START UNIT TESTS! Some code clean ups as I
	learn how to program bash a little better.

2008-05-27  rockyb <rockyb>

	* bashdb.in, builtin/Makefile.am, dbg-brk.inc, dbg-cmds.inc,
	dbg-edit.inc, dbg-fns.inc, dbg-help.inc, dbg-init.inc, dbg-io.inc,
	dbg-list.inc, dbg-main.inc.in, dbg-pre.inc.in, dbg-sig.inc,
	test/sig.right: Make more compatible with ksh93. Some work to
	separate builtins into their own directory.

2008-05-24  rockyb <rockyb>

	* doc/bashdb.texi: Small typos. Add the straight-quote in typewriter
	font.

2008-05-23  rockyb <rockyb>

	* Makefile.am, builtin/Makefile.am, readarray.c =>
	builtin/readarray.c, builtin/set0.c, configure.ac: Add new builtin
	set0 to set $0. Now that we have a couple of these, create a builtin
	directory.

2008-05-22  rockyb <rockyb>

	* configure.ac: Minor code changes

2008-05-22  rockyb <rockyb>

	* Makefile.am, configure.ac, getopt-test.sh: Add getopt long test to
	address #1915306 better.

2008-05-21  rockyb <rockyb>

	* bashdb.in, configure.ac: Bug in showing correct way to get help
	when short option is in effect. Bug reported by Josh May.

2008-05-17  rockyb <rockyb>

	* doc/bashdb.texi: e.g. -> e.g.@:

2008-04-15  rockyb <rockyb>

	* doc/bashdb.texi, test/setshow.cmd, test/setshow.right: Document
	set autoeval. Add autoeval test.

2008-04-12  rockyb <rockyb>

	* dbg-cmds.inc, dbg-fns.inc, dbg-help.inc, dbg-init.inc,
	dbg-set.inc, dbg-show.inc, test/complete.right, test/misc.right,
	test/sig.right: Add set autoeval like ruby-debug has.

2008-02-05  rockyb <rockyb>

	* bashdb-trace.in, bashdb.in, doc/bashdb.texi: Change info-dir entry
	as suggested in #1844025 . Some housekeeping.

2008-01-11  rockyb <rockyb>

	* emacs/Makefile.am: Don't give an error on "make check" if Emacs is
	not around.

2008-01-10  rockyb <rockyb>

	* doc/bashdb.texi: Remove redundancy.

2008-01-03  rockyb <rockyb>

	* Makefile.am, dbg-edit.inc: Add gdb's edit command.

2008-01-03  rockyb <rockyb>

	* dbg-brk.inc, dbg-cmds.inc, dbg-fns.inc, dbg-help.inc,
	dbg-main.inc.in, doc/bashdb.texi, test/sig.right: Add gdb's 'edit'
	command.

2007-12-01  rockyb <rockyb>

	* emacs/bashdb-test.el.in: Add a marker-filter test.

2007-11-30  rockyb <rockyb>

	* emacs/bashdb.el: Was creating duplicate buffers.

2007-11-26  rockyb <rockyb>

	* emacs/bashdb.el: Make sure we have emacs 22 or greater.

2007-11-25  rockyb <rockyb>

	* emacs/bashdb.el: Make a major mode for backtrace

2007-11-20  rockyb <rockyb>

	* emacs/bashdb.el: bashdb-goto-trace-line; to goto a trace line show
	in a shell in bashdbtrack.  Attempt to use define-minor-mode.  bashdb-bashdbtrack -> bashdbtrack for when we split off to another
	file.

2007-11-17  rockyb <rockyb>

	* emacs/bashdb.el: Set --annotate=3 which is what it is in gdba

2007-11-17  rockyb <rockyb>

	* emacs/bashdb.el: Add an advise function to hook into gud-reset.

2007-11-15  rockyb <rockyb>

	* emacs/bashdb.el: Make like the others (pydb and rdebug)

2007-11-14  rockyb <rockyb>

	* dbg-hist.inc: Use HISTSIZE environment variable.

2007-11-13  rockyb <rockyb>

	* test/run-watch2: .

2007-11-13  rockyb <rockyb>

	* test/sopts.right: Update sopts.

2007-11-13  rockyb <rockyb>

	* test/Makefile.am, test/{run-action => test-action}, test/{run-all
	=> test-all}, test/{run-brkpt => test-brkpt}, test/{run-brkpt1 =>
	test-brkpt1}, test/{run-bug-args => test-bug-args},
	test/{run-bug-source => test-bug-source}, test/{run-bugIFS =>
	test-bugIFS}, test/{run-command => test-command},
	test/{run-complete => test-complete}, test/{run-debug =>
	test-debug}, test/{run-display => test-display}, test/{run-finish
	=> test-finish}, test/{run-frame => test-frame},
	test/{run-interrupt => test-interrupt}, test/{run-list =>
	test-list}, test/{run-misc => test-misc}, test/{run-multi =>
	test-multi}, test/{run-opts => test-opts}, test/{run-parm =>
	test-parm}, test/{run-restart => test-restart}, test/{run-search =>
	test-search}, test/{run-setshow => test-setshow},
	test/{run-settrace => test-settrace}, test/{run-sig => test-sig},
	test/{run-skip => test-skip}, test/{run-subshell => test-subshell},
	test/{run-tbreak => test-tbreak}, test/{run-trace => test-trace},
	test/{run-watch1 => test-watch1}, test/test-watch2: run-* -> test-*
	to match other debuggers.

2007-11-13  rockyb <rockyb>

	* dbg-set.inc, test/Makefile.am, test/setshow.right: Had broke "set
	listsize"

2007-11-13  rockyb <rockyb>

	* test/Makefile.am: Don't need setshow-output.right?

2007-11-13  rockyb <rockyb>

	* dbg-set.inc, doc/bashdb.texi, test/Makefile.am, test/misc.cmd,
	test/misc.right, test/run-setshow, test/setshow.cmd,
	test/setshow.right, test/setshow.tests: Add set history commands and
	document that. Split off set/show testing from misc.

2007-11-12  rockyb <rockyb>

	* doc/bashdb.texi: Document --command and --exec-command.

2007-11-12  rockyb <rockyb>

	* bashdb-trace.in, bashdb.in: --command and --exec-command have same
	meaning as they do in gdb.

2007-11-12  rockyb <rockyb>

	* dbg-cmds.inc: Disable history manipulation. Need to figure out how
	to deal with adding "-" as a command.

2007-11-12  rockyb <rockyb>

	* dbg-cmds.inc, dbg-fns.inc, dbg-hist.inc, dbg-init.inc,
	dbg-show.inc, dbg-sig.inc, test/brkpt2.right, test/misc.right,
	test/run-misc, test/sig.right, test/watch1.right: Fix bug in
	displaying watch number.  Add/start "show history". .bashdb_hist now
	stores history.

2007-11-07  rockyb <rockyb>

	* test/settrace.right: See above

2007-11-07  rockyb <rockyb>

	* bashdb-trace.in, test/settrace.sh: Revert code for set_trace since
	alias doesn't work. Revise test to use both debugger and set_trace.

2007-11-07  rockyb <rockyb>

	* emacs/bashdb.el: Remove annotation lines in bashdbtrace.

2007-11-05  rockyb <rockyb>

	* emacs/bashdb.el: Improper breakpoint buffer string manipulation.

2007-11-05  rockyb <rockyb>

	* emacs/bashdb.el: Not all Emacs have split-string-and-unquote.

2007-11-05  rockyb <rockyb>

	* test/settrace.right, test/settrace.sh, test/sig.right: sig.right:
	was checking for previous erroneous stack entry behavior.
	settrace.*: convert set_trace to debugger. It does point out that
	the set_trace alias doesn't work properly though.

2007-11-05  rockyb <rockyb>

	* dbg-cmds.inc, dbg-stack.inc, emacs/bashdb.el: dbg-stack.inc: fix
	bug when stack adjustment offset given was not 2.  bashdb.el: stack
	buffer now uses fringe marker.  dbg-cmds.inc: bug in not showing
	stack buffer correctly after a stack-moving command. (In truth
	though this wasn't possible before because of the dbg-stack.inc bug)

2007-11-04  rockyb <rockyb>

	* emacs/bashdb.el: Revise/expand bashdb command documentation.

2007-11-04  rockyb <rockyb>

	* dbg-cmds.inc, emacs/bashdb-test.el.in, emacs/bashdb.el: Fix more
	bugs in new annotation mode. Stack tracks correctly now.  More field
	coloring, more tests.

2007-11-03  rockyb <rockyb>

	* emacs/bashdb-test.el.in, emacs/bashdb.el: bashdb.el: make
	bashdb-script-name more Lisp idiomatic. We also now parse the whther
	the --annotation option was given and only set multiple windows if
	that is set.  Use gud-target-name in annotation buffers and set gud-target-name in
	those buffers too.  bashdb-test.el.in: modify test of bashdb-script-name for new
	interface and to check whether --annotation was given.

2007-11-02  rockyb <rockyb>

	* emacs/bashdb.el: Code reorganized

2007-11-02  rockyb <rockyb>

	* emacs/bashdb.el: a little more DRY.

2007-11-02  rockyb <rockyb>

	* emacs/bashdb-test.el.in, emacs/bashdb.el: Parse all of the bashdb
	options. Delete gud buffer before rename if it is already there and
	use the short filename.  Clean up regression tests (run them all
	now) and add a couple more.

2007-11-02  rockyb <rockyb>

	* emacs/bashdb.el: A hacky way to get the current buffer to show the
	file name rather than '1' from "--annotate 1"

2007-10-30  rockyb <rockyb>

	* NEWS, THANKS, bashdb-trace.in: Dbg_set_trace -> Dbg_debugger more
	often. Thank Alberto Griggio. Note what's happened.

2007-10-30  rockyb <rockyb>

	* bashdb.in, emacs/bashdb.el: bashdb.in: correct long option
	"annotate" option bashdb.el: correct regexps for stack and
	breakpoint entries

2007-10-29  rockyb <rockyb>

	* bashdb-trace.in, bashdb.in, dbg-help.inc, dbg-show.inc,
	emacs/bashdb.el, test/brkpt2.right, test/bug-source.right,
	test/debug.right, test/finish.right, test/frame.right,
	test/misc.right, test/parm.right, test/sig.right,
	test/tbreak.right, test/watch1.right: annotate now takes an integer
	parameter.  bashdb-trace.in: bring in line with bashdb - add
	annotate

2007-10-29  rockyb <rockyb>

	* bashdb.in, configure.ac, dbg-cmds.inc, dbg-init.inc,
	emacs/bashdb.el, test/brkpt2.right, test/bug-source.right,
	test/debug.right, test/finish.right, test/frame.right,
	test/parm.right, test/sig.right, test/tbreak.right,
	test/watch1.right: Add "set/show annotate" and guda-like emacs
	support. Adds buffers for breakpoints and frames in addition to the
	source code and command buffers.

2007-10-27  rockyb <rockyb>

	* ChangeLog, NEWS: Small typo

2007-10-27  rockyb <rockyb>

	* test/run-bugIFS: Remove temporary file.

2007-10-27  rockyb <rockyb>

	* ChangeLog, INSTALL, NEWS, configure.ac, test/bugIFS.right,
	test/run-bugIFS: Get ready for 3.1 0.09 release. bugIFS: some OS's
	or bash versions report declare output as "declare --" and some
	"declare -x"

2007-10-14  rockyb <rockyb>

	* ChangeLog, Makefile.am, NEWS: Another install bug when
	$(DESTDIR)$(PKGDATADIR) = $(DESTDIR)$(PARENT_DIR:/=)

2007-10-14  rockyb <rockyb>

	* dbg-fns.inc, test/bugIFS.right: Bug when IFS was set. A couple of
	subshell commands in the debugger, in particluar the one setting the
	current filename was subject to the IFS value set in the debugged
	program. This could cause us to report the wrong filename.

2007-10-14  rockyb <rockyb>

	* ChangeLog, test/brkpt2.right, test/bug-source.right,
	test/debug.right, test/finish.right, test/frame.right,
	test/parm.right, test/sig.right, test/tbreak.right,
	test/watch1.right: line numbers again.

2007-10-14  rockyb <rockyb>

	* test/sig.right: Line #'s again.

2007-10-14  rockyb <rockyb>

	* ChangeLog, NEWS, test/brkpt2.right, test/bug-source.right,
	test/debug.right, test/finish.right, test/parm.right,
	test/tbreak.right: Line number changes.

2007-10-14  rockyb <rockyb>

	* bashdb.in, dbg-main.inc.in, test/brkpt2.right,
	test/bug-source.right, test/debug.right, test/finish.right,
	test/parm.right, test/sig.right, test/tbreak.right: Set prefix at
	run-time for cygwin. Line number change again.

2007-10-14  rockyb <rockyb>

	* Makefile.am: Replace := with = for portability.

2007-10-14  rockyb <rockyb>

	* ChangeLog, NEWS, cvs2cl_usermap, test/brkpt2.right,
	test/bug-source.right, test/debug.right, test/finish.right,
	test/frame.right, test/parm.right, test/sig.right,
	test/tbreak.right, test/watch1.right: test/*: bashdb added another
	line Go over in preparation of another release 3.1-0.09

2007-08-16  rockyb <rockyb>

	* Makefile.am: Add more ugliness. If we remove the bashdb directory,
	in adding a symlink, make sure we recopy pkgdata files.

2007-07-16  rockyb <rockyb>

	* bashdb.in: More explicit error message when we can't find the
	debugger directory.

2007-07-12  myamato <myamato>

	* emacs/Makefile.am: To irmpove portability use = instead of :=.

2007-07-12  myamato <myamato>

	* emacs/bashdb.el: Fix a typo in document strings.  Fix regexp used
	for finding "bashdb" in command-line.  Use `when' instead of `if'.
	Add documents about to `bashdb'.  Use lambda to pass command-line to
	gud-bashdb-massage-args.  Introduce `gud-bashdb-complete-command'
	that wraps `gud-gdb-complete-command'.  Set
	`bashdb-bashdbtrack-is-tracking-p' to nil as default value. This is
	temporary solution.  Use `bashdb-bashdbtrack-is-tracking-p' instead
	of `bashdb-bashdbtrack-minor-mode-string' as key for
	`minor-mode-alist'.

2007-06-27  rockyb <rockyb>

	* doc/bashdb.texi: Add info links in Eamcs section.

2007-05-14  rockyb <rockyb>

	* doc/Makefile.am, doc/bashdb.texi: Makefile.am: get PDF generation
	working again.  bashdb.texi: some typos and small fixups listing
	parameter on some commands.

2007-05-07  rockyb <rockyb>

	* TODO: Revise - note what --tty and tty command should be doing.
	Cross one thing off the list of remaining items. (Thanks to Matt
	Fleming.)

2007-04-28  rockyb <rockyb>

	* AUTHORS: Change email address.

2007-03-03  rockyb <rockyb>

	* dbg-cmds.inc, dbg-fns.inc, dbg-help.inc, dbg-set.inc, dbg-sig.inc: 
	Remove some "evil" eval commands that emacs 23 warns about.

2007-03-03  rockyb <rockyb>

	* test/sig.right: Lines have changed again.

2007-03-03  rockyb <rockyb>

	* NEWS, dbg-cmds.inc, dbg-help.inc, doc/bashdb.texi: Allow tilde,
	filename and variable expansion in the "cd" command for Poor Yarick.

2007-03-02  rockyb <rockyb>

	* dbg-sig.inc, emacs/bashdb.el: bashdb.el: remove use of free
	variable db-sig.inc: allow unbound variables - at least for now.

2007-03-02  rockyb <rockyb>

	* dbg-fns.inc: Typo

2007-03-02  rockyb <rockyb>

	* dbg-fns.inc: A tad nicer

2007-03-02  rockyb <rockyb>

	* dbg-fns.inc: Split file:line the POSIX way, _Dbg_split was failing
	under weird circumstances

2007-03-02  rockyb <rockyb>

	* dbg-brk.inc: Deal with some of the many undefined variable bugs.

2007-03-02  rockyb <rockyb>

	* doc/bashdb-man.pod: Typo caught by Yarik the Wise.

2007-03-01  rockyb <rockyb>

	* doc/bashdb.texi, emacs/bashdb-test.el.in, emacs/bashdb.el: 
	doc/bashdb.texi: Wrong order of title/info-name for info directory
	listing Thanks to Yaroslav the Wise for catching this.  emacs/*: allow a space in filenames which makes things nicer under
	Microsoft Windows. Add more stringent testing too. Thanks to DaveS.

2007-02-18  rockyb <rockyb>

	* bashdb.in, dbg-sig.inc, test/sig.right: More reduction of
	uninitialized variables.

2007-02-18  rockyb <rockyb>

	* NEWS: What's up.

2007-02-18  rockyb <rockyb>

	* dbg-cmds.inc, dbg-sig.inc, test/debug.right, test/sig.right: 
	Initialize more variables.

2007-02-18  rockyb <rockyb>

	* dbg-fns.inc: Initialize another variable.

2007-02-18  rockyb <rockyb>

	* dbg-brk.inc, dbg-cmds.inc, test/sig.right: Remove some more
	uninitialized variables.

2007-02-18  rockyb <rockyb>

	* dbg-brk.inc: Remove use of an uninitialized variable.

2007-02-17  rockyb <rockyb>

	* dbg-help.inc, dbg-hist.inc, dbg-init.inc, dbg-show.inc,
	test/misc.cmd, test/misc.right: show commands now allows an optional
	"+" or int parameter same as gdb.  A negative value is a start
	location. Add this to the help.

2007-02-17  rockyb <rockyb>

	* test/trace.tests: .

2007-02-15  rockyb <rockyb>

	* test/misc.right: Added linetrace delay.

2007-02-15  rockyb <rockyb>

	* dbg-help.inc, dbg-init.inc, dbg-set.inc, dbg-show.inc,
	dbg-sig.inc: Add linetrace delay

2007-02-13  rockyb <rockyb>

	* emacs/bashdb.el: Make file names on (temporary) breakpoints and
	clear include the directory name.

2007-02-11  rockyb <rockyb>

	* bashdb-trace.in, dbg-cmds.inc, dbg-fns.inc, dbg-set-d-vars.inc,
	dbg-sig.inc, doc/bashdb.texi, test/bugIFS.cmd, test/bugIFS.right,
	test/bugIFS.sh.in, test/sig.right: Set PS4 to a better value and
	make sure to restore it when going back into the user program. Also
	restore on quit. Likewise for other variables.

2007-02-11  rockyb <rockyb>

	* bashdb-trace.in: Typo.

2007-02-11  rockyb <rockyb>

	* bashdb-trace.in: ALlow _Dbg_debugger() as an alias for _Dbg_step()

2007-02-11  rockyb <rockyb>

	* ChangeLog, dbg-help.inc: Add help for debugger command "kill"

2007-02-03  rockyb <rockyb>

	* THANKS: Give credit where it is due.

2007-02-03  rockyb <rockyb>

	* test/.cvsignore: .

2007-02-03  rockyb <rockyb>

	* test/run-sig: Signals seem to be working on cygwin now

2007-02-03  rockyb <rockyb>

	* test/dbg-test1.sh: remove derived file

2007-02-03  rockyb <rockyb>

	* test/run-sig: Changes to make FreeBSD work.

2007-01-25  rockyb <rockyb>

	* ChangeLog, NEWS, configure.ac, dbg-cmds.inc, dbg-help.inc,
	dbg-init.inc, dbg-set.inc, dbg-show.inc, doc/bashdb-man.pod,
	doc/bashdb.texi, test/action.cmd, test/action.right,
	test/brkpt1.cmd, test/brkpt1.right, test/brkpt2.cmd,
	test/brkpt2.right, test/brkpt3.cmd, test/brkpt3.right,
	test/bug-args.cmd, test/bug-args.right, test/bug-source.cmd,
	test/bug-source.right, test/bugIFS.cmd, test/bugIFS.right,
	test/command.cmd, test/command.right, test/complete.cmd,
	test/complete.right, test/debug.cmd, test/debug.right,
	test/debug2.cmd, test/display.cmd, test/display.right,
	test/finish.cmd, test/finish.right, test/frame.cmd,
	test/frame.right, test/list.cmd, test/list.right,
	test/misc-output.right, test/misc.cmd, test/misc.right,
	test/multi1.cmd, test/multi1.right, test/multi2.cmd,
	test/multi2.right, test/multi3.cmd, test/multi3.right,
	test/multi4.cmd, test/multi4.right, test/parm.cmd, test/parm.right,
	test/prof1.cmd, test/prof2.cmd, test/quit.cmd, test/restart.cmd,
	test/restart.right, test/restart2.cmd, test/search.cmd,
	test/search.right, test/settrace.cmd, test/settrace.right,
	test/sig.cmd, test/sig.right, test/skip.cmd, test/skip.right,
	test/subshell1.cmd, test/subshell1.right, test/subshell2.cmd,
	test/subshell2.right, test/subshell3.cmd, test/subshell3.right,
	test/subshell4.cmd, test/tbreak.cmd, test/tbreak.right,
	test/watch1.cmd, test/watch1.right, test/watch2.cmd,
	test/watch2.right: Add set/show trace-commands to be compatible with
	gdb 6.6. Lots of output changed, but really not much else.

2007-01-23  rockyb <rockyb>

	* THANKS: How could I have let this slip for so long?

2007-01-20  rockyb <rockyb>

	* doc/bashdb-man.pod, doc/bashdb.texi: More doc fixes

2007-01-20  rockyb <rockyb>

	* doc/bashdb-man.pod: Remove --vtrace

2007-01-20  rockyb <rockyb>

	* ChangeLog, doc/bashdb.texi: bashdb.tex: more "set -x" reworking.

2007-01-20  rockyb <rockyb>

	* NEWS: Add date.

2007-01-20  rockyb <rockyb>

	* emacs/.cvsignore: Wasn't this committed already?

2007-01-20  rockyb <rockyb>

	* ChangeLog, emacs/Makefile.am: More things to make "make distcheck"
	work.

2007-01-20  rockyb <rockyb>

	* ChangeLog, configure.ac, emacs/Makefile.am, emacs/{bashdb-test.el
	=> bashdb-test.el.in}, test/Makefile.am, test/dbg-test1.sh: Things
	to make "make distcheck" work.

2007-01-20  rockyb <rockyb>

	* bashdb.in, configure.ac, doc/bashdb.texi, test/Makefile.am,
	test/{dbg-test1.sh => dbg-test1.sh.in}, test/list.right,
	test/search.right: Change to make "make distcheck" work.

2007-01-20  rockyb <rockyb>

	* ChangeLog, test/watch1.right: [no log message]

2007-01-20  rockyb <rockyb>

	* test/tbreak.right: .

2007-01-20  rockyb <rockyb>

	* ChangeLog, test/brkpt2.right, test/bug-source.right,
	test/debug.right, test/finish.right, test/frame.right,
	test/parm.right, test/sig.right: Line numbers changed bashdb 277 is
	now bashdb 275

2007-01-20  rockyb <rockyb>

	* configure.ac, doc/.cvsignore, test/misc.right: Get ready for
	3.1-0.08 release

2007-01-19  rockyb <rockyb>

	* ChangeLog, NEWS, bashdb.in, dbg-show.inc, doc/bashdb.texi: Note
	$PS4.

2007-01-19  rockyb <rockyb>

	* NEWS: What's new.

2007-01-04  rockyb <rockyb>

	* emacs/Makefile.am, emacs/bashdb-test.el, emacs/bashdb.el,
	emacs/elk-test.el: Tighten regulare expression and add 1st trivial
	emacs regression test.

2006-12-28  rockyb <rockyb>

	* doc/bashdb-man.pod: Typo.

2006-12-28  rockyb <rockyb>

	* dbg-cmds.inc, doc/Makefile.am, doc/bashdb-man.pod: 
	doc/bashdb-man.pod: Document -Y|--vtrace option. Make html/man
	customizations for links. Note unavailability of long options
	sometimes.  doc/Makefile: Remove Perlisms. This is not part of Perl dbg-cmds.inc: correct a comment

2006-12-27  rockyb <rockyb>

	* doc/bashdb.texi: Example program bugs. Perhaps at one time I was
	going to make use of these?

2006-12-26  rockyb <rockyb>

	* test/trace2.right: .

2006-12-26  rockyb <rockyb>

	* test/trace.right: Last change made better output.

2006-12-26  rockyb <rockyb>

	* dbg-list.inc: Don't linetrace if depth < 0; this removes that
	bashdb call lines.  Use last_command on string substitution, not source line. That way
	we don't have problems of mismatched quotes and such.  This is subtle, because the source line is what (not the command) is
	really what we want in showing location info.

2006-12-26  rockyb <rockyb>

	* test/brkpt2.right, test/bug-source.right, test/debug.right,
	test/finish.right, test/frame.right, test/parm.right,
	test/sig.right, test/tbreak.right, test/trace.right,
	test/watch1.right: Arg!!!

2006-12-26  rockyb <rockyb>

	* bashdb.in, dbg-list.inc: Add -Y --vtrace options in bashdb script.
	/dev/null error in expanding line.

2006-12-26  rockyb <rockyb>

	* test/brkpt2.right, test/bug-source.right, test/debug.right,
	test/finish.right, test/frame.right, test/misc.right,
	test/parm.right, test/sig.right, test/tbreak.right,
	test/trace.right, test/watch1.right: Output line numbers have
	changed yet again.

2006-12-26  rockyb <rockyb>

	* dbg-cmds.inc, dbg-init.inc, dbg-list.inc, dbg-set.inc,
	dbg-show.inc, test/Makefile.am, test/frame.cmd, test/frame.right,
	test/frame.tests, test/run-frame, test/sig.right: Add set linetrace
	full Check in frame tests.

2006-12-26  rockyb <rockyb>

	* doc/bashdb-man.pod: Make note of -X|Trace and --.

2006-12-26  rockyb <rockyb>

	* doc/bashdb.texi: Add footnote about undefined variables in
	debugger example section.

2006-12-24  rockyb <rockyb>

	* doc/bashdb.texi: Remove duplicate listing of "return" command.

2006-12-24  rockyb <rockyb>

	* doc/bashdb.texi: More small typos.

2006-12-23  rockyb <rockyb>

	* doc/bashdb.texi: Note we can use negative numbers in frame, up and
	down. Fix some weird grammar one problem caused by a weird texinfo
	formatting problem - easier to switch remove the formatting that
	figure out why texinfo mangled things.

2006-12-20  rockyb <rockyb>

	* test/sig.right: A different wrong

2006-12-20  rockyb <rockyb>

	* dbg-sig.inc, dbg-stack.inc, test/brkpt2.right: dbg-stack.inc:
	Allow negative numbers in up/down/frame. frame -1 means least-recent
	frame. Refactor to reduce duplication of code (and increase
	reliability).  dbg-sig.inc: there is still a bug in dbg-stack.in in showing the
	stack.  The old and new output are both slightly wrong, just a
	different wrong.

2006-12-20  rockyb <rockyb>

	* dbg-init.inc: Revert change a little. Dunno why it doesn't work.

2006-12-20  rockyb <rockyb>

	* dbg-init.inc: Simplfy regexp and add a signed int pattern.

2006-12-20  rockyb <rockyb>

	* dbg-brk.inc, dbg-list.inc, test/list.right: More refactoring and
	reduction of code via dynamic binding of local variables.

2006-12-19  rockyb <rockyb>

	* dbg-brk.inc, dbg-list.inc: Refactor list - and it adds stuff like
	the ability to list fns too.

2006-12-19  rockyb <rockyb>

	* dbg-brk.inc, test/list.right: Refactor a little to reduce
	redundancy. Much more is needed though.

2006-12-19  rockyb <rockyb>

	* dbg-brk.inc, dbg-list.inc: Info messages corrected.

2006-12-19  rockyb <rockyb>

	* dbg-brk.inc, dbg-file.inc, test/misc.right, test/sig.right: Do
	more in terms of trying to find a file by using pwd in addition to
	dbg_init_cwd.

2006-12-19  rockyb <rockyb>

	* ChangeLog, dbg-cmds.inc, dbg-help.inc: First crack at a "load"
	command.

2006-12-19  rockyb <rockyb>

	* doc/bashdb.texi: More wordsmithing regarding --.

2006-12-19  rockyb <rockyb>

	* dbg-brk.inc, dbg-fns.inc, dbg-list.inc, test/Makefile.am,
	test/bug-source.cmd, test/bug-source.right, test/bug-source.tests,
	test/run-bug-source: Files names coming from function
	line-specificiations should be read in. Debian Bug#403306:

2006-12-19  rockyb <rockyb>

	* dbg-io.inc: Was trying to access an uninitialized variable.

2006-12-19  rockyb <rockyb>

	* Makefile.am: bashdb-trace is *not* an install script!

2006-12-19  rockyb <rockyb>

	* doc/bashdb.texi, test/.cvsignore, test/bug-args.cmd,
	test/bug-args.right, test/bug-args.sh.in, test/bug-args.tests: When
	running bashdb we need -- to indicate where to stop bashdb options
	processing. Document this and test for it.

2006-12-12  rockyb <rockyb>

	* Makefile.am: Forgot to install bashdb-trace

2006-12-12  rockyb <rockyb>

	* test/misc.right: .

2006-12-12  rockyb <rockyb>

	* ChangeLog, configure.ac, dbg-help.inc, dbg-show.inc,
	test/Makefile.am, test/misc.right: Wasn't giving "set/show
	linetrace" in help output.  configure.ac: In CVS again,

2006-12-11  rockyb <rockyb>

	* doc/bashdb.texi: If I did things right, Oleksandr Moskalenko says
	this is what works for Debian.

2006-12-10  rockyb <rockyb>

	* doc/bashdb.texi: linespec -> line-specification.

2006-12-10  rockyb <rockyb>

	* ChangeLog, NEWS, configure.ac, test/Makefile.am,
	test/{bug-args.sh => bug-args.sh.in}, test/hanoi.sh.in: bug-args.sh:
	More consistent with other tests of this ilk

2006-12-03  rockyb <rockyb>

	* test/command.cmd, test/command.right: There's a bug lurking
	somewhere in command variable expansion. Put for now.

2006-12-03  rockyb <rockyb>

	* ChangeLog, NEWS, test/sig.right: sig.right: line numbers have
	shifted around again.

2006-12-03  rockyb <rockyb>

	* configure.ac, dbg-cmds.inc, test/interrupt.sh.in,
	test/watch2.right: dbg-cmds.inc: Changes mostly for cygwin. Cygwin
	doesn't have /dev/stdin. It does have block (at least via bash) the
	special character test -c.  interrupt.sh.in: put in getting this test working for now.  test/watch2.right: Should be echoing debugger commands? I may
	reverse this later as what the "right" output should be. Dunno.

2006-12-03  rockyb <rockyb>

	* ChangeLog, NEWS: The usual.

2006-12-03  rockyb <rockyb>

	* configure.ac: We should have made the 0.7cvs a while ago.

2006-12-03  rockyb <rockyb>

	* ChangeLog, NEWS, bashdb.in, configure.ac: Add --enable-getopt
	option to disable GNU getopt for systems that have non-GNU getopt
	like NetBSD.

2006-12-03  rockyb <rockyb>

	* Makefile.am, NEWS: .

2006-11-30  rockyb <rockyb>

	* test/sig.right, test/watch2.cmd, test/watch2.right: Fix up output.
	watch2.cmd was relying on a previous bug!

2006-11-29  rockyb <rockyb>

	* dbg-sig.inc, test/Makefile.am, test/bug-args.cmd,
	test/bug-args.right, test/bug-args.sh, test/bug-args.tests,
	test/run-bug-args: Fix bug when $1, $2, etc. are reduced such as
	when shift'ed.

2006-11-02  rockyb <rockyb>

	* doc/Makefile.am, doc/bashdb.texi, doc/copyright.texi: Address
	Debian legal concerns, yet again.  Actually it is Oleksandr
	Moskalenko who did all the heavy lifting. Send thanks (or gripes) to
	him.

2006-11-01  rockyb <rockyb>

	* README: Revise to reflect current changes over the years.

2006-10-08  rockyb <rockyb>

	* doc/bashdb.texi: Small typos.

2006-10-03  rockyb <rockyb>

	* test/.cvsignore, test/run-interrupt: See above

2006-10-03  rockyb <rockyb>

	* NEWS, bashdb-trace.in, configure.ac, test/Makefile.am,
	test/interrupt.right, test/interrupt.sh.in, test/interrupt.tests: 
	Add an interrupt test

2006-10-03  rockyb <rockyb>

	* doc/bashdb.texi: Hack on new program-controlled debugger sections
	some more.

2006-10-03  rockyb <rockyb>

	* bashdb-trace.in, doc/bashdb.texi: Document behavior. Fix bug in
	signal handling.

2006-10-03  rockyb <rockyb>

	* bashdb-trace.in, test/hanoi.sh.in: Document linetrace on/off at
	least as comments to the routines.  Add a routine to set debugger
	signal handling.

2006-09-17  rockyb <rockyb>

	* doc/bashdb.texi: We don't yet allow signal ranges or "all" like
	gdb does.

2006-09-06  rockyb <rockyb>

	* NEWS: Note "kill".

2006-09-06  rockyb <rockyb>

	* dbg-complete.inc: Add new debugger commands "signal" and "kill" to
	list of completion words.

2006-09-06  rockyb <rockyb>

	* dbg-cmds.inc, doc/bashdb.texi, test/run-sig, test/sig.cmd,
	test/sig.right: Add "kill" command.

2006-09-06  myamato <myamato>

	* readarray.c: (read_array): Initialize `line_count' to 0 and Don't increment
	`line_count_goal' in if-condition. Instead check `line_count' is
	non-zero before calling `run_callback'.

2006-09-06  myamato <myamato>

	* test/check_common.in: (check_output): Remove unnecessary output hacking with sed.

2006-09-06  rockyb <rockyb>

	* readarray.c: Basically revert to version 1.17. line_count_goal is
	the number of lines to read, not the last line number.

2006-09-04  rockyb <rockyb>

	* readarray.c: Test for number of lines to read didn't account for
	non-zero offsets. Thanks to Masatake for catching.

2006-09-04  rockyb <rockyb>

	* readarray.c: Remove unnecessary test.

2006-09-04  rockyb <rockyb>

	* doc/bashdb.texi: Go over the signal command doc and make
	subsections for "handle, info handle" and "signal".

2006-09-03  rockyb <rockyb>

	* NEWS, bashdb.in: bashdb.in: bug in handling --trace NEWS: note
	gdb-like signal command

2006-09-03  rockyb <rockyb>

	* dbg-cmds.inc, dbg-help.inc, dbg-io.inc, dbg-sig.inc,
	doc/bashdb.texi, readarray.c, test/sig.cmd, test/sig.right: 
	readarray.c: off-by one error. Was running callback on first read.
	Add gdb-like signal command.

2006-08-26  myamato <myamato>

	* readarray.c: Support cygwin again. Accept non seek-able file
	 descriptor.  (get_line): Rename `zreadlinec'. Added new argument
	`unbuffered_read'. Use `zread' if `unbuffered_read' is non zero.  (GET_LINE_INITIAL_ALLOCATION): Renamed from
	`ZREADLINE_INITIAL_ALLOCATION'.  (read_array): Added new local variable `unbuffered_read'.  Call
	zsyncfd only if `unbuffered_read' is zero.  (readarray_doc): Updated.

2006-08-23  rockyb <rockyb>

	* readarray.c: Revise "help readarray".

2006-08-23  myamato <myamato>

	* readarray.c: Rename `ZREADLINE_INITIAL_ALLOCATION' to
	`ZREADLINEC_INITIAL_ALLOCATION' (readarray_doc, readarray_struct): Updated documents.

2006-08-22  myamato <myamato>

	* readarray.c: Add comment for `zreadlinec'.  (zreadlinec): Don't use g_return_val_if_fail.  (read_array): Rename `arrayname' to `array_name'.  Don't call
	`make_new_array_variable` and `convert_var_to_array' here.  Don't
	call `zsyncfd' before calling `zreadlinec' but call it after
	`zreadlinec'.  Use `bind_array_variable'.  (readarray_builtin): Return error if __CYGWIN__ is defined.  Check
	`fd' is seek-able or not.  Check `array_name' with
	`valid_array_reference'.  (readarray_doc): Update documents.

2006-08-22  myamato <myamato>

	* test/check_common.in: Trim progress bar output printed by
	readarray's callback.

2006-08-21  myamato <myamato>

	* readarray.c: Don't include filecntl.h, string.h, and chartypes.h.
	Include common.h and bashintl.h.  (zreadlinec): Separate variable declarations and initializations.
	Use xrealloc and xmalloc.  (run_callback): New function.  (do_chop): New function.  (munge_list): Removed.  (read_array): Rename many local variables. Use xfree, do_chop,
	run_callback.  (readarray_builtin): Remove `munge_list'. Rename local variable
	`line' to `lines'. Use _() for the future merging to bash.  (readarray_doc): Updated.  (readarray_struct): Updated.

2006-08-21  myamato <myamato>

	* dbg-io.inc, readarray.c: * dbg-io.inc(_Dbg_readin) Don't pass input file name to read line.
	Use redirection instead.  * readarray.c (readarray_builtin): Use fd instead of fp. Added -u
	option.  Remove `rval' local variable.  (read_array): Use zreadlinec and zsyncfd.  (zreadlinec): Renamed from getline.

2006-08-21  myamato <myamato>

	* readarray.c: (readarray_builtin): Rename local variables. Prefix `i_' is removed.
	Separate variable declarations and initialization. Switch the
	indentation style to GNU. Call legal_identifier to check the
	variable.

2006-08-21  myamato <myamato>

	* readarray.c: (readarray_builtin): Added filename, arrayname, code and intval as
	new local variables. Use legal_number instead of atoi. Check if
	filename or arrayname is not an empty string.

2006-08-21  myamato <myamato>

	* test/multi2.tests: ($BASH): Fix a typo.

2006-08-20  myamato <myamato>

	* readarray.c: (readarray_builtin): Remove unnecessary `;'.

2006-08-19  myamato <myamato>

	* readarray.c: (DEFAULT_PROGRESS_QUANTUM): New constant.  (readarray_builtin): Use the constant.  (read_array): Rename `i' and `j' to `array_index' and `line_count'.
	Initialize `line_count', formally named as `j'; and increment it in
	the loop condition. Remove const modifier from `execlen'. This
	causes a syntax error.

2006-08-18  myamato <myamato>

	* readarray.c: (read_array): Rename `i_len', a local variable in anonymous {} to
	`execlen'. Allocate `psz_exec' two bytes larger.

2006-08-15  myamato <myamato>

	* readarray.c: (read_array): Rename `j', a local variable to `length'.

2006-08-15  myamato <myamato>

	* readarray.c: (read_array): Use i_count only if it is not 0.  (readarray_builtin): Initialize i_line with 0. Don't initialize it
	with 100000.  (readarray_doc): Update documentation.

2006-08-15  myamato <myamato>

	* autogen.sh: Run autoheader

2006-08-15  myamato <myamato>

	* readarray.c: Fix typos in builtin readarray_struct.

2006-08-03  rockyb <rockyb>

	* dbg-io.inc:  dbg-io.inc: Put BASH_EXECUTION_STRING to ${source_array}[0], not
	 [1].  Patch yet again courtesy of Masatake YAMATO.

2006-08-02  rockyb <rockyb>

	* emacs/bashdb.el: pydbtrack -> bashdbtrack. Thanks to Masatake
	YAMATO for noticing the problem and making the patch.

2006-07-31  rockyb <rockyb>

	* dbg-sig.inc: Remove duplicate SIGLL setup.

2006-07-27  rockyb <rockyb>

	* emacs/bashdb.el: One more fix from Masatake YAMATO - see previous
	commit.

2006-07-27  rockyb <rockyb>

	* emacs/bashdb.el: emacs/bashdb.el   (bashdb-bashdbtrack-overlay-arrow): Don't set value to pos.    Fix a typo.    (bashdb-bashdbtrack-track-stack-file): Put target_buffer to let*'s
	  variable list.  Changes from Masatake YAMATO. Thanks!

2006-07-23  rockyb <rockyb>

	* doc/bashdb.texi: Another grammar mistake.

2006-07-23  rockyb <rockyb>

	* ChangeLog, doc/bashdb.texi: Corrections and elaboration on need
	and use of set_trace.

2006-07-22  rockyb <rockyb>

	* Makefile.am: Forgot to install bashdb-trace.

2006-07-22  rockyb <rockyb>

	* doc/bashdb.texi: URL typo.

2006-07-21  rockyb <rockyb>

	* configure.ac: [no log message]

2006-07-21  rockyb <rockyb>

	* configure.ac: Update address.

2006-07-21  rockyb <rockyb>

	* ChangeLog, NEWS, configure.ac: Get ready for 0.06 release

2006-07-21  rockyb <rockyb>

	* test/bugIFS.sh.in: More general substitition for BASH.

2006-07-21  rockyb <rockyb>

	* bashdb-trace.in: -nx -> --nx and minor changes. Sync better with
	bashdb.in

2006-07-18  rockyb <rockyb>

	* NEWS, doc/bashdb.texi: GO over doc for new commands as well as
	complete old ones better.

2006-07-18  rockyb <rockyb>

	* ChangeLog, test/hanoi.sh.in, test/settrace.sh: Change to make
	build outside of source tree (make distcheck) work.

2006-07-17  rockyb <rockyb>

	* bashdb-trace.in, test/hanoi.sh.in, test/settrace.cmd,
	test/settrace.right, test/settrace.sh: Get settrace working when
	called other than the first time.

2006-07-17  rockyb <rockyb>

	* ChangeLog, test/settrace.right, test/settrace.sh,
	test/settrace.tests, test/trace.right, test/trace2.right,
	test/trace2.tests: Fixes to get building out of source tree (make
	distcheck) working better.

2006-07-16  rockyb <rockyb>

	* test/run-settrace: [no log message]

2006-07-16  rockyb <rockyb>

	* ChangeLog, Makefile.am: Makefile.am: Add dbg-command.inc

2006-07-16  rockyb <rockyb>

	* NEWS: [no log message]

2006-07-16  rockyb <rockyb>

	* test/Makefile.am, test/settrace.cmd, test/settrace.right,
	test/settrace.sh, test/settrace.tests: Add test of set_trace

2006-07-16  rockyb <rockyb>

	* dbg-fns.inc, dbg-info.inc, dbg-init.inc, dbg-sig.inc,
	test/brkpt2.cmd, test/brkpt2.right, test/brkpt3.right,
	test/run-brkpt, test/sig.right: More detail in "info program".
	Reinstate brkpt3 test since bash bug seems to have been fixed.

2006-07-13  rockyb <rockyb>

	* dbg-brk.inc, dbg-cmds.inc, test/tbreak.cmd, test/tbreak.right: 
	Don't try to step/next/continue if the program's not running.

2006-07-13  rockyb <rockyb>

	* NEWS, dbg-info.inc, test/tbreak.cmd, test/tbreak.right: Don't try
	to give line number when program is not running.

2006-07-13  rockyb <rockyb>

	* ChangeLog, bashdb-trace.in, dbg-info.inc, dbg-init.inc,
	dbg-sig.inc, dbg-stack.inc, test/misc-output.right,
	test/misc.right, test/tbreak.cmd, test/tbreak.right: Note state of
	debugging program. Add info program.  Don't try to show stack when
	we are not running the program.

2006-07-04  rockyb <rockyb>

	* NEWS: More fexible and more general output by no longer assuming
	we write to sys.stdout. Rather the output object is saved in the
	instance variable, which could be and often is the same as
	sys.stdout, but doesn't need to be. This change may make
	communication used in remote debugging and thread debugging simpler.
	Many thanks to Matt Flemming for the patch.

2006-07-04  rockyb <rockyb>

	* dbg-complete.inc: Add "commands" to completion list.

2006-06-18  rockyb <rockyb>

	* test/command.cmd, test/command.right: A more stringent "command"
	test.

2006-06-13  rockyb <rockyb>

	* dbg-brk.inc, dbg-cmds.inc, dbg-commands.inc, dbg-complete.inc,
	dbg-help.inc, dbg-hist.inc, dbg-info.inc, dbg-list.inc,
	dbg-log.inc, dbg-set.inc, dbg-show.inc, dbg-sig.inc, dbg-stack.inc,
	test/sig.right: _Dbg_cmd_... -> _Dbg_do_... so as to make look more
	like the Python debugger.  (I get confused easily.)

2006-06-11  rockyb <rockyb>

	* NEWS, dbg-cmds.inc, dbg-commands.inc, dbg-sig.inc,
	test/Makefile.am, test/command.cmd, test/command.right,
	test/command.tests, test/run-command, test/sig.right: Add gdb
	"commands" command: runs debugger commands at a given breakpoint.

2006-06-08  rockyb <rockyb>

	* dbg-cmds.inc, dbg-main.inc.in, test/sig.right: Move closer towards
	getting the "commands" debugger command working.

2006-06-03  rockyb <rockyb>

	* dbg-cmds.inc, test/sig.right: A small bit of alphabetization.

2006-06-03  rockyb <rockyb>

	* dbg-cmds.inc, test/sig.right: Small comment fix.

2006-06-03  rockyb <rockyb>

	* dbg-cmds.inc, test/sig.right, test/watch1.right: dbg-cmds.inc:
	remove globals _Dbg_cmd and _Dbg_args. _Dbg_args -> args.

2006-06-03  rockyb <rockyb>

	* dbg-cmds.inc, dbg-info.inc, dbg-stack.inc, test/sig.right,
	test/watch1.right: Break out command that gets run inside
	interactive loop so we can use it possibly in a gdb "commands"
	(execute debugger commands on breakpoint) command.

2006-05-27  rockyb <rockyb>

	* ChangeLog, dbg-brk.inc, dbg-sig.inc: _brkpt_ -> _Dbg_brkpt_ as it
	should have been.

2006-04-10  rockyb <rockyb>

	* doc/bashdb.texi: Add example of using linetrace option -X Expand
	Emacs section. List commands that be used in the source script
	buffer.

2006-04-10  rockyb <rockyb>

	* emacs/bashdb.el, test/misc.right: Minor help string changes.

2006-04-10  rockyb <rockyb>

	* NEWS, dbg-info.inc, doc/bashdb.texi: Attempt to get documentation
	on GNU Emacs section in order. Describe bashdbtrack. Minor doc
	changes in info help.

2006-04-10  rockyb <rockyb>

	* test/action.tests, test/hanoi.sh.in, test/trace.tests,
	test/trace2.tests: Changes to make "make distcheck" work better. Not
	perfect, but better.

2006-04-10  rockyb <rockyb>

	* bashdb-trace.in, bashdb.in, test/Makefile.am, test/action.tests,
	test/brkpt2.right, test/debug.right, test/finish.right,
	test/hanoi.sh.in, test/parm.right, test/run-trace, test/sig.right,
	test/tbreak.right, test/trace.right, test/trace.tests,
	test/trace2.right, test/trace2.tests, test/watch1.right: Add
	program-control linetrace test (trace2) Set line tracing to not
	enter debugger on quit.

2006-04-09  rockyb <rockyb>

	* test/Makefile.am: Add line-trace regression test.

2006-04-09  rockyb <rockyb>

	* test/Makefile.am: .

2006-04-09  rockyb <rockyb>

	* test/Makefile.am, test/run-trace, test/trace.right,
	test/trace.tests: Add linetrace test

2006-04-09  rockyb <rockyb>

	* doc/bashdb.texi: _Dbg_set_trace now needs a null statement
	afterwards, i.e. "; :"

2006-04-09  rockyb <rockyb>

	* test/watch1.right: .

2006-04-09  rockyb <rockyb>

	* .cvsignore, test/.cvsignore: .

2006-04-09  rockyb <rockyb>

	* NEWS, bashdb.in, configure.ac, dbg-init.inc, test/Makefile.am,
	test/brkpt2.right, test/debug.right, test/finish.right,
	test/hanoi.sh.in, test/hanoitest.sh.in, test/parm.right,
	test/sig.right, test/tbreak.right: Add line tracing command-line
	option in bashdb: -X, and long option --trace Executing a string (option -c or --command) shows the command to be
	run in the call stack.

2006-04-08  rockyb <rockyb>

	* test/finish.right: Remove the weirdness with set_trace where we
	had to add additional null statements.

2006-04-08  rockyb <rockyb>

	* bashdb.in, dbg-init.inc, doc/bashdb.texi, test/brkpt2.right,
	test/debug.right, test/finish.right, test/parm.right,
	test/sig.right, test/tbreak.right, test/watch1.right: Remove the
	weirdness with set_trace where we had to add additional null
	statements.

2006-04-06  rockyb <rockyb>

	* test/skip.cmd, test/skip.right: .

2006-04-06  rockyb <rockyb>

	* test/subshell3.right: subshell3.right

2006-04-06  rockyb <rockyb>

	* ChangeLog, NEWS, TODO, configure.ac, dbg-cmds.inc,
	doc/bashdb.texi, test/action.cmd, test/action.right,
	test/brkpt1.cmd, test/brkpt1.right, test/brkpt2.cmd,
	test/brkpt2.right, test/brkpt3.cmd, test/bugIFS.cmd,
	test/bugIFS.right, test/complete.cmd, test/complete.right,
	test/continue.cmd, test/debug.cmd, test/debug.right,
	test/debug2.cmd, test/display.cmd, test/display.right,
	test/finish.cmd, test/finish.right, test/list.cmd, test/list.right,
	test/misc.cmd, test/misc.right, test/multi1.cmd, test/multi1.right,
	test/multi2.cmd, test/multi2.right, test/multi3.right,
	test/multi4.right, test/parm.cmd, test/parm.right, test/prof1.cmd,
	test/prof2.cmd, test/quit.cmd, test/restart.cmd,
	test/restart.right, test/restart2.cmd, test/search.cmd,
	test/search.right, test/sig.cmd, test/sig.right, test/skip.right,
	test/subshell1.cmd, test/subshell1.right, test/subshell2.cmd,
	test/subshell2.right, test/subshell3.cmd, test/tbreak.cmd,
	test/tbreak.right, test/watch1.cmd, test/watch1.right,
	test/watch2.cmd, test/watch2.right: configure.ac: now in 0.06cvs.
	bashdb.texi: small changes rest: When sourcing a debugger command
	file we now show the debugger command before running it.

2006-04-06  rockyb <rockyb>

	* dbg-init.inc, dbg-list.inc, dbg-set.inc, dbg-sig.inc,
	dbg-stack.inc, doc/bashdb.texi: bashdb.texi: Go over sample session
	to elaborate on subshells and showing multi-statement lines. Add
	linetrace sessoin *.inc: linetrace output is no longer the same as step output. We
	show level, subshell and depth now.

2006-04-05  rockyb <rockyb>

	* bashdb.in, configure.ac, readarray.c, test/run-multi,
	test/run-sig, test/run-subshell: Changes to make work on Solaris and
	it's lesser /bin/sh.

2006-04-05  rockyb <rockyb>

	* test/brkpt2.right, test/debug.right, test/finish.right,
	test/parm.right, test/sig.right, test/tbreak.right,
	test/watch1.right: Line numbers have changed.

2006-04-04  rockyb <rockyb>

	* ChangeLog, Makefile.am, bashdb-trace.in, bashdb.in, configure.ac,
	dbg-sig.inc, doc/bashdb.texi, test/Makefile.am,
	test/hanoitest.sh.in: Add set_linetrace, and ability to call from
	script. Document.  dbg-sig.inc: Correct line-tracing variable

2006-03-25  rockyb <rockyb>

	* ChangeLog, NEWS, configure.ac: Get ready for 3.1-0.05 release

2006-03-20  rockyb <rockyb>

	* doc/bashdb.texi: Document some of the set/show logging commands.

2006-03-20  rockyb <rockyb>

	* Makefile.am, NEWS, dbg-brk.inc, dbg-cmds.inc, dbg-complete.inc,
	dbg-help.inc, dbg-init.inc, dbg-io.inc, dbg-log.inc,
	dbg-main.inc.in, dbg-set.inc, dbg-show.inc, dbg-sig.inc,
	doc/bashdb-man.pod, doc/bashdb.texi, test/misc.right,
	test/sig.right: Add gdb-style set/show logging.  Break debugger out
	into more files: dbg-log.inc and dbg-show.inc Email address
	regularization.

2006-03-19  rockyb <rockyb>

	* ChangeLog, Makefile.am, configure.ac, dbg-cmds.inc,
	dbg-complete.inc, dbg-main.inc.in, test/run-watch1,
	test/watch1.tests: dbg-complete.inc dbg-main.inc.in: move command
	completion code to a separate file configure.ac: Makefile.am: BASHDB_MAIN wasn't getting set correctly
	Makefile.am: fix various shell quoting problems test/watch1.*: make it work for "make distcheck" (or VPATH, or build
	outside of source tree)

2006-03-19  rockyb <rockyb>

	* test/sig.right: .

2006-03-19  rockyb <rockyb>

	* test/complete.cmd, test/complete.right: Add more completion tests

2006-03-19  rockyb <rockyb>

	* dbg-cmds.inc, dbg-help.inc, dbg-info.inc, test/sig.right: Add
	subcommand completion for set, info and show.

2006-03-19  rockyb <rockyb>

	* emacs/bashdb.el: Be able to turn bashdb tracking on and off.

2006-03-16  rockyb <rockyb>

	* emacs/bashdb.el: Allow tab to be completion.

2006-03-15  rockyb <rockyb>

	* doc/bashdb.texi: small doc fix

2006-03-15  rockyb <rockyb>

	* ChangeLog, NEWS, doc/bashdb.texi, test/complete.cmd,
	test/complete.right: bashdb.texi: document "complete" test/* add
	another "complete" test

2006-03-15  rockyb <rockyb>

	* dbg-cmds.inc, test/Makefile.am, test/complete.cmd,
	test/complete.right, test/complete.tests, test/run-complete,
	test/sig.right: Add "complete" command.

2006-03-15  rockyb <rockyb>

	* .cvsignore: .cvsignore

2006-03-15  rockyb <rockyb>

	* configure.ac: More 3.1 substitutions. Wrong GPL text.

2006-03-14  rockyb <rockyb>

	* configure.ac: Make sure we find bash 3.1 exactly.

2006-03-12  rockyb <rockyb>

	* config.h.in: config.h.in is derived

2006-03-12  rockyb <rockyb>

	* dbg-file.inc, dbg-info.inc, dbg-io.inc, test/brkpt2.right,
	test/parm.right, test/sig.right: "info source"  shows number of
	lines in file and looks a little more like gdb.

2006-03-12  rockyb <rockyb>

	* emacs/bashdb.el: minor corrections to bashbtrack

2006-03-12  rockyb <rockyb>

	* emacs/bashdb.el: minor fixes to bashdbtrack

2006-03-12  rockyb <rockyb>

	* emacs/bashdb.el: Add tracking of source inside comint shell. Code
	from python's pdbtrack used.

2006-03-09  rockyb <rockyb>

	* dbg-cmds.inc: .

2006-03-09  rockyb <rockyb>

	* dbg-brk.inc, dbg-cmds.inc, dbg-sig.inc, doc/bashdb.texi,
	test/brkpt2.right, test/misc.cmd, test/misc.right, test/sig.right,
	test/watch1.cmd, test/watch1.right: bashdb.texii, dbg-cmds.inc: Add
	cd and pwd commands.  dbg-sig.inc: Fix bug in watch expression when
	variable is not set

2006-02-18  rockyb <rockyb>

	* ChangeLog, configure.ac, emacs/bashdb.el: configure.ac: In 0.05cvs
	now emacs/bashdb.el: tidy up a little bit.

2006-02-18  rockyb <rockyb>

	* test/bugIFS.tests: Fix breakage of VPATH patch; allow to run
	standalone

2006-02-18  rockyb <rockyb>

	* .cvsignore, config.h.in, configure.ac, emacs/bashdb.el,
	test/Makefile.am, test/bugIFS.tests, test/run-multi, test/run-skip,
	test/run-subshell: Patches from Eric Blake to make a VPATH build (in
	a CVS tree, do: mkdir build; cd build; ../configure; make; make
	check).

2006-02-01  rockyb <rockyb>

	* emacs/bashdb.el: "toggle" changes linetrace, not "trace"

2006-02-01  rockyb <rockyb>

	* dbg-init.inc, dbg-set.inc, emacs/bashdb.el, test/misc.right: Misc
	fixes.

2006-02-01  rockyb <rockyb>

	* ChangeLog, dbg-cmds.inc, dbg-help.inc, dbg-init.inc, dbg-set.inc,
	dbg-sig.inc, emacs/bashdb.el, test/brkpt2.right, test/debug.right,
	test/finish.right, test/misc.right, test/parm.right,
	test/sig.right, test/sopts.tests, test/tbreak.right: Add set/show
	linetrace emacs/bashdb.el: add lots of menu functions. remove stepi.
	_trace_ -> _Dbg_trace

2006-01-30  rockyb <rockyb>

	* bashdb.in: Some small bugs in options processing and help
	reporting.

2006-01-30  rockyb <rockyb>

	* test/Makefile.am, test/continue.cmd, test/lopts.right,
	test/lopts.tests, test/quit.cmd, test/run-opts, test/sopts.right,
	test/sopts.tests: Add options processing tests.

2006-01-29  rockyb <rockyb>

	* emacs/bashdb.el, test/brkpt2.right, test/debug.right,
	test/finish.right, test/parm.right, test/sig.right,
	test/tbreak.right: bashdb.el: add numeric counts.  test: line
	numbers changed again.

2006-01-29  rockyb <rockyb>

	* bashdb.in: Allow -nx for -n

2006-01-29  rockyb <rockyb>

	* test/brkpt2.right, test/debug.right, test/finish.right,
	test/parm.right, test/sig.right, test/tbreak.right: Line numbers
	have changed in bashdb.

2006-01-29  rockyb <rockyb>

	* bashdb.in: Remove testing #!/bin/bash

2006-01-29  rockyb <rockyb>

	* README, bashdb.in: A couple more small typos.

2006-01-29  rockyb <rockyb>

	* bashdb.in: Make a couple of options longer and note they can be
	abbreviated.

2006-01-29  rockyb <rockyb>

	* bashdb.in, test/brkpt2.right, test/debug.right,
	test/finish.right, test/parm.right, test/sig.right,
	test/tbreak.right: Change bashdb to use long options if getopt is
	around.  bashdb now accepts --debugger to be compatible with bash
	--debugger.

2006-01-29  rockyb <rockyb>

	* emacs/bashdb.el: Don't add --debugger if we are invoking via
	bashdb.

2006-01-23  rockyb <rockyb>

	* configure.ac: Proper way to make sure bashdb is executable?

2006-01-18  rockyb <rockyb>

	* README, configure.ac: Small doc change

2006-01-18  rockyb <rockyb>

	* configure.ac: Small comment/doc changes

2006-01-18  rockyb <rockyb>

	* INSTALL: Do not need relative path for --with-bash-source

2006-01-18  rockyb <rockyb>

	* INSTALL: Need only headers not compiled source

2006-01-18  rockyb <rockyb>

	* doc/bashdb.texi: rebash->bash.

2006-01-18  rockyb <rockyb>

	* doc/bashdb.texi: Another macro-related problem addressed.

2006-01-18  rockyb <rockyb>

	* INSTALL: Update installation instructions for --with-bash and
	--with-bash-source.

2006-01-18  rockyb <rockyb>

	* doc/bashdb.texi: Add info about "set debugger", "set basename".
	Fix a number of little HTML problems.

2006-01-18  rockyb <rockyb>

	* dbg-set.inc, test/multi2.cmd, test/subshell4.cmd: Allow 0/1 for
	off and on respectively as gdb (now?) does.

2006-01-16  rockyb <rockyb>

	* ChangeLog: [no log message]

2006-01-16  rockyb <rockyb>

	* NEWS: Note bashdb doc change motivated by Manfred Tremmel.

2006-01-11  rockyb <rockyb>

	* configure.ac: Get ready for another release.

2006-01-11  rockyb <rockyb>

	* .cvsignore, ChangeLog, NEWS: Minor administrative changes.

2006-01-11  rockyb <rockyb>

	* emacs/.cvsignore: elc-stamp seems to be used in makeing *.elc

2006-01-11  rockyb <rockyb>

	* emacs/Makefile.am: Install elc file.

2006-01-05  rockyb <rockyb>

	* Makefile.am: We don't have patches for 3.1 (yet).

2006-01-05  rockyb <rockyb>

	* configure.ac: This is for bash 3.1 not 3.00

2006-01-04  rockyb <rockyb>

	* configure.ac: Test for getline() in order to make readarray

2006-01-04  rockyb <rockyb>

	* test/run-sig: Note why we've disabled on Cygwin.

2006-01-04  rockyb <rockyb>

	* test/misc.right, test/run-misc: Canonicalize output from "info
	args"

2006-01-04  rockyb <rockyb>

	* test/run-sig: SIGnals on CYGwin seem to be different. So skip this
	test.

2006-01-04  rockyb <rockyb>

	* test/misc-output.right: Output had extraneous blank line which was
	recently fixed.

2006-01-04  rockyb <rockyb>

	* dbg-io.inc: Remove useless increment.

2006-01-04  rockyb <rockyb>

	* dbg-cmds.inc, dbg-io.inc, test/brkpt1.right, test/brkpt2.right,
	test/list.right, test/restart.cmd, test/restart.right,
	test/run-sig, test/sig.right: dbg-cmds.inc: starting with bash 3.1
	input file descriptors must be less than 9.  dbg-io.inc: fix off by one counting of file line numbers.  test/* adjust for revised output.

2006-01-03  rockyb <rockyb>

	* .cvsignore, stamp-h1: stamp-h1 is derived.

2006-01-03  rockyb <rockyb>

	* dbg-io.inc: I had broke things with respect to line_count (which
	is really one more than the line count) when readarray is not
	available.

2006-01-03  rockyb <rockyb>

	* dbg-file.inc, dbg-io.inc, test/run-subshell: test/run-subshell
	remove old comments *.inc: these changed in 2006.

2006-01-03  rockyb <rockyb>

	* test/run-skip: Can reinstate this test.

2006-01-03  rockyb <rockyb>

	* .cvsignore: Add config.h

2006-01-03  rockyb <rockyb>

	* doc/.cvsignore: [no log message]

2006-01-03  rockyb <rockyb>

	* doc/.cvsignore: macros.texi is derived.

2006-01-03  rockyb <rockyb>

	* acinclude.m4, dbg-file.inc, dbg-io.inc, test/run-multi: 
	dbg-file.inc: reinstate [[ for [. Add \ one other place where it is
	probably needed.  dbg-io.inc: remove a read-only attribute where it shouldn't be. It
	may have to do with a changed scope of local.  test/run-multi: reinstate test.

2006-01-03  rockyb <rockyb>

	* doc/{bashdb.texi.in => bashdb.texi}: Subtitutions are in
	macros.texi.in.

2006-01-02  rockyb <rockyb>

	* Initial revision

